# Managed API for Confluence Cloud
Managed API for Confluence Cloud is an API Client for Confluence Cloud by [Adaptavist](https://www.adaptavist.com/) primarily designed for the use in [ScriptRunner Connect](https://scriptrunnerconnect.com). You can read more about Managed APIs [here](https://docs.adaptavist.com/src/managed-apis).

This is a runtime agnostic version of the Managed API (with `core` suffix) that makes it easy to port it to any runtime you may want to use this Managed API on.

# Platform specific ports
- [ScriptRunner Connect](https://www.npmjs.com/package/@managed-api/confluence-cloud-sr-connect)

# Supported API calls
- [fetch](https://docs.adaptavist.com/src/managed-apis/managed-api-abstractions)
- Content
    - [createContent](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-post)
    - [deleteContent](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-id-delete)
    - [getContent](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-get)
    - [getContentById](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-id-get)
    - [getContentHistory](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-id-history-get)
    - [publishLegacyDraft](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-blueprint-instance-draftid-post)
    - [publishSharedDraft](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-blueprint-instance-draftid-put)
    - [searchContentByCQL](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-search-get)
    - [updateContent](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-id-put)
    - Attachment
        - [createAttachment](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-post)
        - [createOrUpdateAttachment](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-put)
        - [getAttachments](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-get)
        - [updateAttachmentData](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-attachmentid-data-post)
        - [updateAttachmentProperties](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-attachmentid-put)
    - Body
        - [asyncConvertBody](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-async-to-post)
        - [convertBody](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-to-post)
        - [getAsyncConvertResult](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-async-id-get)
        - Macro
            - [getMacroById](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---macro-body/#api-wiki-rest-api-content-id-history-version-macro-id-macroid-get)
    - Children
        - [getChildren](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-child-get)
        - [getChildrenByType](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-child-type-get)
    - Comment
        - [getComments](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-comments/#api-wiki-rest-api-content-id-child-comment-get)
    - Copy
        - [copyPageHierarchy](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-pagehierarchy-copy-post)
        - [copySinglePage](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-copy-post)
    - Descendant
        - [getDescendants](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-descendant-get)
        - [getDescendantsByType](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-descendant-type-get)
    - Label
        - [addLabel](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-post)
        - [getLabels](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-get)
        - [removeLabel](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-label-delete)
        - [removeLabelWithQueryParameter](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-delete)
    - Move
        - [movePageToNewLocationRelativeToTargetPage](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-pageid-move-position-targetid-put)
    - Property
        - [createProperty](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-properties/#api-wiki-rest-api-content-id-property-post)
        - [createPropertyForKey](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-properties/#api-wiki-rest-api-content-id-property-key-post)
        - [deleteProperty](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-properties/#api-wiki-rest-api-content-id-property-key-delete)
        - [getProperties](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-properties/#api-wiki-rest-api-content-id-property-get)
        - [getProperty](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-properties/#api-wiki-rest-api-content-id-property-key-get)
        - [updateProperty](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-properties/#api-wiki-rest-api-content-id-property-key-put)
    - Restriction
        - [addRestrictions](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-post)
        - [deleteRestrictions](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-delete)
        - [getRestrictions](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-get)
        - [getRestrictionsByOperation](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-get)
        - [getRestrictionsForOperation](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-get)
        - [updateRestrictions](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-put)
        - Group
            - [addGroup](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-bygroupid-groupid-put)
            - [getGroupStatus](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-bygroupid-groupid-get)
            - [removeGroup](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-bygroupid-groupid-delete)
        - User
            - [addUser](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-user-put)
            - [getUserStatus](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-user-get)
            - [removeUser](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-user-delete)
    - Version
        - [deleteVersion](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-versions/#api-wiki-rest-api-content-id-version-versionnumber-delete)
        - [getVersion](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-versions/#api-wiki-rest-api-content-id-version-versionnumber-get)
        - [getVersions](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-versions/#api-wiki-rest-api-content-id-version-get)
        - [restoreVersion](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-versions/#api-wiki-rest-api-content-id-version-post)
- DynamicModule
    - [getModules](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-dynamic-modules/#api-atlassian-connect-1-app-module-dynamic-get)
    - [registerModules](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-dynamic-modules/#api-atlassian-connect-1-app-module-dynamic-post)
    - [removeModules](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-dynamic-modules/#api-atlassian-connect-1-app-module-dynamic-delete)
- InlineTask
    - [getInlineTasksBasedOnSearchParameters](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-inline-tasks/#api-wiki-rest-api-inlinetasks-search-get)
- Label
    - [getInfo](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-label-info/#api-wiki-rest-api-label-get)
- LongRunningTask
    - [getLongRunningTask](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-long-running-task/#api-wiki-rest-api-longtask-id-get)
    - [getLongRunningTasks](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-long-running-task/#api-wiki-rest-api-longtask-get)
- Relation
    - [createRelationship](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-targetkey-put)
    - [deleteRelationship](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-targetkey-delete)
    - [findRelationshipFromSourceToTarget](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-targetkey-get)
    - [findSourceEntitiesRelatedToTargetEntity](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-to-targettype-targetkey-from-sourcetype-get)
    - [findTargetEntitiesRelatedToSourceEntity](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-get)
- Search
    - [searchContent](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-search/#api-wiki-rest-api-search-get)
    - [searchUsers](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-search/#api-wiki-rest-api-search-user-get)
- Setting
    - [getLookAndFeelSettings](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-lookandfeel-get)
    - [getSystemInfo](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-systeminfo-get)
    - [resetLookAndFeelSettings](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-lookandfeel-custom-delete)
    - [setLookAndFeelSettings](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-lookandfeel-selected-put)
    - [updateLookAndFeelSettings](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-lookandfeel-custom-post)
- Space
    - [createSpace](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-post)
    - [deleteSpace](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-delete)
    - [getSpace](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-get)
    - [getSpaces](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-get)
    - [updateSpace](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-put)
    - Content
        - [getContent](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-content-get)
        - [getContentByType](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-content-type-get)
    - Private
        - [createSpace](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-private-post)
    - Property
        - [createProperty](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-properties/#api-wiki-rest-api-space-spacekey-property-post)
        - [createPropertyForKey](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-properties/#api-wiki-rest-api-space-spacekey-property-key-post)
        - [deleteProperty](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-properties/#api-wiki-rest-api-space-spacekey-property-key-delete)
        - [getProperties](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-properties/#api-wiki-rest-api-space-spacekey-property-get)
        - [getProperty](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-properties/#api-wiki-rest-api-space-spacekey-property-key-get)
        - [updateProperty](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-properties/#api-wiki-rest-api-space-spacekey-property-key-put)
    - Setting
        - [getSettings](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-settings/#api-wiki-rest-api-space-spacekey-settings-get)
        - [updateSettings](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-settings/#api-wiki-rest-api-space-spacekey-settings-put)
- Template
    - [createContentTemplate](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-post)
    - [getBlueprintTemplates](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-blueprint-get)
    - [getContentTemplate](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-contenttemplateid-get)
    - [getContentTemplates](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-page-get)
    - [removeTemplate](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-contenttemplateid-delete)
    - [updateContentTemplate](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-put)
- Theme
    - [getGlobalTheme](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-settings-theme-selected-get)
    - [getSpaceTheme](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-space-spacekey-theme-get)
    - [getTheme](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-settings-theme-themekey-get)
    - [getThemes](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-settings-theme-get)
    - [resetSpaceTheme](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-space-spacekey-theme-delete)
    - [setSpaceTheme](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-space-spacekey-theme-put)
- User
    - [getAnonymousUser](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-anonymous-get)
    - [getCurrentUser](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-current-get)
    - [getGroupsWhereUserMember](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-memberof-get)
    - [getUser](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-get)
    - [getUserEmail](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-email-get)
    - [getUserEmails](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-email-bulk-get)
    - [getUsersWithIds](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-bulk-get)
- UserGroup
    - [createUserGroup](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-post)
    - [deleteUserGroup](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-by-id-delete)
    - [getUserGroupById](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-by-id-get)
    - [getUserGroups](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-get)
    - Member
        - [addMemberById](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-userbygroupid-post)
        - [getMembersById](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-groupid-membersbygroupid-get)
        - [removeMemberById](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-userbygroupid-delete)
- Watcher
    - [getSpaceWatchers](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-space-spacekey-watch-get)
    - [getWatchesForPage](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-content-id-notification-child-created-get)
    - [getWatchesForSpace](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-content-id-notification-created-get)
    - Content
        - [addWatcher](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-content-contentid-post)
        - [getWatcherStatus](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-content-contentid-get)
        - [removeWatcher](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-content-contentid-delete)
    - Label
        - [addWatcher](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-label-labelname-post)
        - [getWatcherStatus](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-label-labelname-get)
        - [removeWatcher](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-label-labelname-delete)
    - Space
        - [addWatcher](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-space-spacekey-post)
        - [getWatcherStatus](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-space-spacekey-get)
        - [removeWatcher](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-space-spacekey-delete)


# Porting to other runtimes
While the primary reason for creating Managed APIs was to use them in [ScriptRunner Connect](https://scriptrunnerconnect.com) runtime, then you can easily port them to any runtime of your choosing.

You can do so by extending the `*Core` Managed API class where you'll be asked to provide implementation for `getPlatformImplementation` function. In this implementation you have to specify how to perform buffer encoding/decoding operations and how to perform HTTP calls:
```typescript
{
    buffer: {
        encode(input: string): ArrayBuffer;
        decode(input: ArrayBuffer): string;
    },
    performHttpCall(request: Request): Promise<Response>
}
```

Here is an example how to create a [Node](https://nodejs.org/en/) port of the Managed API:
```typescript
import { ConfluenceCloudApiCore } from "@managed-api/confluence-cloud-core";
import { PlatformImplementation, Request, Response, Headers } from "@managed-api/commons-core";
import fetch from "node-fetch";

export class ConfluenceCloudApi extends ConfluenceCloudApiCore {
    constructor(private baseUrl: string, private authToken: string) {
        super();
    }

    protected getPlatformImplementation(): PlatformImplementation {
        return {
            buffer: {
                encode: (input) => Buffer.from(input, 'utf-8'),
                decode: (input) => Buffer.from(input).toString('utf-8')
            },
            performHttpCall: (request) => this.performHttpCall(request)
        };
    }
    
    private async performHttpCall(request: Request): Promise<Response> {
        const requestUrl = `${this.baseUrl}${request.url}`; // Substitute base URL
        request.headers.set('Authorization', `Basic ${this.authToken}`); // Substitute auth token
        const response = await fetch(requestUrl, {
            method: request.method,
            headers: request.headers as any,
            body: request.method.toLowerCase() !== 'get' ? Buffer.from((await request.arrayBuffer()) ?? new ArrayBuffer(0)) : undefined
        });

        const apiHeaders = new Headers();
        response.headers.forEach((value, key) => apiHeaders.append(key, value));

        const body = await response.arrayBuffer();

        return super.buildResponse(response.url, response.status, response.statusText, apiHeaders, body);
    }
}
```

Please note that the authentication handling details may not be accurate and serve as an example. If you wish to use these Managed APIs without having to concern yourself how to deal with and secure authentication details when working with APIs, then feel free to evaluate [ScriptRunner Connect](https://scriptrunnerconnect.com) platform.

# Contact
At this time Managed APIs are unlicensed and close sourced, but feel free to drop an email to [eknoll@adaptavist.com](mailto://eknoll@adaptavist.com) for ideas, suggestions and improvements.

 # Changelog
# 3.1.0

- Removed non-empty body from HEAD requests.

# 3.0.0

- # Changed the following methods: 

    * `Content.Attachment.updateAttachmentProperties` - Request body parameters got updated.
    * `Content.Move.movePageToNewLocationRelativeToTargetPage` - Path got fixed.
    * `Content.Restriction.Group.getGroupStatus` - `groupName` got replaced by `groupId`.
    * `Content.Restriction.Group.addGroup` - `groupName` got replaced by `groupId`.
    * `Content.Restriction.Group.removeGroup` - `groupName` got replaced by `groupId`.
    * `UserGroup.deleteUserGroup` - `name` parameter got replaced by `id`.
    * `UserGroup.getUserGroupByName` - Method was removed, alternative is `UserGroup.getUserGroupById`.
    * `UserGroup.Member.getMembersByName` - Method was removed, alternative is `UserGroup.Member.getMembersById`.
    * `UserGroup.Member.getMembersById` - `expand` parameter was added.
    * `UserGroup.Member.addMemberByName` - Method was removed, alternative is `UserGroup.Member.addMemberById`.
    * `UserGroup.Member.removeMember` - Method was removed, alternative is `UserGroup.Member.removeMemberById`.
    * `LongRunningTask.getLongRunningTasks` - `Key` parameter was added.
    * `Search.searchUsers` - `sitePermissionTypeFilter` parameter was added.
    * `Template.getBlueprintTemplates` - `body.storage` option was added to `expand`.
    * `Template.getContentTemplates` - `body.storage` option was added to `expand`.
    * `User.getUsersWithIds` - `isExternalCollaborator` option was added to `expand`, `limit` was removed.
    * `User.getUserAccountIds` - Method was removed.


- # The following methods are deprecated:

    * [Convert content body](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-to-post) that can be used as `Content.Body.convertBody` or `All.convertContentBody`.
    * [Get content descendants](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-descendant-get) that can be used as `Content.Descendant.getDescendants` or `All.getContentDescendants`.
    * [Get content descendants by type](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-descendant-type-get) that can be used as `Content.Descendant.getDescendantsByType` or `All.getContentDescendantsByType`.

- # The following methods are added:

    * [Asynchronously convert content body](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-async-to-post) that can be used as `Content.Body.asyncConvertBody` or `All.asyncConvertContentBody`.
    * [Get asynchronously converted content body from the id or the current status of the task](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-async-id-get) that can be used as `Content.Body.getAsyncConvertResult` or `All.getAsyncConvertContentBodyResult`.

# 2.1.0

- # The following methods are deprecated:

    * [Get content properties](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-properties/#api-wiki-rest-api-content-id-property-get) that can be used as `Content.Property.getProperties` or `All.getContentProperties`.
    * [Create content property](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-properties/#api-wiki-rest-api-content-id-property-post) that can be used as `Content.Property.createProperty` or `All.createContentProperty`.
    * [Get content property](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-properties/#api-wiki-rest-api-content-id-property-key-get) that can be used as `Content.Property.getProperty` or `All.getContentProperty`.
    * [Update content property](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-properties/#api-wiki-rest-api-content-id-property-key-put) that can be used as `Content.Property.updateProperty` or `All.updateContentProperty`.
    * [Create content property for key](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-properties/#api-wiki-rest-api-content-id-property-key-post) that can be used as `Content.Property.createPropertyForKey` or `All.createContentPropertyForKey`.
    * [Delete content property](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-properties/#api-wiki-rest-api-content-id-property-key-delete) that can be used as `Content.Property.deleteProperty` or `All.deleteContentProperty`.
    * [Get content restriction status for group](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-group-groupname-get) that can be used as `Content.Restriction.Group.getGroupStatus` or `All.getContentRestrictionGroupStatus`.
    * [Add group to content restriction](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-group-groupname-put) that can be used as `Content.Restriction.Group.addGroup` or `All.addContentRestrictionGroup`.
    * [Remove group from content restriction](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-group-groupname-delete) that can be used as `Content.Restriction.Group.removeGroup` or `All.removeContentRestrictionGroup`.
    * [Delete user group](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-delete) that can be used as `UserGroup.deleteUserGroup` or `All.deleteUserGroup`.
    * [Get group](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-by-name-get) that can be used as `UserGroup.getUserGroupByName` or `All.getUserGroupByName`.
    * [Get group members](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-member-get) that can be used as `UserGroup.Member.getMembersByName` or `All.getUserGroupMembersByName`.
    * [Add member to group](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-user-post) that can be used as `UserGroup.Member.addMemberByName` or `All.addUserGroupMembersByName`.
    * [Remove member from group](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-user-delete) that can be used as `UserGroup.Member.removeMember` or `All.removeUserGroupMember`.
    * [Create space property](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-properties/#api-wiki-rest-api-space-spacekey-property-post) that can be used as `Space.Property.createProperty` or `All.createSpaceProperty`.
    * [Get space property](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-properties/#api-wiki-rest-api-space-spacekey-property-key-get) that can be used as `Space.Property.getProperty` or `All.getSpaceProperty`.
    * [Update space property](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-properties/#api-wiki-rest-api-space-spacekey-property-key-put) that can be used as `Space.Property.updateProperty` or `All.updateSpaceProperty`.
    * [Create space property for key](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-properties/#api-wiki-rest-api-space-spacekey-property-key-post) that can be used as `Space.Property.createPropertyForKey` or `All.createSpacePropertyForKey`.
    * [Delete space property](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-properties/#api-wiki-rest-api-space-spacekey-property-key-delete) that can be used as `Space.Property.deleteProperty` or `All.deleteSpaceProperty`.

# 2.0.0

- # Breaking change: URL and query string parameters are now URL encoded, meaning if you encoded them explicitly before you have to remove your own encoding, otherwise they will get double encoded.

# 0.11.0

- # The following methods are deprecated:

    * [Get content](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-get) that can be used as `Content.getContent` or `All.getContent`.
    * [Create Content](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-post) that can be used as `Content.createContent` or `All.createContent`.
    * [Get content by ID](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-id-get) that can be used as `Content.getContentById` or `All.getContentById`.
    * [Update content](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-id-put) that can be used as `Content.updateContent` or `All.updateContent`.
    * [Delete content](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-id-delete) that can be used as `Content.deleteContent` or `All.deleteContent`.
    * [Get content history](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-id-history-get) that can be used as `Content.getContentHistory` or `All.getContentHistory`.
    * [Get attachments](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-get) that can be used as `Content.Attachment.getAttachments` or `All.getContentAttachments`.
    * [Get content children](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-child-get) that can be used as `Content.Children.getAttachments` or `All.getContentChildren`.
    * [Get content children by type](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-child-type-get) that can be used as `Content.Children.getChildrenByType` or `All.getContentChildrenByType`.
    * [Get content comments](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-comments/#api-wiki-rest-api-content-id-child-comment-get) that can be used as `Content.Comment.getComments` or `All.getContentComments`.
    * [Get labels for content](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-get) that can be used as `Content.Label.getLabels` or `All.getContentLabels`.
    * [Get content versions](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-versions/#api-wiki-rest-api-content-id-version-get) that can be used as `Content.Version.getVersions` or `All.getContentVersions`.
    * [Get content version](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-versions/#api-wiki-rest-api-content-id-version-versionnumber-get) that can be used as `Content.Version.getVersion` or `All.getContentVersion`.
    * [Get inline tasks based on search parameters](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-inline-tasks/#api-wiki-rest-api-inlinetasks-search-get) that can be used as `InlineTask.getInlineTasksBasedOnSearchParameters` or `All.getInlineTasksBasedOnSearchParameters`.
    * [Get spaces](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-get) that can be used as `Space.getSpaces` or `All.getSpaces`.
    * [Get space](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-get) that can be used as `Space.getSpace` or `All.getSpace`.
    * [Get content for space](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-content-get) that can be used as `Space.Content.getContent` or `All.getSpaceContent`.
    * [Get content by type for space](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-content-type-get) that can be used as `Space.Content.getContentByType` or `All.getSpaceContentByType`.
    * [Get space properties](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-properties/#api-wiki-rest-api-space-spacekey-property-get) that can be used as `Space.Property.getProperties` or `All.getSpaceProperties`.

Copyright Adaptavist 2025 (c) All rights reserved