/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { EmbeddedContentAsResponse } from "../definitions/EmbeddedContentAsResponse";
import { WebResourceDependenciesAsResponse } from "../definitions/WebResourceDependenciesAsResponse";
import { GenericLinksAsResponse } from "../definitions/GenericLinksAsResponse";
export interface AsyncContentBodyAsResponse {
    value?: string;
    representation?: "view" | "export_view" | "styled_view" | "storage" | "editor" | "editor2" | "anonymous_export_view" | "wiki" | "atlas_doc_format";
    renderTaskId?: string;
    error?: string;
    /**
     * Rerunning is reserved for when the job is working, but there is a previous run's value in the cache. You may choose to continue polling, or use the cached value.
     */
    status?: "WORKING" | "QUEUED" | "FAILED" | "COMPLETED" | "RERUNNING";
    embeddedContent?: Array<EmbeddedContentAsResponse>;
    webresource?: WebResourceDependenciesAsResponse;
    mediaToken?: {
        collectionIds?: Array<string>;
        contentId?: string;
        expiryDateTime?: string;
        fileIds?: Array<string>;
        token?: string;
    };
    _expandable?: {
        content?: string;
        embeddedContent?: string;
        webresource?: string;
        mediaToken?: string;
    };
    _links?: GenericLinksAsResponse;
}
//# sourceMappingURL=AsyncContentBodyAsResponse.d.ts.map