/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { Space } from "../definitions/Space";
import { ContentHistory } from "../definitions/ContentHistory";
import { Version } from "../definitions/Version";
import { OperationCheckResult } from "../definitions/OperationCheckResult";
import { ContentChildren } from "../definitions/ContentChildren";
import { ContentChildType } from "../definitions/ContentChildType";
import { Container } from "../definitions/Container";
import { ContentBody } from "../definitions/ContentBody";
import { ContentRestriction } from "../definitions/ContentRestriction";
import { GenericLinks } from "../definitions/GenericLinks";
import { ContentMetadata } from "../definitions/ContentMetadata";
export interface Content {
    id?: string;
    /**
     * Can be "page", "blogpost", "attachment" or "content"
     */
    type: string;
    status: string;
    title?: string;
    space?: Space;
    history?: ContentHistory;
    version?: Version;
    ancestors?: Array<Content>;
    operations?: Array<OperationCheckResult>;
    children?: ContentChildren;
    childTypes?: ContentChildType;
    descendants?: ContentChildren;
    container?: Container;
    body?: {
        view?: ContentBody;
        export_view?: ContentBody;
        styled_view?: ContentBody;
        storage?: ContentBody;
        wiki?: ContentBody;
        editor?: ContentBody;
        editor2?: ContentBody;
        anonymous_export_view?: ContentBody;
        atlas_doc_format?: ContentBody;
        dynamic?: ContentBody;
        raw?: ContentBody;
        _expandable?: {
            editor?: string;
            view?: string;
            export_view?: string;
            styled_view?: string;
            storage?: string;
            editor2?: string;
            anonymous_export_view?: string;
            atlas_doc_format?: string;
            wiki?: string;
            dynamic?: string;
            raw?: string;
        };
    };
    restrictions?: {
        read?: ContentRestriction;
        update?: ContentRestriction;
        _expandable?: {
            read?: string;
            update?: string;
        };
        _links?: GenericLinks;
    };
    metadata?: ContentMetadata;
    macroRenderedOutput?: {
        [x: string]: any;
    };
    extensions?: any;
    _expandable?: {
        childTypes?: string;
        container?: string;
        metadata?: string;
        operations?: string;
        children?: string;
        restrictions?: string;
        history?: string;
        ancestors?: string;
        body?: string;
        version?: string;
        descendants?: string;
        space?: string;
        extensions?: string;
        schedulePublishDate?: string;
        schedulePublishInfo?: string;
        macroRenderedOutput?: string;
    };
    _links?: GenericLinks;
    [x: string]: any;
}
//# sourceMappingURL=Content.d.ts.map