/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SpaceAsResponse } from "../definitions/SpaceAsResponse";
import { ContentHistoryAsResponse } from "../definitions/ContentHistoryAsResponse";
import { VersionAsResponse } from "../definitions/VersionAsResponse";
import { OperationCheckResultAsResponse } from "../definitions/OperationCheckResultAsResponse";
import { ContentChildrenAsResponse } from "../definitions/ContentChildrenAsResponse";
import { ContentChildTypeAsResponse } from "../definitions/ContentChildTypeAsResponse";
import { ContainerAsResponse } from "../definitions/ContainerAsResponse";
import { ContentBodyAsResponse } from "../definitions/ContentBodyAsResponse";
import { ContentRestrictionAsResponse } from "../definitions/ContentRestrictionAsResponse";
import { GenericLinksAsResponse } from "../definitions/GenericLinksAsResponse";
import { ContentMetadataAsResponse } from "../definitions/ContentMetadataAsResponse";
export interface ContentAsResponse {
    id?: string;
    /**
     * Can be "page", "blogpost", "attachment" or "content"
     */
    type: string;
    status: string;
    title?: string;
    space?: SpaceAsResponse;
    history?: ContentHistoryAsResponse;
    version?: VersionAsResponse;
    ancestors?: Array<ContentAsResponse>;
    operations?: Array<OperationCheckResultAsResponse>;
    children?: ContentChildrenAsResponse;
    childTypes?: ContentChildTypeAsResponse;
    descendants?: ContentChildrenAsResponse;
    container?: ContainerAsResponse;
    body?: {
        view?: ContentBodyAsResponse;
        export_view?: ContentBodyAsResponse;
        styled_view?: ContentBodyAsResponse;
        storage?: ContentBodyAsResponse;
        wiki?: ContentBodyAsResponse;
        editor?: ContentBodyAsResponse;
        editor2?: ContentBodyAsResponse;
        anonymous_export_view?: ContentBodyAsResponse;
        atlas_doc_format?: ContentBodyAsResponse;
        dynamic?: ContentBodyAsResponse;
        raw?: ContentBodyAsResponse;
        _expandable?: {
            editor?: string;
            view?: string;
            export_view?: string;
            styled_view?: string;
            storage?: string;
            editor2?: string;
            anonymous_export_view?: string;
            atlas_doc_format?: string;
            wiki?: string;
            dynamic?: string;
            raw?: string;
        };
    };
    restrictions?: {
        read?: ContentRestrictionAsResponse;
        update?: ContentRestrictionAsResponse;
        _expandable?: {
            read?: string;
            update?: string;
        };
        _links?: GenericLinksAsResponse;
    };
    metadata?: ContentMetadataAsResponse;
    macroRenderedOutput?: {
        [x: string]: any;
    };
    extensions?: any;
    _expandable?: {
        childTypes?: string;
        container?: string;
        metadata?: string;
        operations?: string;
        children?: string;
        restrictions?: string;
        history?: string;
        ancestors?: string;
        body?: string;
        version?: string;
        descendants?: string;
        space?: string;
        extensions?: string;
        schedulePublishDate?: string;
        schedulePublishInfo?: string;
        macroRenderedOutput?: string;
    };
    _links?: GenericLinksAsResponse;
    [x: string]: any;
}
//# sourceMappingURL=ContentAsResponse.d.ts.map