/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { GenericLinksAsResponse } from "../definitions/GenericLinksAsResponse";
export interface ContentPropertyAsResponse {
    id: string;
    key: string;
    /**
     * The value of the content property. This can be empty or a complex object.
     */
    value: Array<string> | boolean | {
        [x: string]: any;
    } | string;
    version?: {
        when: string;
        message: string;
        number: number;
        minorEdit: boolean;
        /**
         * True if content type is modifed in this version (e.g. page to blog)
         */
        contentTypeModified?: boolean;
        [x: string]: any;
    };
    _links: GenericLinksAsResponse;
    _expandable?: {
        content?: string;
        additionalProperties?: string;
    };
    [x: string]: any;
}
//# sourceMappingURL=ContentPropertyAsResponse.d.ts.map