/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { User } from "../definitions/User";
import { UserArray } from "../definitions/UserArray";
import { Content } from "../definitions/Content";
export interface ContentRestrictionUpdate {
    /**
     * The restriction operation applied to content.
     */
    operation: "administer" | "copy" | "create" | "delete" | "export" | "move" | "purge" | "purge_version" | "read" | "restore" | "update" | "use";
    /**
  * The users/groups that the restrictions will be applied to. At least one of
  `user` or `group` must be specified for this object.
  */
    restrictions: {
        /**
    * The groups that the restrictions will be applied to. This array must
    have at least one item, otherwise it should be omitted.
    */
        group?: Array<{
            /**
             * Set to 'group'.
             */
            type: "group";
            /**
             * The id of the group.
             */
            id?: string;
        }>;
        user?: Array<User> | UserArray;
    };
    content?: Content;
}
//# sourceMappingURL=ContentRestrictionUpdate.d.ts.map