/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ContentTemplateBodyCreate } from "../definitions/ContentTemplateBodyCreate";
import { Label } from "../definitions/Label";
export interface ContentTemplateUpdate {
    /**
     * The ID of the template being updated.
     */
    templateId: string;
    /**
  * The name of the template. Set to the current `name` if this field is
  not being updated.
  */
    name: string;
    /**
     * The type of the template. Set to `page`.
     */
    templateType: "page";
    body: ContentTemplateBodyCreate;
    /**
     * A description of the template.
     */
    description?: string;
    /**
     * Labels for the template.
     */
    labels?: Array<Label>;
    /**
  * The key for the space of the template. Required if the template is a
  space template. Set this to the current `space.key`.
  */
    space?: {
        key: string;
        [x: string]: any;
    };
    [x: string]: any;
}
//# sourceMappingURL=ContentTemplateUpdate.d.ts.map