/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { Icon } from "../definitions/Icon";
import { SpaceDescription } from "../definitions/SpaceDescription";
import { Content } from "../definitions/Content";
import { LabelArray } from "../definitions/LabelArray";
import { OperationCheckResult } from "../definitions/OperationCheckResult";
import { SpacePermission } from "../definitions/SpacePermission";
import { SpaceSettings } from "../definitions/SpaceSettings";
import { Theme } from "../definitions/Theme";
import { LookAndFeel } from "../definitions/LookAndFeel";
import { User } from "../definitions/User";
import { GenericLinks } from "../definitions/GenericLinks";
export interface Space {
    id?: number;
    key: string;
    alias?: string;
    name: string;
    icon?: Icon;
    description?: {
        plain?: SpaceDescription;
        view?: SpaceDescription;
        _expandable?: {
            view?: string;
            plain?: string;
        };
    };
    homepage?: Content;
    type: string;
    metadata?: {
        labels?: LabelArray;
        _expandable?: any;
    };
    operations?: Array<OperationCheckResult>;
    permissions?: Array<SpacePermission>;
    status: string;
    settings?: SpaceSettings;
    theme?: Theme;
    lookAndFeel?: LookAndFeel;
    history?: {
        createdDate: string;
        createdBy?: User;
    };
    _expandable: {
        settings?: string;
        metadata?: string;
        operations?: string;
        lookAndFeel?: string;
        permissions?: string;
        icon?: string;
        description?: string;
        theme?: string;
        history?: string;
        homepage?: string;
        identifiers?: string;
    };
    _links: GenericLinks;
}
//# sourceMappingURL=Space.d.ts.map