/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { IconAsResponse } from "../definitions/IconAsResponse";
import { SpaceDescriptionAsResponse } from "../definitions/SpaceDescriptionAsResponse";
import { ContentAsResponse } from "../definitions/ContentAsResponse";
import { LabelArrayAsResponse } from "../definitions/LabelArrayAsResponse";
import { OperationCheckResultAsResponse } from "../definitions/OperationCheckResultAsResponse";
import { SpacePermissionAsResponse } from "../definitions/SpacePermissionAsResponse";
import { SpaceSettingsAsResponse } from "../definitions/SpaceSettingsAsResponse";
import { ThemeAsResponse } from "../definitions/ThemeAsResponse";
import { LookAndFeelAsResponse } from "../definitions/LookAndFeelAsResponse";
import { UserAsResponse } from "../definitions/UserAsResponse";
import { GenericLinksAsResponse } from "../definitions/GenericLinksAsResponse";
export interface SpaceAsResponse {
    id?: number;
    key: string;
    alias?: string;
    name: string;
    icon?: IconAsResponse;
    description?: {
        plain?: SpaceDescriptionAsResponse;
        view?: SpaceDescriptionAsResponse;
        _expandable?: {
            view?: string;
            plain?: string;
        };
    };
    homepage?: ContentAsResponse;
    type: string;
    metadata?: {
        labels?: LabelArrayAsResponse;
        _expandable?: any;
    };
    operations?: Array<OperationCheckResultAsResponse>;
    permissions?: Array<SpacePermissionAsResponse>;
    status: string;
    settings?: SpaceSettingsAsResponse;
    theme?: ThemeAsResponse;
    lookAndFeel?: LookAndFeelAsResponse;
    history?: {
        createdDate: string;
        createdBy?: UserAsResponse;
    };
    _expandable: {
        settings?: string;
        metadata?: string;
        operations?: string;
        lookAndFeel?: string;
        permissions?: string;
        icon?: string;
        description?: string;
        theme?: string;
        history?: string;
        homepage?: string;
        identifiers?: string;
    };
    _links: GenericLinksAsResponse;
}
//# sourceMappingURL=SpaceAsResponse.d.ts.map