/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { User } from "../definitions/User";
import { Group } from "../definitions/Group";
import { OperationCheckResult } from "../definitions/OperationCheckResult";
export interface SpacePermission {
    id?: number;
    /**
     * The users and/or groups that the permission applies to.
     */
    subjects?: {
        user?: {
            results: Array<User>;
            size: number;
            start?: number;
            limit?: number;
        };
        group?: {
            results: Array<Group>;
            size: number;
            start?: number;
            limit?: number;
        };
        _expandable?: {
            user?: string;
            group?: string;
        };
    };
    operation: OperationCheckResult;
    /**
     * Grant anonymous users permission to use the operation.
     */
    anonymousAccess: boolean;
    /**
  * Grants access to unlicensed users from JIRA Service Desk when used
  with the 'read space' operation.
  */
    unlicensedAccess: boolean;
}
//# sourceMappingURL=SpacePermission.d.ts.map