/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { UserAsResponse } from "../definitions/UserAsResponse";
import { GroupAsResponse } from "../definitions/GroupAsResponse";
import { OperationCheckResultAsResponse } from "../definitions/OperationCheckResultAsResponse";
export interface SpacePermissionAsResponse {
    id?: number;
    /**
     * The users and/or groups that the permission applies to.
     */
    subjects?: {
        user?: {
            results: Array<UserAsResponse>;
            size: number;
            start?: number;
            limit?: number;
        };
        group?: {
            results: Array<GroupAsResponse>;
            size: number;
            start?: number;
            limit?: number;
        };
        _expandable?: {
            user?: string;
            group?: string;
        };
    };
    operation: OperationCheckResultAsResponse;
    /**
     * Grant anonymous users permission to use the operation.
     */
    anonymousAccess: boolean;
    /**
  * Grants access to unlicensed users from JIRA Service Desk when used
  with the 'read space' operation.
  */
    unlicensedAccess: boolean;
}
//# sourceMappingURL=SpacePermissionAsResponse.d.ts.map