/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { User } from "../definitions/User";
import { GroupCreate } from "../definitions/GroupCreate";
import { OperationCheckResult } from "../definitions/OperationCheckResult";
export interface SpacePermissionCreate {
    /**
     * The users and/or groups that the permission applies to.
     */
    subjects?: {
        user?: {
            results: Array<User>;
            size: number;
        };
        group?: {
            results: Array<GroupCreate>;
            size: number;
        };
    };
    operation: OperationCheckResult;
    /**
     * Grant anonymous users permission to use the operation.
     */
    anonymousAccess: boolean;
    /**
  * Grants access to unlicensed users from JIRA Service Desk when used
  with the 'read space' operation.
  */
    unlicensedAccess: boolean;
    [x: string]: any;
}
//# sourceMappingURL=SpacePermissionCreate.d.ts.map