/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { User } from "../definitions/User";
import { Content } from "../definitions/Content";
import { UsersUserKeys } from "../definitions/UsersUserKeys";
import { GenericLinks } from "../definitions/GenericLinks";
export interface Version {
    by?: User;
    when: string;
    friendlyWhen?: string;
    message?: string;
    /**
     * Set this to the current version number incremented by one
     */
    number: number;
    /**
  * If `minorEdit` is set to 'true', no notification email or activity
  stream will be generated for the change.
  */
    minorEdit: boolean;
    content?: Content;
    collaborators?: UsersUserKeys;
    _expandable?: {
        content?: string;
        collaborators?: string;
    };
    _links?: GenericLinks;
    /**
     * True if content type is modifed in this version (e.g. page to blog)
     */
    contentTypeModified?: boolean;
    /**
     * The revision id provided by confluence to be used as a revision in Synchrony
     */
    confRev?: string;
    /**
     * The revision id provided by Synchrony
     */
    syncRev?: string;
    /**
     * Source of the synchrony revision
     */
    syncRevSource?: string;
    [x: string]: any;
}
//# sourceMappingURL=Version.d.ts.map