/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { UserAsResponse } from "../definitions/UserAsResponse";
import { ContentAsResponse } from "../definitions/ContentAsResponse";
import { UsersUserKeysAsResponse } from "../definitions/UsersUserKeysAsResponse";
import { GenericLinksAsResponse } from "../definitions/GenericLinksAsResponse";
export interface VersionAsResponse {
    by?: UserAsResponse;
    when: string;
    friendlyWhen?: string;
    message?: string;
    /**
     * Set this to the current version number incremented by one
     */
    number: number;
    /**
  * If `minorEdit` is set to 'true', no notification email or activity
  stream will be generated for the change.
  */
    minorEdit: boolean;
    content?: ContentAsResponse;
    collaborators?: UsersUserKeysAsResponse;
    _expandable?: {
        content?: string;
        collaborators?: string;
    };
    _links?: GenericLinksAsResponse;
    /**
     * True if content type is modifed in this version (e.g. page to blog)
     */
    contentTypeModified?: boolean;
    /**
     * The revision id provided by confluence to be used as a revision in Synchrony
     */
    confRev?: string;
    /**
     * The revision id provided by Synchrony
     */
    syncRev?: string;
    /**
     * Source of the synchrony revision
     */
    syncRevSource?: string;
    [x: string]: any;
}
//# sourceMappingURL=VersionAsResponse.d.ts.map