/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { BaseErrorStrategyHandlers, BaseErrorStrategyOption, CustomErrorHandler, ErrorStrategyBuilderConstructor, HttpError } from "@managed-api/commons-core";
import { ErrorStrategyBuilder } from "./builders/errorStrategy";
export interface CommonError {
    statusCode: number;
    data: {
        authorized: boolean;
        valid: boolean;
        errors: {
            message: {
                translation: string;
                args: any[];
            };
            successful: boolean;
        }[];
    };
    message: string;
}
export declare type AdditionalErrorTypes = HttpError<CommonError>;
export interface ErrorStrategyHandlers extends BaseErrorStrategyHandlers<CommonError, AdditionalErrorTypes> {
}
export interface ErrorStrategyOption extends BaseErrorStrategyOption<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyBuilder> {
}
export declare const customErrorHandlers: CustomErrorHandler[];
export declare const errorStrategyBuilderConstructor: ErrorStrategyBuilderConstructor<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyBuilder>;
//# sourceMappingURL=errorStrategy.d.ts.map