/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { MacroInstanceAsResponse } from "../../../definitions/MacroInstanceAsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetMacroBodyByIdRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID for the content that contains the macro.
     */
    id: string;
    /**
  * The version of the content that contains the macro. Specifying `0` as the `version` will return
  the macro body for the latest content version.
  */
    version: number;
    /**
  * The ID of the macro. This is usually passed by the app that the
  macro is in. Otherwise, find the macro ID by querying the desired
  content and version, then expanding the body in storage format.
  For example, '/content/196611/version/7?expand=content.body.storage'.
  */
    macroId: string;
}
declare type GetMacroBodyByIdResponseOKType = MacroInstanceAsResponse;
export interface GetMacroBodyByIdResponseOK extends GetMacroBodyByIdResponseOKType {
}
export declare type GetMacroBodyByIdResponseError = undefined;
export {};
//# sourceMappingURL=macro.d.ts.map