/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ContentIdAsResponse } from "../../definitions/ContentIdAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface MovePageToNewLocationRelativeToTargetPageRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the page to be moved
     */
    pageId: string;
    /**
     * The position to move the page to relative to the target page:
     * `before` - move the page under the same parent as the target, before the target in the list of children
     * `after` - move the page under the same parent as the target, after the target in the list of children
     * `append` - move the page to be a child of the target
     */
    position: "before" | "after" | "append";
    /**
     * The ID of the target page for this operation
     */
    targetId: string;
}
declare type MovePageToNewLocationRelativeToTargetPageResponseOKType = {
    pageId?: ContentIdAsResponse;
};
export interface MovePageToNewLocationRelativeToTargetPageResponseOK extends MovePageToNewLocationRelativeToTargetPageResponseOKType {
}
export declare type MovePageToNewLocationRelativeToTargetPageResponseError = undefined;
export {};
//# sourceMappingURL=move.d.ts.map