/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetContentRestrictionGroupStatusRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the content that the restriction applies to.
     */
    id: string;
    /**
     * The operation that the restriction applies to.
     */
    operationKey: "read" | "update";
    /**
  * The id of the group to be queried for whether the content restriction
  applies to it.
  */
    groupId: string;
}
export declare type GetContentRestrictionGroupStatusResponseOK = undefined;
export declare type GetContentRestrictionGroupStatusResponseError = undefined;
export interface AddContentRestrictionGroupRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the content that the restriction applies to.
     */
    id: string;
    /**
     * The operation that the restriction applies to.
     */
    operationKey: "read" | "update";
    /**
     * The groupId of the group to add to the content restriction.
     */
    groupId: string;
}
export declare type AddContentRestrictionGroupResponseOK = undefined;
export declare type AddContentRestrictionGroupResponseError = undefined;
export interface RemoveContentRestrictionGroupRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the content that the restriction applies to.
     */
    id: string;
    /**
     * The operation that the restriction applies to.
     */
    operationKey: "read" | "update";
    /**
     * The id of the group to remove from the content restriction.
     */
    groupId: string;
}
export declare type RemoveContentRestrictionGroupResponseOK = undefined;
export declare type RemoveContentRestrictionGroupResponseError = undefined;
//# sourceMappingURL=group.d.ts.map