/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetContentRestrictionUserStatusRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the content that the restriction applies to.
     */
    id: string;
    /**
     * The operation that is restricted.
     */
    operationKey: string;
    /**
  * The account ID of the user. The accountId uniquely identifies the user across all Atlassian products.
  For example, `384093:32b4d9w0-f6a5-3535-11a3-9c8c88d10192`.
  */
    accountId?: string;
}
export declare type GetContentRestrictionUserStatusResponseOK = undefined;
export declare type GetContentRestrictionUserStatusResponseError = undefined;
export interface AddContentRestrictionUserRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the content that the restriction applies to.
     */
    id: string;
    /**
     * The operation that the restriction applies to.
     */
    operationKey: string;
    /**
  * The account ID of the user. The accountId uniquely identifies the user across all Atlassian products.
  For example, `384093:32b4d9w0-f6a5-3535-11a3-9c8c88d10192`.
  */
    accountId?: string;
}
export declare type AddContentRestrictionUserResponseOK = undefined;
export declare type AddContentRestrictionUserResponseError = undefined;
export interface RemoveContentRestrictionUserRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the content that the restriction applies to.
     */
    id: string;
    /**
     * The operation that the restriction applies to.
     */
    operationKey: "read" | "update";
    /**
  * The account ID of the user. The accountId uniquely identifies the user across all Atlassian products.
  For example, `384093:32b4d9w0-f6a5-3535-11a3-9c8c88d10192`.
  */
    accountId?: string;
}
export declare type RemoveContentRestrictionUserResponseOK = undefined;
export declare type RemoveContentRestrictionUserResponseError = undefined;
//# sourceMappingURL=user.d.ts.map