/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ConnectModulesAsResponse } from "../definitions/ConnectModulesAsResponse";
import { DynamicModulesErrorMessageAsResponse } from "../definitions/DynamicModulesErrorMessageAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { ConnectModules } from "../definitions/ConnectModules";
export interface GetModulesRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetModulesResponseOKType = ConnectModulesAsResponse;
export interface GetModulesResponseOK extends GetModulesResponseOKType {
}
declare type GetModulesResponseErrorType = DynamicModulesErrorMessageAsResponse;
export interface GetModulesResponseError extends GetModulesResponseErrorType {
}
export interface RegisterModulesRequest extends HeadersOption, ErrorStrategyOption {
    body: ConnectModules;
}
export declare type RegisterModulesResponseOK = undefined;
declare type RegisterModulesResponseErrorType = DynamicModulesErrorMessageAsResponse & DynamicModulesErrorMessageAsResponse;
export interface RegisterModulesResponseError extends RegisterModulesResponseErrorType {
}
export interface RemoveModulesRequest extends HeadersOption, ErrorStrategyOption {
    /**
  * The key of the module to remove. To include multiple module keys, provide multiple copies of this parameter.
  For example, `moduleKey=dynamic-attachment-entity-property&moduleKey=dynamic-select-field`.
  Nonexistent keys are ignored.
  */
    moduleKey: Array<string>;
}
export declare type RemoveModulesResponseOK = undefined;
declare type RemoveModulesResponseErrorType = DynamicModulesErrorMessageAsResponse;
export interface RemoveModulesResponseError extends RemoveModulesResponseErrorType {
}
export {};
//# sourceMappingURL=dynamicModule.d.ts.map