/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { LabelDetailsAsResponse } from "../definitions/LabelDetailsAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetLabelInfoRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Name of the label to query.
     */
    name: string;
    /**
     * The type of contents that are to be returned.
     */
    type?: "page" | "blogpost" | "attachment" | "page_template";
    /**
     * The starting offset for the results.
     */
    start?: number;
    /**
     * The number of results to be returned.
     */
    limit?: number;
}
declare type GetLabelInfoResponseOKType = LabelDetailsAsResponse;
export interface GetLabelInfoResponseOK extends GetLabelInfoResponseOKType {
}
export declare type GetLabelInfoResponseError = undefined;
export {};
//# sourceMappingURL=label.d.ts.map