/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { LongTaskStatusArrayAsResponse } from "../definitions/LongTaskStatusArrayAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { LongTaskStatusWithLinksAsResponse } from "../definitions/LongTaskStatusWithLinksAsResponse";
export interface GetLongRunningTasksRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key of the tasks.
     */
    key?: string;
    /**
     * The starting index of the returned tasks.
     */
    start?: number;
    /**
  * The maximum number of tasks to return per page. Note, this may be
  restricted by fixed system limits.
  */
    limit?: number;
}
declare type GetLongRunningTasksResponseOKType = LongTaskStatusArrayAsResponse;
export interface GetLongRunningTasksResponseOK extends GetLongRunningTasksResponseOKType {
}
export declare type GetLongRunningTasksResponseError = undefined;
export interface GetLongRunningTaskRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the task.
     */
    id: string;
}
declare type GetLongRunningTaskResponseOKType = LongTaskStatusWithLinksAsResponse;
export interface GetLongRunningTaskResponseOK extends GetLongRunningTaskResponseOKType {
}
export declare type GetLongRunningTaskResponseError = undefined;
export {};
//# sourceMappingURL=longRunningTask.d.ts.map