/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { LookAndFeelSettingsAsResponse } from "../definitions/LookAndFeelSettingsAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { LookAndFeel } from "../definitions/LookAndFeel";
import { LookAndFeelWithLinksAsResponse } from "../definitions/LookAndFeelWithLinksAsResponse";
import { SystemInfoEntityAsResponse } from "../definitions/SystemInfoEntityAsResponse";
export interface GetLookAndFeelSettingsRequest extends HeadersOption, ErrorStrategyOption {
    /**
  * The key of the space for which the look and feel settings will be
  returned. If this is not set, only the global look and feel settings
  are returned.
  */
    spaceKey?: string;
}
declare type GetLookAndFeelSettingsResponseOKType = LookAndFeelSettingsAsResponse;
export interface GetLookAndFeelSettingsResponseOK extends GetLookAndFeelSettingsResponseOKType {
}
export declare type GetLookAndFeelSettingsResponseError = undefined;
export interface UpdateLookAndFeelSettingsRequest extends HeadersOption, ErrorStrategyOption {
    /**
  * The key of the space for which the look and feel settings will be
  updated. If this is not set, the global look and feel settings will
  be updated.
  */
    spaceKey?: string;
    body: LookAndFeel;
}
declare type UpdateLookAndFeelSettingsResponseOKType = LookAndFeelWithLinksAsResponse;
export interface UpdateLookAndFeelSettingsResponseOK extends UpdateLookAndFeelSettingsResponseOKType {
}
export declare type UpdateLookAndFeelSettingsResponseError = undefined;
export interface ResetLookAndFeelSettingsRequest extends HeadersOption, ErrorStrategyOption {
    /**
  * The key of the space for which the look and feel settings will be
  reset. If this is not set, the global look and feel settings will
  be reset.
  */
    spaceKey?: string;
}
export declare type ResetLookAndFeelSettingsResponseOK = undefined;
export declare type ResetLookAndFeelSettingsResponseError = undefined;
export interface SetLookAndFeelSettingsRequest extends HeadersOption, ErrorStrategyOption {
    /**
  * The key of the space for which the look and feel settings will be
  set. If this is not set, the global look and feel settings will be
  set.
  */
    spaceKey?: string;
    body: "global" | "custom" | "theme";
}
export declare type SetLookAndFeelSettingsResponseOK = string;
export declare type SetLookAndFeelSettingsResponseError = undefined;
export interface GetSystemInfoRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetSystemInfoResponseOKType = SystemInfoEntityAsResponse;
export interface GetSystemInfoResponseOK extends GetSystemInfoResponseOKType {
}
export declare type GetSystemInfoResponseError = undefined;
export {};
//# sourceMappingURL=setting.d.ts.map