/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SpaceSettingsAsResponse } from "../../definitions/SpaceSettingsAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { SpaceSettingsUpdate } from "../../definitions/SpaceSettingsUpdate";
export interface GetSpaceSettingsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key of the space to be queried for its settings.
     */
    spaceKey: string;
}
declare type GetSpaceSettingsResponseOKType = SpaceSettingsAsResponse;
export interface GetSpaceSettingsResponseOK extends GetSpaceSettingsResponseOKType {
}
export declare type GetSpaceSettingsResponseError = undefined;
export interface UpdateSpaceSettingsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key of the space whose settings will be updated.
     */
    spaceKey: string;
    body: SpaceSettingsUpdate;
}
declare type UpdateSpaceSettingsResponseOKType = SpaceSettingsAsResponse;
export interface UpdateSpaceSettingsResponseOK extends UpdateSpaceSettingsResponseOKType {
}
export declare type UpdateSpaceSettingsResponseError = undefined;
export {};
//# sourceMappingURL=setting.d.ts.map