/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ThemeArrayAsResponse } from "../definitions/ThemeArrayAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { ThemeAsResponse } from "../definitions/ThemeAsResponse";
import { ThemeUpdate } from "../definitions/ThemeUpdate";
export interface GetThemesRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The starting index of the returned themes.
     */
    start?: number;
    /**
  * The maximum number of themes to return per page.
  Note, this may be restricted by fixed system limits.
  */
    limit?: number;
}
declare type GetThemesResponseOKType = ThemeArrayAsResponse;
export interface GetThemesResponseOK extends GetThemesResponseOKType {
}
export declare type GetThemesResponseError = undefined;
export interface GetGlobalThemeRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetGlobalThemeResponseOKType = ThemeAsResponse;
export interface GetGlobalThemeResponseOK extends GetGlobalThemeResponseOKType {
}
export declare type GetGlobalThemeResponseError = undefined;
export interface GetThemeRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key of the theme to be returned.
     */
    themeKey: string;
}
declare type GetThemeResponseOKType = ThemeAsResponse;
export interface GetThemeResponseOK extends GetThemeResponseOKType {
}
export declare type GetThemeResponseError = undefined;
export interface GetSpaceThemeRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key of the space to be queried for its theme.
     */
    spaceKey: string;
}
declare type GetSpaceThemeResponseOKType = ThemeAsResponse;
export interface GetSpaceThemeResponseOK extends GetSpaceThemeResponseOKType {
}
export declare type GetSpaceThemeResponseError = undefined;
export interface SetSpaceThemeRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key of the space to set the theme for.
     */
    spaceKey: string;
    body: ThemeUpdate;
}
declare type SetSpaceThemeResponseOKType = ThemeAsResponse;
export interface SetSpaceThemeResponseOK extends SetSpaceThemeResponseOKType {
}
export declare type SetSpaceThemeResponseError = undefined;
export interface ResetSpaceThemeRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key of the space to reset the theme for.
     */
    spaceKey: string;
}
export declare type ResetSpaceThemeResponseOK = undefined;
export declare type ResetSpaceThemeResponseError = undefined;
export {};
//# sourceMappingURL=theme.d.ts.map