/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { GroupArrayWithLinksAsResponse } from "../definitions/GroupArrayWithLinksAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { GroupName } from "../definitions/GroupName";
import { GroupAsResponse } from "../definitions/GroupAsResponse";
export interface GetUserGroupsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The starting index of the returned groups.
     */
    start?: number;
    /**
  * The maximum number of groups to return per page.
  Note, this may be restricted by fixed system limits.
  */
    limit?: number;
    /**
     * The group permission level for which to filter results.
     */
    accessType?: "user" | "admin" | "site-admin";
}
declare type GetUserGroupsResponseOKType = GroupArrayWithLinksAsResponse;
export interface GetUserGroupsResponseOK extends GetUserGroupsResponseOKType {
}
export declare type GetUserGroupsResponseError = undefined;
export interface CreateUserGroupRequest extends HeadersOption, ErrorStrategyOption {
    body: GroupName;
}
declare type CreateUserGroupResponseOKType = GroupAsResponse;
export interface CreateUserGroupResponseOK extends CreateUserGroupResponseOKType {
}
export declare type CreateUserGroupResponseError = undefined;
export interface DeleteUserGroupRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Id of the group to delete.
     */
    id: string;
}
export declare type DeleteUserGroupResponseOK = undefined;
export declare type DeleteUserGroupResponseError = undefined;
export interface GetUserGroupByIdRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The id of the group.
     */
    id: string;
}
declare type GetUserGroupByIdResponseOKType = GroupAsResponse;
export interface GetUserGroupByIdResponseOK extends GetUserGroupByIdResponseOKType {
}
export declare type GetUserGroupByIdResponseError = undefined;
export {};
//# sourceMappingURL=userGroup.d.ts.map