/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { WatchArrayAsResponse } from "../definitions/WatchArrayAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { SpaceWatchArrayAsResponse } from "../definitions/SpaceWatchArrayAsResponse";
export interface GetWatchesForPageRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the content to be queried for its watches.
     */
    id: string;
    /**
     * The starting index of the returned watches.
     */
    start?: number;
    /**
  * The maximum number of watches to return per page.
  Note, this may be restricted by fixed system limits.
  */
    limit?: number;
}
declare type GetWatchesForPageResponseOKType = WatchArrayAsResponse;
export interface GetWatchesForPageResponseOK extends GetWatchesForPageResponseOKType {
}
export declare type GetWatchesForPageResponseError = undefined;
export interface GetWatchesForSpaceRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the content to be queried for its watches.
     */
    id: string;
    /**
     * The starting index of the returned watches.
     */
    start?: number;
    /**
  * The maximum number of watches to return per page.
  Note, this may be restricted by fixed system limits.
  */
    limit?: number;
}
declare type GetWatchesForSpaceResponseOKType = SpaceWatchArrayAsResponse;
export interface GetWatchesForSpaceResponseOK extends GetWatchesForSpaceResponseOKType {
}
export declare type GetWatchesForSpaceResponseError = undefined;
export interface GetSpaceWatchersRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key of the space to get watchers.
     */
    spaceKey: string;
    /**
     * The start point of the collection to return.
     */
    start?: string;
    /**
     * The limit of the number of items to return, this may be restricted by fixed system limits.
     */
    limit?: string;
}
declare type GetSpaceWatchersResponseOKType = SpaceWatchArrayAsResponse;
export interface GetSpaceWatchersResponseOK extends GetSpaceWatchersResponseOKType {
}
export declare type GetSpaceWatchersResponseError = undefined;
export {};
//# sourceMappingURL=watcher.d.ts.map