/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { UserWatchAsResponse } from "../../definitions/UserWatchAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetContentWatcherStatusRequest extends HeadersOption, ErrorStrategyOption {
    /**
  * The ID of the content to be queried for whether the specified user is
  watching it.
  */
    contentId: string;
    /**
  * The account ID of the user. The accountId uniquely identifies the user across all Atlassian products.
  For example, `384093:32b4d9w0-f6a5-3535-11a3-9c8c88d10192`.
  */
    accountId?: string;
}
declare type GetContentWatcherStatusResponseOKType = UserWatchAsResponse;
export interface GetContentWatcherStatusResponseOK extends GetContentWatcherStatusResponseOKType {
}
export declare type GetContentWatcherStatusResponseError = undefined;
export interface AddContentWatcherRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the content to add the watcher to.
     */
    contentId: string;
    /**
  * The account ID of the user. The accountId uniquely identifies the user across all Atlassian products.
  For example, `384093:32b4d9w0-f6a5-3535-11a3-9c8c88d10192`.
  */
    accountId?: string;
}
export declare type AddContentWatcherResponseOK = undefined;
export declare type AddContentWatcherResponseError = undefined;
export interface RemoveContentWatcherRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the content to remove the watcher from.
     */
    contentId: string;
    /**
  * The account ID of the user. The accountId uniquely identifies the user across all Atlassian products.
  For example, `384093:32b4d9w0-f6a5-3535-11a3-9c8c88d10192`.
  */
    accountId?: string;
}
export declare type RemoveContentWatcherResponseOK = undefined;
export declare type RemoveContentWatcherResponseError = undefined;
export {};
//# sourceMappingURL=content.d.ts.map