/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { UserWatchAsResponse } from "../../definitions/UserWatchAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetLabelWatcherStatusRequest extends HeadersOption, ErrorStrategyOption {
    /**
  * The name of the label to be queried for whether the specified user is
  watching it.
  */
    labelName: string;
    /**
  * The account ID of the user. The accountId uniquely identifies the user across all Atlassian products.
  For example, `384093:32b4d9w0-f6a5-3535-11a3-9c8c88d10192`.
  */
    accountId?: string;
}
declare type GetLabelWatcherStatusResponseOKType = UserWatchAsResponse;
export interface GetLabelWatcherStatusResponseOK extends GetLabelWatcherStatusResponseOKType {
}
export declare type GetLabelWatcherStatusResponseError = undefined;
export interface AddLabelWatcherRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The name of the label to add the watcher to.
     */
    labelName: string;
    /**
  * The account ID of the user. The accountId uniquely identifies the user across all Atlassian products.
  For example, `384093:32b4d9w0-f6a5-3535-11a3-9c8c88d10192`.
  */
    accountId?: string;
}
export declare type AddLabelWatcherResponseOK = undefined;
export declare type AddLabelWatcherResponseError = undefined;
export interface RemoveLabelWatcherRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The name of the label to remove the watcher from.
     */
    labelName: string;
    /**
  * The account ID of the user. The accountId uniquely identifies the user across all Atlassian products.
  For example, `384093:32b4d9w0-f6a5-3535-11a3-9c8c88d10192`.
  */
    accountId?: string;
}
export declare type RemoveLabelWatcherResponseOK = undefined;
export declare type RemoveLabelWatcherResponseError = undefined;
export {};
//# sourceMappingURL=label.d.ts.map