/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { UserWatchAsResponse } from "../../definitions/UserWatchAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetSpaceWatcherStatusRequest extends HeadersOption, ErrorStrategyOption {
    /**
  * The key of the space to be queried for whether the specified user is
  watching it.
  */
    spaceKey: string;
    /**
  * The account ID of the user. The accountId uniquely identifies the user across all Atlassian products.
  For example, `384093:32b4d9w0-f6a5-3535-11a3-9c8c88d10192`.
  */
    accountId?: string;
}
declare type GetSpaceWatcherStatusResponseOKType = UserWatchAsResponse;
export interface GetSpaceWatcherStatusResponseOK extends GetSpaceWatcherStatusResponseOKType {
}
export declare type GetSpaceWatcherStatusResponseError = undefined;
export interface AddSpaceWatcherRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key of the space to add the watcher to.
     */
    spaceKey: string;
    /**
  * The account ID of the user. The accountId uniquely identifies the user across all Atlassian products.
  For example, `384093:32b4d9w0-f6a5-3535-11a3-9c8c88d10192`.
  */
    accountId?: string;
}
export declare type AddSpaceWatcherResponseOK = undefined;
export declare type AddSpaceWatcherResponseError = undefined;
export interface RemoveSpaceWatcherRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key of the space to remove the watcher from.
     */
    spaceKey: string;
    /**
  * The account ID of the user. The accountId uniquely identifies the user across all Atlassian products.
  For example, `384093:32b4d9w0-f6a5-3535-11a3-9c8c88d10192`.
  */
    accountId?: string;
}
export declare type RemoveSpaceWatcherResponseOK = undefined;
export declare type RemoveSpaceWatcherResponseError = undefined;
export {};
//# sourceMappingURL=space.d.ts.map