/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { GetContentAttachmentsRequest, GetContentAttachmentsResponseOK } from "./types/content/attachment";
import { CreateOrUpdateContentAttachmentRequest, CreateOrUpdateContentAttachmentResponseOK } from "./types/content/attachment";
import { CreateContentAttachmentRequest, CreateContentAttachmentResponseOK } from "./types/content/attachment";
import { UpdateContentAttachmentPropertiesRequest, UpdateContentAttachmentPropertiesResponseOK } from "./types/content/attachment";
import { UpdateContentAttachmentDataRequest, UpdateContentAttachmentDataResponseOK } from "./types/content/attachment";
import { GetMacroBodyByIdRequest, GetMacroBodyByIdResponseOK } from "./types/content/body/macro";
import { ConvertContentBodyRequest, ConvertContentBodyResponseOK } from "./types/content/body";
import { AsyncConvertContentBodyRequest, AsyncConvertContentBodyResponseOK } from "./types/content/body";
import { GetAsyncConvertContentBodyResultRequest, GetAsyncConvertContentBodyResultResponseOK } from "./types/content/body";
import { GetContentChildrenRequest, GetContentChildrenResponseOK } from "./types/content/children";
import { GetContentChildrenByTypeRequest, GetContentChildrenByTypeResponseOK } from "./types/content/children";
import { MovePageToNewLocationRelativeToTargetPageRequest, MovePageToNewLocationRelativeToTargetPageResponseOK } from "./types/content/move";
import { GetContentDescendantsRequest, GetContentDescendantsResponseOK } from "./types/content/descendant";
import { GetContentDescendantsByTypeRequest, GetContentDescendantsByTypeResponseOK } from "./types/content/descendant";
import { CopyPageHierarchyRequest, CopyPageHierarchyResponseOK } from "./types/content/copy";
import { CopySinglePageRequest, CopySinglePageResponseOK } from "./types/content/copy";
import { GetContentCommentsRequest, GetContentCommentsResponseOK } from "./types/content/comment";
import { GetContentLabelsRequest, GetContentLabelsResponseOK } from "./types/content/label";
import { AddContentLabelRequest, AddContentLabelResponseOK } from "./types/content/label";
import { RemoveContentLabelWithQueryParameterRequest, RemoveContentLabelWithQueryParameterResponseOK } from "./types/content/label";
import { RemoveContentLabelRequest, RemoveContentLabelResponseOK } from "./types/content/label";
import { GetContentPropertiesRequest, GetContentPropertiesResponseOK } from "./types/content/property";
import { CreateContentPropertyRequest, CreateContentPropertyResponseOK } from "./types/content/property";
import { GetContentPropertyRequest, GetContentPropertyResponseOK } from "./types/content/property";
import { UpdateContentPropertyRequest, UpdateContentPropertyResponseOK } from "./types/content/property";
import { CreateContentPropertyForKeyRequest, CreateContentPropertyForKeyResponseOK } from "./types/content/property";
import { DeleteContentPropertyRequest, DeleteContentPropertyResponseOK } from "./types/content/property";
import { GetContentRestrictionGroupStatusRequest, GetContentRestrictionGroupStatusResponseOK } from "./types/content/restriction/group";
import { AddContentRestrictionGroupRequest, AddContentRestrictionGroupResponseOK } from "./types/content/restriction/group";
import { RemoveContentRestrictionGroupRequest, RemoveContentRestrictionGroupResponseOK } from "./types/content/restriction/group";
import { GetContentRestrictionUserStatusRequest, GetContentRestrictionUserStatusResponseOK } from "./types/content/restriction/user";
import { AddContentRestrictionUserRequest, AddContentRestrictionUserResponseOK } from "./types/content/restriction/user";
import { RemoveContentRestrictionUserRequest, RemoveContentRestrictionUserResponseOK } from "./types/content/restriction/user";
import { GetContentRestrictionsRequest, GetContentRestrictionsResponseOK } from "./types/content/restriction";
import { UpdateContentRestrictionsRequest, UpdateContentRestrictionsResponseOK } from "./types/content/restriction";
import { AddContentRestrictionsRequest, AddContentRestrictionsResponseOK } from "./types/content/restriction";
import { DeleteContentRestrictionsRequest, DeleteContentRestrictionsResponseOK } from "./types/content/restriction";
import { GetContentRestrictionsByOperationRequest, GetContentRestrictionsByOperationResponseOK } from "./types/content/restriction";
import { GetContentRestrictionsForOperationRequest, GetContentRestrictionsForOperationResponseOK } from "./types/content/restriction";
import { GetContentVersionsRequest, GetContentVersionsResponseOK } from "./types/content/version";
import { RestoreContentVersionRequest, RestoreContentVersionResponseOK } from "./types/content/version";
import { GetContentVersionRequest, GetContentVersionResponseOK } from "./types/content/version";
import { DeleteContentVersionRequest, DeleteContentVersionResponseOK } from "./types/content/version";
import { GetContentRequest, GetContentResponseOK } from "./types/content";
import { CreateContentRequest, CreateContentResponseOK } from "./types/content";
import { PublishSharedDraftRequest, PublishSharedDraftResponseOK } from "./types/content";
import { PublishLegacyDraftRequest, PublishLegacyDraftResponseOK } from "./types/content";
import { SearchContentByCQLRequest, SearchContentByCQLResponseOK } from "./types/content";
import { GetContentByIdRequest, GetContentByIdResponseOK } from "./types/content";
import { UpdateContentRequest, UpdateContentResponseOK } from "./types/content";
import { DeleteContentRequest, DeleteContentResponseOK } from "./types/content";
import { GetContentHistoryRequest, GetContentHistoryResponseOK } from "./types/content";
import { GetContentWatcherStatusRequest, GetContentWatcherStatusResponseOK } from "./types/watcher/content";
import { AddContentWatcherRequest, AddContentWatcherResponseOK } from "./types/watcher/content";
import { RemoveContentWatcherRequest, RemoveContentWatcherResponseOK } from "./types/watcher/content";
import { GetLabelWatcherStatusRequest, GetLabelWatcherStatusResponseOK } from "./types/watcher/label";
import { AddLabelWatcherRequest, AddLabelWatcherResponseOK } from "./types/watcher/label";
import { RemoveLabelWatcherRequest, RemoveLabelWatcherResponseOK } from "./types/watcher/label";
import { GetSpaceWatcherStatusRequest, GetSpaceWatcherStatusResponseOK } from "./types/watcher/space";
import { AddSpaceWatcherRequest, AddSpaceWatcherResponseOK } from "./types/watcher/space";
import { RemoveSpaceWatcherRequest, RemoveSpaceWatcherResponseOK } from "./types/watcher/space";
import { GetWatchesForPageRequest, GetWatchesForPageResponseOK } from "./types/watcher";
import { GetWatchesForSpaceRequest, GetWatchesForSpaceResponseOK } from "./types/watcher";
import { GetSpaceWatchersRequest, GetSpaceWatchersResponseOK } from "./types/watcher";
import { GetModulesRequest, GetModulesResponseOK } from "./types/dynamicModule";
import { RegisterModulesRequest, RegisterModulesResponseOK } from "./types/dynamicModule";
import { RemoveModulesRequest, RemoveModulesResponseOK } from "./types/dynamicModule";
import { AddUserGroupMembersByIdRequest, AddUserGroupMembersByIdResponseOK } from "./types/userGroup/member";
import { RemoveUserGroupMembersByIdRequest, RemoveUserGroupMembersByIdResponseOK } from "./types/userGroup/member";
import { GetUserGroupMembersByIdRequest, GetUserGroupMembersByIdResponseOK } from "./types/userGroup/member";
import { GetUserGroupsRequest, GetUserGroupsResponseOK } from "./types/userGroup";
import { CreateUserGroupRequest, CreateUserGroupResponseOK } from "./types/userGroup";
import { DeleteUserGroupRequest, DeleteUserGroupResponseOK } from "./types/userGroup";
import { GetUserGroupByIdRequest, GetUserGroupByIdResponseOK } from "./types/userGroup";
import { GetInlineTasksBasedOnSearchParametersRequest, GetInlineTasksBasedOnSearchParametersResponseOK } from "./types/inlineTask";
import { GetLabelInfoRequest, GetLabelInfoResponseOK } from "./types/label";
import { GetLongRunningTasksRequest, GetLongRunningTasksResponseOK } from "./types/longRunningTask";
import { GetLongRunningTaskRequest, GetLongRunningTaskResponseOK } from "./types/longRunningTask";
import { FindTargetEntitiesRelatedToSourceEntityRequest, FindTargetEntitiesRelatedToSourceEntityResponseOK } from "./types/relation";
import { FindRelationshipFromSourceToTargetRequest, FindRelationshipFromSourceToTargetResponseOK } from "./types/relation";
import { CreateRelationshipRequest, CreateRelationshipResponseOK } from "./types/relation";
import { DeleteRelationshipRequest, DeleteRelationshipResponseOK } from "./types/relation";
import { FindSourceEntitiesRelatedToTargetEntityRequest, FindSourceEntitiesRelatedToTargetEntityResponseOK } from "./types/relation";
import { SearchContentRequest, SearchContentResponseOK } from "./types/search";
import { SearchUsersRequest, SearchUsersResponseOK } from "./types/search";
import { GetLookAndFeelSettingsRequest, GetLookAndFeelSettingsResponseOK } from "./types/setting";
import { UpdateLookAndFeelSettingsRequest, UpdateLookAndFeelSettingsResponseOK } from "./types/setting";
import { ResetLookAndFeelSettingsRequest, ResetLookAndFeelSettingsResponseOK } from "./types/setting";
import { SetLookAndFeelSettingsRequest, SetLookAndFeelSettingsResponseOK } from "./types/setting";
import { GetSystemInfoRequest, GetSystemInfoResponseOK } from "./types/setting";
import { CreatePrivateSpaceRequest, CreatePrivateSpaceResponseOK } from "./types/space/private";
import { GetSpaceContentRequest, GetSpaceContentResponseOK } from "./types/space/content";
import { GetSpaceContentByTypeRequest, GetSpaceContentByTypeResponseOK } from "./types/space/content";
import { GetSpacePropertiesRequest, GetSpacePropertiesResponseOK } from "./types/space/property";
import { CreateSpacePropertyRequest, CreateSpacePropertyResponseOK } from "./types/space/property";
import { GetSpacePropertyRequest, GetSpacePropertyResponseOK } from "./types/space/property";
import { UpdateSpacePropertyRequest, UpdateSpacePropertyResponseOK } from "./types/space/property";
import { CreateSpacePropertyForKeyRequest, CreateSpacePropertyForKeyResponseOK } from "./types/space/property";
import { DeleteSpacePropertyRequest, DeleteSpacePropertyResponseOK } from "./types/space/property";
import { GetSpaceSettingsRequest, GetSpaceSettingsResponseOK } from "./types/space/setting";
import { UpdateSpaceSettingsRequest, UpdateSpaceSettingsResponseOK } from "./types/space/setting";
import { GetSpacesRequest, GetSpacesResponseOK } from "./types/space";
import { CreateSpaceRequest, CreateSpaceResponseOK } from "./types/space";
import { GetSpaceRequest, GetSpaceResponseOK } from "./types/space";
import { UpdateSpaceRequest, UpdateSpaceResponseOK } from "./types/space";
import { DeleteSpaceRequest, DeleteSpaceResponseOK } from "./types/space";
import { UpdateContentTemplateRequest, UpdateContentTemplateResponseOK } from "./types/template";
import { CreateContentTemplateRequest, CreateContentTemplateResponseOK } from "./types/template";
import { GetBlueprintTemplatesRequest, GetBlueprintTemplatesResponseOK } from "./types/template";
import { GetContentTemplatesRequest, GetContentTemplatesResponseOK } from "./types/template";
import { GetContentTemplateRequest, GetContentTemplateResponseOK } from "./types/template";
import { RemoveTemplateRequest, RemoveTemplateResponseOK } from "./types/template";
import { GetThemesRequest, GetThemesResponseOK } from "./types/theme";
import { GetGlobalThemeRequest, GetGlobalThemeResponseOK } from "./types/theme";
import { GetThemeRequest, GetThemeResponseOK } from "./types/theme";
import { GetSpaceThemeRequest, GetSpaceThemeResponseOK } from "./types/theme";
import { SetSpaceThemeRequest, SetSpaceThemeResponseOK } from "./types/theme";
import { ResetSpaceThemeRequest, ResetSpaceThemeResponseOK } from "./types/theme";
import { GetUserRequest, GetUserResponseOK } from "./types/user";
import { GetAnonymousUserRequest, GetAnonymousUserResponseOK } from "./types/user";
import { GetCurrentUserRequest, GetCurrentUserResponseOK } from "./types/user";
import { GetGroupsWhereUserMemberRequest, GetGroupsWhereUserMemberResponseOK } from "./types/user";
import { GetUsersWithIdsRequest, GetUsersWithIdsResponseOK } from "./types/user";
import { GetUserEmailRequest, GetUserEmailResponseOK } from "./types/user";
import { GetUserEmailsRequest, GetUserEmailsResponseOK } from "./types/user";
import { BaseApiCore, Headers, Response, ErrorStrategyOptionType, PlatformImplementation } from "@managed-api/commons-core";
import { CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyOption } from "./errorStrategy";
import { ErrorStrategyBuilder } from "./builders/errorStrategy";
export interface ConfluenceCloudApiCoreOptions extends ErrorStrategyOption {
}
declare type GetGlobalErrorStrategy = () => ErrorStrategyOptionType<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyBuilder> | undefined;
export declare abstract class ConfluenceCloudApiCore extends BaseApiCore {
    private options?;
    Content: ContentGroup;
    Watcher: WatcherGroup;
    DynamicModule: DynamicModuleGroup;
    UserGroup: UserGroupGroup;
    InlineTask: InlineTaskGroup;
    Label: LabelGroup;
    LongRunningTask: LongRunningTaskGroup;
    Relation: RelationGroup;
    Search: SearchGroup;
    Setting: SettingGroup;
    Space: SpaceGroup;
    Template: TemplateGroup;
    Theme: ThemeGroup;
    User: UserGroup;
    All: AllGroup;
    constructor(options?: ConfluenceCloudApiCoreOptions | undefined);
    setGlobalErrorStrategy(errorStrategy: ErrorStrategyOptionType<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyBuilder>): void;
    protected buildResponse(url: string, status: number, statusText: string, headers: Headers, body?: string | ArrayBuffer): Response<any>;
    private getGlobalErrorStrategy;
}
declare class AllGroup {
    private Content;
    private Watcher;
    private DynamicModule;
    private UserGroup;
    private InlineTask;
    private Label;
    private LongRunningTask;
    private Relation;
    private Search;
    private Setting;
    private Space;
    private Template;
    private Theme;
    private User;
    constructor(Content: ContentGroup, Watcher: WatcherGroup, DynamicModule: DynamicModuleGroup, UserGroup: UserGroupGroup, InlineTask: InlineTaskGroup, Label: LabelGroup, LongRunningTask: LongRunningTaskGroup, Relation: RelationGroup, Search: SearchGroup, Setting: SettingGroup, Space: SpaceGroup, Template: TemplateGroup, Theme: ThemeGroup, User: UserGroup);
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns all content in a Confluence instance.
  
  By default, the following objects are expanded: `space`, `history`, `version`.
  
  If the expand query parameter is used with the `body.export_view` and/or `body.styled_view` properties, then the query limit parameter will be restricted to a maximum value of 25.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only content that the user has permission to view will be returned.
  * Alternative usage: Content.getContent
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-get
  * @param options Request options.
  * @deprecated
  */
    getContent<T = GetContentResponseOK>(options?: GetContentRequest): Promise<GetContentResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Creates a new piece of content or publishes an existing draft.
  
  To publish a draft, add the `id` and `status` properties to the body of the request.
  Set the `id` to the ID of the draft and set the `status` to 'current'. When the
  request is sent, a new piece of content will be created and the metadata from the
  draft will be transferred into it.
  
  By default, the following objects are expanded: `space`, `history`, `version`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: 'Add' permission for the
  space that the content will be created in, and permission to view the draft if publishing a draft.
  * Alternative usage: Content.createContent
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-post
  * @param options Request options.
  * @deprecated
  */
    createContent<T = CreateContentResponseOK>(options: CreateContentRequest): Promise<CreateContentResponseOK | T>;
    /**
  * Publishes a shared draft of a page created from a blueprint.
  
  By default, the following objects are expanded: `body.storage`, `history`, `space`, `version`, `ancestors`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the draft and 'Add' permission for the space that
  the content will be created in.
  * Alternative usage: Content.publishSharedDraft
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-blueprint-instance-draftid-put
  * @param options Request options.
  */
    publishSharedDraft<T = PublishSharedDraftResponseOK>(options: PublishSharedDraftRequest): Promise<PublishSharedDraftResponseOK | T>;
    /**
  * Publishes a legacy draft of a page created from a blueprint. Legacy drafts
  will eventually be removed in favor of shared drafts. For now, this method
  works the same as [Publish shared draft](#api-content-blueprint-instance-draftId-put).
  
  By default, the following objects are expanded: `body.storage`, `history`, `space`, `version`, `ancestors`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the draft and 'Add' permission for the space that
  the content will be created in.
  * Alternative usage: Content.publishLegacyDraft
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-blueprint-instance-draftid-post
  * @param options Request options.
  */
    publishLegacyDraft<T = PublishLegacyDraftResponseOK>(options: PublishLegacyDraftRequest): Promise<PublishLegacyDraftResponseOK | T>;
    /**
  * Returns the list of content that matches a Confluence Query Language
  (CQL) query. For information on CQL, see:
  [Advanced searching using CQL](https://developer.atlassian.com/cloud/confluence/advanced-searching-using-cql/).
  
  Example initial call:
  ```
  /wiki/rest/api/content/search?cql=type=page&limit=25
  ```
  
  Example response:
  ```
  {
    "results": [
      { ... },
      { ... },
      ...
      { ... }
    ],
    "limit": 25,
    "size": 25,
    ...
    "_links": {
      "base": "<url>",
      "context": "<url>",
      "next": "/rest/api/content/search?cql=type=page&limit=25&cursor=raNDoMsTRiNg",
      "self": "<url>"
    }
  }
  ```
  
  When additional results are available, returns `next` and `prev` URLs to retrieve them in subsequent calls. The URLs each contain a cursor that points to the appropriate set of results. Use `limit` to specify the number of results returned in each call.
  Example subsequent call (taken from example response):
  ```
  /wiki/rest/api/content/search?cql=type=page&limit=25&cursor=raNDoMsTRiNg
  ```
  The response to this will have a `prev` URL similar to the `next` in the example response.
  
  If the expand query parameter is used with the `body.export_view` and/or `body.styled_view` properties, then the query limit parameter will be restricted to a maximum value of 25.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only content that the user has permission to view will be returned.
  * Alternative usage: Content.searchContentByCQL
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-search-get
  * @param options Request options.
  */
    searchContentByCql<T = SearchContentByCQLResponseOK>(options: SearchContentByCQLRequest): Promise<SearchContentByCQLResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns a single piece of content, like a page or a blog post.
  
  By default, the following objects are expanded: `space`, `history`, `version`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content. If the content is a blog post, 'View' permission
  for the space is required.
  * Alternative usage: Content.getContentById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-id-get
  * @param options Request options.
  * @deprecated
  */
    getContentById<T = GetContentByIdResponseOK>(options: GetContentByIdRequest): Promise<GetContentByIdResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Updates a piece of content. Use this method to update the title or body
  of a piece of content, change the status, change the parent page, and more.
  
  Note, updating draft content is currently not supported.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Alternative usage: Content.updateContent
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-id-put
  * @param options Request options.
  * @deprecated
  */
    updateContent<T = UpdateContentResponseOK>(options: UpdateContentRequest): Promise<UpdateContentResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Moves a piece of content to the space's trash or purges it from the trash,
  depending on the content's type and status:
  
  - If the content's type is `page`,`blogpost`, or `attachment` and its status is `current`,
  it will be trashed.
  - If the content's type is `page`,`blogpost`, or `attachment` and its status is `trashed`,
  the content will be purged from the trash and deleted permanently. Note,
  you must also set the `status` query parameter to `trashed` in your request.
  - If the content's type is `comment`, it will be deleted
  permanently without being trashed.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Delete' permission for the space that the content is in.
  * Alternative usage: Content.deleteContent
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-id-delete
  * @param options Request options.
  * @deprecated
  */
    deleteContent<T = DeleteContentResponseOK>(options: DeleteContentRequest): Promise<DeleteContentResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns the most recent update for a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: Permission to view the content.
  * Alternative usage: Content.getContentHistory
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-id-history-get
  * @param options Request options.
  * @deprecated
  */
    getContentHistory<T = GetContentHistoryResponseOK>(options: GetContentHistoryRequest): Promise<GetContentHistoryResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns the attachments for a piece of content.
  
  By default, the following objects are expanded: `metadata`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content. If the content is a blog post, 'View' permission
  for the space is required.
  * Alternative usage: Content.Attachment.getAttachments
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-get
  * @param options Request options.
  * @deprecated
  */
    getContentAttachments<T = GetContentAttachmentsResponseOK>(options: GetContentAttachmentsRequest): Promise<GetContentAttachmentsResponseOK | T>;
    /**
  * Adds an attachment to a piece of content. If the attachment already exists
  for the content, then the attachment is updated (i.e. a new version of the
  attachment is created).
  
  Note, you must set a `X-Atlassian-Token: nocheck` header on the request
  for this method, otherwise it will be blocked. This protects against XSRF
  attacks, which is necessary as this method accepts multipart/form-data.
  
  The media type 'multipart/form-data' is defined in [RFC 7578](https://www.ietf.org/rfc/rfc7578.txt).
  Most client libraries have classes that make it easier to implement
  multipart posts, like the [MultipartEntityBuilder](https://hc.apache.org/httpcomponents-client-5.1.x/current/httpclient5/apidocs/)
  Java class provided by Apache HTTP Components.
  
  Note, according to [RFC 7578](https://tools.ietf.org/html/rfc7578#section-4.5),
  in the case where the form data is text,
  the charset parameter for the "text/plain" Content-Type may be used to
  indicate the character encoding used in that part. In the case of this
  API endpoint, the `comment` body parameter should be sent with `type=text/plain`
  and `charset=utf-8` values. This will force the charset to be UTF-8.
  
  Example: This curl command attaches a file ('example.txt') to a piece of
  content (id='123') with a comment and `minorEdits`=true. If the 'example.txt'
  file already exists, it will update it with a new version of the attachment.
  
  ``` bash
  curl -D- \
    -u admin:admin \
    -X PUT \
    -H 'X-Atlassian-Token: nocheck' \
    -F 'file=@"example.txt"' \
    -F 'minorEdit="true"' \
    -F 'comment="Example attachment comment"; type=text/plain; charset=utf-8' \
    http://myhost/rest/api/content/123/child/attachment
  ```
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Alternative usage: Content.Attachment.createOrUpdateAttachment
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-put
  * @param options Request options.
  */
    createOrUpdateContentAttachment<T = CreateOrUpdateContentAttachmentResponseOK>(options: CreateOrUpdateContentAttachmentRequest): Promise<CreateOrUpdateContentAttachmentResponseOK | T>;
    /**
  * Adds an attachment to a piece of content. This method only adds a new
  attachment. If you want to update an existing attachment, use
  [Create or update attachments](#api-content-id-child-attachment-put).
  
  Note, you must set a `X-Atlassian-Token: nocheck` header on the request
  for this method, otherwise it will be blocked. This protects against XSRF
  attacks, which is necessary as this method accepts multipart/form-data.
  
  The media type 'multipart/form-data' is defined in [RFC 7578](https://www.ietf.org/rfc/rfc7578.txt).
  Most client libraries have classes that make it easier to implement
  multipart posts, like the [MultipartEntityBuilder](https://hc.apache.org/httpcomponents-client-5.1.x/current/httpclient5/apidocs/)
  Java class provided by Apache HTTP Components.
  
  Note, according to [RFC 7578](https://tools.ietf.org/html/rfc7578#section-4.5),
  in the case where the form data is text,
  the charset parameter for the "text/plain" Content-Type may be used to
  indicate the character encoding used in that part. In the case of this
  API endpoint, the `comment` body parameter should be sent with `type=text/plain`
  and `charset=utf-8` values. This will force the charset to be UTF-8.
  
  Example: This curl command attaches a file ('example.txt') to a container
  (id='123') with a comment and `minorEdits`=true.
  
  ``` bash
  curl -D- \
    -u admin:admin \
    -X POST \
    -H 'X-Atlassian-Token: nocheck' \
    -F 'file=@"example.txt"' \
    -F 'minorEdit="true"' \
    -F 'comment="Example attachment comment"; type=text/plain; charset=utf-8' \
    https://myhost/wiki/rest/api/content/123/child/attachment
  ```
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Alternative usage: Content.Attachment.createAttachment
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-post
  * @param options Request options.
  */
    createContentAttachment<T = CreateContentAttachmentResponseOK>(options: CreateContentAttachmentRequest): Promise<CreateContentAttachmentResponseOK | T>;
    /**
  * Updates the attachment properties, i.e. the non-binary data of an attachment
  like the filename, media-type, comment, and parent container.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Alternative usage: Content.Attachment.updateAttachmentProperties
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-attachmentid-put
  * @param options Request options.
  */
    updateContentAttachmentProperties<T = UpdateContentAttachmentPropertiesResponseOK>(options: UpdateContentAttachmentPropertiesRequest): Promise<UpdateContentAttachmentPropertiesResponseOK | T>;
    /**
  * Updates the binary data of an attachment, given the attachment ID, and
  optionally the comment and the minor edit field.
  
  This method is essentially the same as [Create or update attachments](#api-content-id-child-attachment-put),
  except that it matches the attachment ID rather than the name.
  
  Note, you must set a `X-Atlassian-Token: nocheck` header on the request
  for this method, otherwise it will be blocked. This protects against XSRF
  attacks, which is necessary as this method accepts multipart/form-data.
  
  The media type 'multipart/form-data' is defined in [RFC 7578](https://www.ietf.org/rfc/rfc7578.txt).
  Most client libraries have classes that make it easier to implement
  multipart posts, like the [MultipartEntityBuilder](https://hc.apache.org/httpcomponents-client-5.1.x/current/httpclient5/apidocs/)
  Java class provided by Apache HTTP Components.
  
  Note, according to [RFC 7578](https://tools.ietf.org/html/rfc7578#section-4.5),
  in the case where the form data is text,
  the charset parameter for the "text/plain" Content-Type may be used to
  indicate the character encoding used in that part. In the case of this
  API endpoint, the `comment` body parameter should be sent with `type=text/plain`
  and `charset=utf-8` values. This will force the charset to be UTF-8.
  
  Example: This curl command updates an attachment (id='att456') that is attached
  to a piece of content (id='123') with a comment and `minorEdits`=true.
  
  ``` bash
  curl -D- \
    -u admin:admin \
    -X POST \
    -H 'X-Atlassian-Token: nocheck' \
    -F 'file=@"example.txt"' \
    -F 'minorEdit="true"' \
    -F 'comment="Example attachment comment"; type=text/plain; charset=utf-8' \
    http://myhost/rest/api/content/123/child/attachment/att456/data
  ```
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Alternative usage: Content.Attachment.updateAttachmentData
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-attachmentid-data-post
  * @param options Request options.
  */
    updateContentAttachmentData<T = UpdateContentAttachmentDataResponseOK>(options: UpdateContentAttachmentDataRequest): Promise<UpdateContentAttachmentDataResponseOK | T>;
    /**
  * Deprecated, use the [single asynchronous endpoint](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-async-to-post)
  or the [bulk asynchronous endpoint](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-async-bulk-tasks-post) instead.
  
  Converts a content body from one format to another format.
  
  Supported conversions:
  
  - storage: view, export_view, styled_view, editor
  - editor: storage
  - view: none
  - export_view: none
  - styled_view: none
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  If request specifies 'contentIdContext', 'View' permission for the space, and permission to view the content.
  * Alternative usage: Content.Body.convertBody
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-to-post
  * @param options Request options.
  * @deprecated
  */
    convertContentBody<T = ConvertContentBodyResponseOK>(options: ConvertContentBodyRequest): Promise<ConvertContentBodyResponseOK | T>;
    /**
  * Converts a content body from one format to another format asynchronously.
  Returns the asyncId for the asynchronous task.
  
  Supported conversions:
  
  - atlas_doc_format: editor, export_view, storage, styled_view, view
  - storage: atlas_doc_format, editor, export_view, styled_view, view
  - editor: storage
  
  No other conversions are supported at the moment.
  Once a conversion is completed, it will be available for 5 minutes at the result endpoint.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  If request specifies 'contentIdContext', 'View' permission for the space, and permission to view the content.
  * Alternative usage: Content.Body.asyncConvertBody
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-async-to-post
  * @param options Request options.
  */
    asyncConvertContentBody<T = AsyncConvertContentBodyResponseOK>(options: AsyncConvertContentBodyRequest): Promise<AsyncConvertContentBodyResponseOK | T>;
    /**
  * Returns the asynchronous content body for the corresponding id if the task is complete
  or returns the status of the task.
  
  After the task is completed, the result can be obtained for 5 minutes, or until an identical conversion request is made again,
  with allowCache query param set to false.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  If request specifies 'contentIdContext', 'View' permission for the space, and permission to view the content.
  * Alternative usage: Content.Body.getAsyncConvertResult
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-async-id-get
  * @param options Request options.
  */
    getAsyncConvertContentBodyResult<T = GetAsyncConvertContentBodyResultResponseOK>(options: GetAsyncConvertContentBodyResultRequest): Promise<GetAsyncConvertContentBodyResultResponseOK | T>;
    /**
  * Returns the body of a macro in storage format, for the given macro ID.
  This includes information like the name of the macro, the body of the macro,
  and any macro parameters. This method is mainly used by Cloud apps.
  
  About the macro ID: When a macro is created in a new version of content,
  Confluence will generate a random ID for it, unless an ID is specified
  (by an app). The macro ID will look similar to this: '50884bd9-0cb8-41d5-98be-f80943c14f96'.
  The ID is then persisted as new versions of content are created, and is
  only modified by Confluence if there are conflicting IDs.
  
  For Forge macros, the value for macro ID is the "local ID" of that particular ADF node.
  This value can be retrieved either client-side by calling view.getContext() and accessing "localId"
  on the resulting object, or server-side by examining the "local-id" parameter node inside the "parameters" node.
  
  Note that there are other attributes named "local-id", but only this particular one is used to store the macro ID.
  
  Example:
  <ac:adf-node type="extension">
    <ac:adf-attribute key="extension-type">com.atlassian.ecosystem</ac:adf-attribute>
    <ac:adf-attribute key="parameters">
        <ac:adf-parameter key="local-id">e9c4aa10-73fa-417c-888d-48c719ae4165</ac:adf-parameter>
    </ac:adf-parameter>
  </ac:adf-node>
  
  Note, to preserve backwards compatibility this resource will also match on
  the hash of the macro body, even if a macro ID is found. This check will
  eventually become redundant, as macro IDs are generated for pages and
  transparently propagate out to all instances.
  
  This backwards compatibility logic does not apply to Forge macros; those
  can only be retrieved by their ID.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content that the macro is in.
  * Alternative usage: Content.Body.Macro.getMacroById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---macro-body/#api-wiki-rest-api-content-id-history-version-macro-id-macroid-get
  * @param options Request options.
  */
    getMacroBodyById<T = GetMacroBodyByIdResponseOK>(options: GetMacroBodyByIdRequest): Promise<GetMacroBodyByIdResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns a map of the direct children of a piece of content. A piece of content
  has different types of child content, depending on its type. These are
  the default parent-child content type relationships:
  
  - `page`: child content is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `whiteboard`: child content is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `database`: child content is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `embed`: child content is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `folder`: child content is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `blogpost`: child content is `comment`, `attachment`
  - `attachment`: child content is `comment`
  - `comment`: child content is `attachment`
  
  Apps can override these default relationships. Apps can also introduce
  new content types that create new parent-child content relationships.
  
  Note, the map will always include all child content types that are valid
  for the content. However, if the content has no instances of a child content
  type, the map will contain an empty array for that child content type.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: 'View' permission for the space,
  and permission to view the content if it is a page.
  * Alternative usage: Content.Children.getChildren
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-child-get
  * @param options Request options.
  * @deprecated
  */
    getContentChildren<T = GetContentChildrenResponseOK>(options: GetContentChildrenRequest): Promise<GetContentChildrenResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns all children of a given type, for a piece of content.
  A piece of content has different types of child content, depending on its type:
  
  - `page`: child content is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `whiteboard`: child content is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `database`: child content is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `embed`: child content is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `folder`: child content is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `blogpost`: child content is `comment`, `attachment`
  - `attachment`: child content is `comment`
  - `comment`: child content is `attachment`
  
  Custom content types that are provided by apps can also be returned.
  
  Note, this method only returns direct children. To return children at all
  levels, use [Get descendants by type](#api-content-id-descendant-type-get).
  
  If the expand query parameter is used with the `body.export_view` and/or `body.styled_view` properties, then the query limit parameter will be restricted to a maximum value of 25.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: 'View' permission for the space,
  and permission to view the content if it is a page.
  * Alternative usage: Content.Children.getChildrenByType
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-child-type-get
  * @param options Request options.
  * @deprecated
  */
    getContentChildrenByType<T = GetContentChildrenByTypeResponseOK>(options: GetContentChildrenByTypeRequest): Promise<GetContentChildrenByTypeResponseOK | T>;
    /**
  * Move a page to a new location relative to a target page:
  
  * `before` - move the page under the same parent as the target, before the target in the list of children
  * `after` - move the page under the same parent as the target, after the target in the list of children
  * `append` - move the page to be a child of the target
  
  Caution: This API can move pages to the top level of a space. Top-level pages are difficult to find in the UI
  because they do not show up in the page tree display. To avoid this, never use `before` or `after` positions
  when the `targetId` is a top-level page.
  * Alternative usage: Content.Move.movePageToNewLocationRelativeToTargetPage
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-pageid-move-position-targetid-put
  * @param options Request options.
  */
    movePageToNewLocationRelativeToTargetPage<T = MovePageToNewLocationRelativeToTargetPageResponseOK>(options: MovePageToNewLocationRelativeToTargetPageRequest): Promise<MovePageToNewLocationRelativeToTargetPageResponseOK | T>;
    /**
  * Returns a map of the descendants of a piece of content. This is similar
  to [Get content children](#api-content-id-child-get), except that this
  method returns child pages at all levels, rather than just the direct
  child pages.
  
  A piece of content has different types of descendants, depending on its type:
  
  - `page`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `whiteboard`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `database`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `embed`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `folder`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `blogpost`: descendant is `comment`, `attachment`
  - `attachment`: descendant is `comment`
  - `comment`: descendant is `attachment`
  
  The map will always include all descendant types that are valid for the content.
  However, if the content has no instances of a descendant type, the map will
  contain an empty array for that descendant type.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space, and permission to view the content if it
  is a page.
  * Alternative usage: Content.Descendant.getDescendants
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-descendant-get
  * @param options Request options.
  * @deprecated
  */
    getContentDescendants<T = GetContentDescendantsResponseOK>(options: GetContentDescendantsRequest): Promise<GetContentDescendantsResponseOK | T>;
    /**
  * Returns all descendants of a given type, for a piece of content. This is
  similar to [Get content children by type](#api-content-id-child-type-get),
  except that this method returns child pages at all levels, rather than just
  the direct child pages.
  
  A piece of content has different types of descendants, depending on its type:
  
  - `page`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `whiteboard`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `database`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `embed`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `folder`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `blogpost`: descendant is `comment`, `attachment`
  - `attachment`: descendant is `comment`
  - `comment`: descendant is `attachment`
  
  Custom content types that are provided by apps can also be returned.
  
  If the expand query parameter is used with the `body.export_view` and/or `body.styled_view` properties, then the query limit parameter will be restricted to a maximum value of 25.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space, and permission to view the content if it
  is a page.
  * Alternative usage: Content.Descendant.getDescendantsByType
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-descendant-type-get
  * @param options Request options.
  * @deprecated
  */
    getContentDescendantsByType<T = GetContentDescendantsByTypeResponseOK>(options: GetContentDescendantsByTypeRequest): Promise<GetContentDescendantsByTypeResponseOK | T>;
    /**
  * Copy page hierarchy allows the copying of an entire hierarchy of pages and their associated properties, permissions and attachments.
   The id path parameter refers to the content id of the page to copy, and the new parent of this copied page is defined using the destinationPageId in the request body.
   The titleOptions object defines the rules of renaming page titles during the copy;
   for example, search and replace can be used in conjunction to rewrite the copied page titles.
  
   Response example:
   <pre><code>
   {
        "id" : "1180606",
        "links" : {
             "status" : "/rest/api/longtask/1180606"
        }
   }
   </code></pre>
   Use the /longtask/<taskId> REST API to get the copy task status.
  * Alternative usage: Content.Copy.copyPageHierarchy
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-pagehierarchy-copy-post
  * @param options Request options.
  */
    copyPageHierarchy<T = CopyPageHierarchyResponseOK>(options: CopyPageHierarchyRequest): Promise<CopyPageHierarchyResponseOK | T>;
    /**
  * Copies a single page and its associated properties, permissions, attachments, and custom contents.
   The `id` path parameter refers to the content ID of the page to copy. The target of the page to be copied
   is defined using the `destination` in the request body and can be one of the following types.
  
    - `space`: page will be copied to the specified space as a root page on the space
    - `parent_page`: page will be copied as a child of the specified parent page
    - `parent_content`: page will be copied as a child of the specified parent content
    - `existing_page`: page will be copied and replace the specified page
  
  By default, the following objects are expanded: `space`, `history`, `version`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: 'Add' permission for the space that the content will be copied in and permission to update the content if copying to an `existing_page`.
  * Alternative usage: Content.Copy.copySinglePage
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-copy-post
  * @param options Request options.
  */
    copySinglePage<T = CopySinglePageResponseOK>(options: CopySinglePageRequest): Promise<CopySinglePageResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns the comments on a piece of content.
  
  If the expand query parameter is used with the `body.export_view` and/or `body.styled_view` properties, then the query limit parameter will be restricted to a maximum value of 25.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: 'View' permission for the space,
  and permission to view the content if it is a page.
  * Alternative usage: Content.Comment.getComments
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-comments/#api-wiki-rest-api-content-id-child-comment-get
  * @param options Request options.
  * @deprecated
  */
    getContentComments<T = GetContentCommentsResponseOK>(options: GetContentCommentsRequest): Promise<GetContentCommentsResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns the labels on a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space and permission to view the content if it is a page.
  * Alternative usage: Content.Label.getLabels
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-get
  * @param options Request options.
  * @deprecated
  */
    getContentLabels<T = GetContentLabelsResponseOK>(options: GetContentLabelsRequest): Promise<GetContentLabelsResponseOK | T>;
    /**
  * Adds labels to a piece of content. Does not modify the existing labels.
  
  Notes:
  
  - Labels can also be added when creating content ([Create content](#api-content-post)).
  - Labels can be updated when updating content ([Update content](#api-content-id-put)).
  This will delete the existing labels and replace them with the labels in
  the request.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Alternative usage: Content.Label.addLabel
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-post
  * @param options Request options.
  */
    addContentLabel<T = AddContentLabelResponseOK>(options: AddContentLabelRequest): Promise<AddContentLabelResponseOK | T>;
    /**
  * Removes a label from a piece of content. Labels can't be deleted from archived content.
  This is similar to [Remove label from content](#api-content-id-label-label-delete)
  except that the label name is specified via a query parameter.
  
  Use this method if the label name has "/" characters, as
  [Remove label from content using query parameter](#api-content-id-label-delete)
  does not accept "/" characters for the label name.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Alternative usage: Content.Label.removeLabelWithQueryParameter
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-delete
  * @param options Request options.
  */
    removeContentLabelWithQueryParameter<T = RemoveContentLabelWithQueryParameterResponseOK>(options: RemoveContentLabelWithQueryParameterRequest): Promise<RemoveContentLabelWithQueryParameterResponseOK | T>;
    /**
  * Removes a label from a piece of content. Labels can't be deleted from archived content.
  This is similar to [Remove label from content using query parameter](#api-content-id-label-delete)
  except that the label name is specified via a path parameter.
  
  Use this method if the label name does not have "/" characters, as the path
  parameter does not accept "/" characters for security reasons. Otherwise,
  use [Remove label from content using query parameter](#api-content-id-label-delete).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Alternative usage: Content.Label.removeLabel
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-label-delete
  * @param options Request options.
  */
    removeContentLabel<T = RemoveContentLabelResponseOK>(options: RemoveContentLabelRequest): Promise<RemoveContentLabelResponseOK | T>;
    /**
  * Returns the properties for a piece of content. For more information
  about content properties, see [Confluence entity properties](https://developer.atlassian.com/cloud/confluence/confluence-entity-properties/).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space, and permission to view the content if it is a page.
  * Alternative usage: Content.Property.getProperties
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-properties/#api-wiki-rest-api-content-id-property-get
  * @param options Request options.
  * @deprecated
  */
    getContentProperties<T = GetContentPropertiesResponseOK>(options: GetContentPropertiesRequest): Promise<GetContentPropertiesResponseOK | T>;
    /**
  * Creates a property for an existing piece of content. For more information
  about content properties, see [Confluence entity properties](https://developer.atlassian.com/cloud/confluence/confluence-entity-properties/).
  
  This is the same as [Create content property for key](#api-content-id-property-key-post)
  except that the key is specified in the request body instead of as a
  path parameter.
  
  Content properties can also be added when creating a new piece of content
  by including them in the `metadata.properties` of the request.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Alternative usage: Content.Property.createProperty
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-properties/#api-wiki-rest-api-content-id-property-post
  * @param options Request options.
  * @deprecated
  */
    createContentProperty<T = CreateContentPropertyResponseOK>(options: CreateContentPropertyRequest): Promise<CreateContentPropertyResponseOK | T>;
    /**
  * Returns a content property for a piece of content. For more information, see
  [Confluence entity properties](https://developer.atlassian.com/cloud/confluence/confluence-entity-properties/).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space, and permission to view the content if it is a page.
  * Alternative usage: Content.Property.getProperty
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-properties/#api-wiki-rest-api-content-id-property-key-get
  * @param options Request options.
  * @deprecated
  */
    getContentProperty<T = GetContentPropertyResponseOK>(options: GetContentPropertyRequest): Promise<GetContentPropertyResponseOK | T>;
    /**
  * Updates an existing content property. This method will also create a new
  property for a piece of content, if the property key does not exist and
  the property version is 1. For more information about content properties, see
  [Confluence entity properties](https://developer.atlassian.com/cloud/confluence/confluence-entity-properties/).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Alternative usage: Content.Property.updateProperty
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-properties/#api-wiki-rest-api-content-id-property-key-put
  * @param options Request options.
  * @deprecated
  */
    updateContentProperty<T = UpdateContentPropertyResponseOK>(options: UpdateContentPropertyRequest): Promise<UpdateContentPropertyResponseOK | T>;
    /**
  * Creates a property for an existing piece of content. For more information
  about content properties, see [Confluence entity properties](https://developer.atlassian.com/cloud/confluence/confluence-entity-properties/).
  
  This is the same as [Create content property](#api-content-id-property-post)
  except that the key is specified as a path parameter instead of in the
  request body.
  
  Content properties can also be added when creating a new piece of content
  by including them in the `metadata.properties` of the request.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Alternative usage: Content.Property.createPropertyForKey
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-properties/#api-wiki-rest-api-content-id-property-key-post
  * @param options Request options.
  * @deprecated
  */
    createContentPropertyForKey<T = CreateContentPropertyForKeyResponseOK>(options: CreateContentPropertyForKeyRequest): Promise<CreateContentPropertyForKeyResponseOK | T>;
    /**
  * Deletes a content property. For more information about content properties, see
  [Confluence entity properties](https://developer.atlassian.com/cloud/confluence/confluence-entity-properties/).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Alternative usage: Content.Property.deleteProperty
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-properties/#api-wiki-rest-api-content-id-property-key-delete
  * @param options Request options.
  * @deprecated
  */
    deleteContentProperty<T = DeleteContentPropertyResponseOK>(options: DeleteContentPropertyRequest): Promise<DeleteContentPropertyResponseOK | T>;
    /**
  * Returns the restrictions on a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content.
  * Alternative usage: Content.Restriction.getRestrictions
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-get
  * @param options Request options.
  */
    getContentRestrictions<T = GetContentRestrictionsResponseOK>(options: GetContentRestrictionsRequest): Promise<GetContentRestrictionsResponseOK | T>;
    /**
  * Updates restrictions for a piece of content. This removes the existing
  restrictions and replaces them with the restrictions in the request.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the content.
  * Alternative usage: Content.Restriction.updateRestrictions
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-put
  * @param options Request options.
  */
    updateContentRestrictions<T = UpdateContentRestrictionsResponseOK>(options: UpdateContentRestrictionsRequest): Promise<UpdateContentRestrictionsResponseOK | T>;
    /**
  * Adds restrictions to a piece of content. Note, this does not change any
  existing restrictions on the content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the content.
  * Alternative usage: Content.Restriction.addRestrictions
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-post
  * @param options Request options.
  */
    addContentRestrictions<T = AddContentRestrictionsResponseOK>(options: AddContentRestrictionsRequest): Promise<AddContentRestrictionsResponseOK | T>;
    /**
  * Removes all restrictions (read and update) on a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the content.
  * Alternative usage: Content.Restriction.deleteRestrictions
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-delete
  * @param options Request options.
  */
    deleteContentRestrictions<T = DeleteContentRestrictionsResponseOK>(options: DeleteContentRestrictionsRequest): Promise<DeleteContentRestrictionsResponseOK | T>;
    /**
  * Returns restrictions on a piece of content by operation. This method is
  similar to [Get restrictions](#api-content-id-restriction-get) except that
  the operations are properties of the return object, rather than items in
  a results array.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content.
  * Alternative usage: Content.Restriction.getRestrictionsByOperation
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-get
  * @param options Request options.
  */
    getContentRestrictionsByOperation<T = GetContentRestrictionsByOperationResponseOK>(options: GetContentRestrictionsByOperationRequest): Promise<GetContentRestrictionsByOperationResponseOK | T>;
    /**
  * Returns the restictions on a piece of content for a given operation (read
  or update).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content.
  * Alternative usage: Content.Restriction.getRestrictionsForOperation
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-get
  * @param options Request options.
  */
    getContentRestrictionsForOperation<T = GetContentRestrictionsForOperationResponseOK>(options: GetContentRestrictionsForOperationRequest): Promise<GetContentRestrictionsForOperationResponseOK | T>;
    /**
  * Returns whether the specified content restriction applies to a group.
  For example, if a page with `id=123` has a `read` restriction for the `123456` group id,
  the following request will return `true`:
  
  `/wiki/rest/api/content/123/restriction/byOperation/read/byGroupId/123456`
  
  Note that a response of `true` does not guarantee that the group can view the page, as it does not account for
  account-inherited restrictions, space permissions, or even product access. For more
  information, see [Confluence permissions](https://confluence.atlassian.com/x/_AozKw).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content.
  * Alternative usage: Content.Restriction.Group.getGroupStatus
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-bygroupid-groupid-get
  * @param options Request options.
  */
    getContentRestrictionGroupStatus<T = GetContentRestrictionGroupStatusResponseOK>(options: GetContentRestrictionGroupStatusRequest): Promise<GetContentRestrictionGroupStatusResponseOK | T>;
    /**
  * Adds a group to a content restriction by Group Id. That is, grant read or update
  permission to the group for a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the content.
  * Alternative usage: Content.Restriction.Group.addGroup
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-bygroupid-groupid-put
  * @param options Request options.
  */
    addContentRestrictionGroup<T = AddContentRestrictionGroupResponseOK>(options: AddContentRestrictionGroupRequest): Promise<AddContentRestrictionGroupResponseOK | T>;
    /**
  * Removes a group from a content restriction. That is, remove read or update
  permission for the group for a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the content.
  * Alternative usage: Content.Restriction.Group.removeGroup
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-bygroupid-groupid-delete
  * @param options Request options.
  */
    removeContentRestrictionGroup<T = RemoveContentRestrictionGroupResponseOK>(options: RemoveContentRestrictionGroupRequest): Promise<RemoveContentRestrictionGroupResponseOK | T>;
    /**
  * Returns whether the specified content restriction applies to a user.
  For example, if a page with `id=123` has a `read` restriction for a user with an account ID of
  `384093:32b4d9w0-f6a5-3535-11a3-9c8c88d10192`, the following request will return `true`:
  
  `/wiki/rest/api/content/123/restriction/byOperation/read/user?accountId=384093:32b4d9w0-f6a5-3535-11a3-9c8c88d10192`
  
  Note that a response of `true` does not guarantee that the user can view the page, as it does not account for
  account-inherited restrictions, space permissions, or even product access. For more
  information, see [Confluence permissions](https://confluence.atlassian.com/x/_AozKw).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content.
  * Alternative usage: Content.Restriction.User.getUserStatus
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-user-get
  * @param options Request options.
  */
    getContentRestrictionUserStatus<T = GetContentRestrictionUserStatusResponseOK>(options: GetContentRestrictionUserStatusRequest): Promise<GetContentRestrictionUserStatusResponseOK | T>;
    /**
  * Adds a user to a content restriction. That is, grant read or update
  permission to the user for a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the content.
  * Alternative usage: Content.Restriction.User.addUser
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-user-put
  * @param options Request options.
  */
    addContentRestrictionUser<T = AddContentRestrictionUserResponseOK>(options: AddContentRestrictionUserRequest): Promise<AddContentRestrictionUserResponseOK | T>;
    /**
  * Removes a group from a content restriction. That is, remove read or update
  permission for the group for a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the content.
  * Alternative usage: Content.Restriction.User.removeUser
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-user-delete
  * @param options Request options.
  */
    removeContentRestrictionUser<T = RemoveContentRestrictionUserResponseOK>(options: RemoveContentRestrictionUserRequest): Promise<RemoveContentRestrictionUserResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns the versions for a piece of content in descending order.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content. If the content is a blog post, 'View' permission
  for the space is required.
  * Alternative usage: Content.Version.getVersions
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-versions/#api-wiki-rest-api-content-id-version-get
  * @param options Request options.
  * @deprecated
  */
    getContentVersions<T = GetContentVersionsResponseOK>(options: GetContentVersionsRequest): Promise<GetContentVersionsResponseOK | T>;
    /**
  * Restores a historical version to be the latest version. That is, a new version
  is created with the content of the historical version.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Alternative usage: Content.Version.restoreVersion
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-versions/#api-wiki-rest-api-content-id-version-post
  * @param options Request options.
  */
    restoreContentVersion<T = RestoreContentVersionResponseOK>(options: RestoreContentVersionRequest): Promise<RestoreContentVersionResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns a version for a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content. If the content is a blog post, 'View' permission
  for the space is required.
  * Alternative usage: Content.Version.getVersion
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-versions/#api-wiki-rest-api-content-id-version-versionnumber-get
  * @param options Request options.
  * @deprecated
  */
    getContentVersion<T = GetContentVersionResponseOK>(options: GetContentVersionRequest): Promise<GetContentVersionResponseOK | T>;
    /**
  * Delete a historical version. This does not delete the changes made to the
  content in that version, rather the changes for the deleted version are
  rolled up into the next version. Note, you cannot delete the current version.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Alternative usage: Content.Version.deleteVersion
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-versions/#api-wiki-rest-api-content-id-version-versionnumber-delete
  * @param options Request options.
  */
    deleteContentVersion<T = DeleteContentVersionResponseOK>(options: DeleteContentVersionRequest): Promise<DeleteContentVersionResponseOK | T>;
    /**
  * Returns the watches for a page. A user that watches a page will receive
  receive notifications when the page is updated.
  
  If you want to manage watches for a page, use the following `user` methods:
  
  - [Get content watch status for user](#api-user-watch-content-contentId-get)
  - [Add content watch](#api-user-watch-content-contentId-post)
  - [Remove content watch](#api-user-watch-content-contentId-delete)
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: Watcher.getWatchesForPage
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-content-id-notification-child-created-get
  * @param options Request options.
  */
    getWatchesForPage<T = GetWatchesForPageResponseOK>(options: GetWatchesForPageRequest): Promise<GetWatchesForPageResponseOK | T>;
    /**
  * Returns all space watches for the space that the content is in. A user that
  watches a space will receive receive notifications when any content in the
  space is updated.
  
  If you want to manage watches for a space, use the following `user` methods:
  
  - [Get space watch status for user](#api-user-watch-space-spaceKey-get)
  - [Add space watch](#api-user-watch-space-spaceKey-post)
  - [Remove space watch](#api-user-watch-space-spaceKey-delete)
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: Watcher.getWatchesForSpace
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-content-id-notification-created-get
  * @param options Request options.
  */
    getWatchesForSpace<T = GetWatchesForSpaceResponseOK>(options: GetWatchesForSpaceRequest): Promise<GetWatchesForSpaceResponseOK | T>;
    /**
     * Returns a list of watchers of a space
     * Alternative usage: Watcher.getSpaceWatchers
     * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-space-spacekey-watch-get
     * @param options Request options.
     */
    getSpaceWatchers<T = GetSpaceWatchersResponseOK>(options: GetSpaceWatchersRequest): Promise<GetSpaceWatchersResponseOK | T>;
    /**
  * Returns whether a user is watching a piece of content. Choose the user by
  doing one of the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: Watcher.Content.getWatcherStatus
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-content-contentid-get
  * @param options Request options.
  */
    getContentWatcherStatus<T = GetContentWatcherStatusResponseOK>(options: GetContentWatcherStatusRequest): Promise<GetContentWatcherStatusResponseOK | T>;
    /**
  * Adds a user as a watcher to a piece of content. Choose the user by doing
  one of the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  Note, you must add the `X-Atlassian-Token: no-check` header when making a
  request, as this operation has XSRF protection.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: Watcher.Content.addWatcher
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-content-contentid-post
  * @param options Request options.
  */
    addContentWatcher<T = AddContentWatcherResponseOK>(options: AddContentWatcherRequest): Promise<AddContentWatcherResponseOK | T>;
    /**
  * Removes a user as a watcher from a piece of content. Choose the user by
  doing one of the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: Watcher.Content.removeWatcher
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-content-contentid-delete
  * @param options Request options.
  */
    removeContentWatcher<T = RemoveContentWatcherResponseOK>(options: RemoveContentWatcherRequest): Promise<RemoveContentWatcherResponseOK | T>;
    /**
  * Returns whether a user is watching a label. Choose the user by doing one
  of the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: Watcher.Label.getWatcherStatus
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-label-labelname-get
  * @param options Request options.
  */
    getLabelWatcherStatus<T = GetLabelWatcherStatusResponseOK>(options: GetLabelWatcherStatusRequest): Promise<GetLabelWatcherStatusResponseOK | T>;
    /**
  * Adds a user as a watcher to a label. Choose the user by doing one of the
  following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  Note, you must add the `X-Atlassian-Token: no-check` header when making a
  request, as this operation has XSRF protection.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: Watcher.Label.addWatcher
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-label-labelname-post
  * @param options Request options.
  */
    addLabelWatcher<T = AddLabelWatcherResponseOK>(options: AddLabelWatcherRequest): Promise<AddLabelWatcherResponseOK | T>;
    /**
  * Removes a user as a watcher from a label. Choose the user by doing one of
  the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: Watcher.Label.removeWatcher
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-label-labelname-delete
  * @param options Request options.
  */
    removeLabelWatcher<T = RemoveLabelWatcherResponseOK>(options: RemoveLabelWatcherRequest): Promise<RemoveLabelWatcherResponseOK | T>;
    /**
  * Returns whether a user is watching a space. Choose the user by
  doing one of the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: Watcher.Space.getWatcherStatus
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-space-spacekey-get
  * @param options Request options.
  */
    getSpaceWatcherStatus<T = GetSpaceWatcherStatusResponseOK>(options: GetSpaceWatcherStatusRequest): Promise<GetSpaceWatcherStatusResponseOK | T>;
    /**
  * Adds a user as a watcher to a space. Choose the user by doing one of the
  following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  Note, you must add the `X-Atlassian-Token: no-check` header when making a
  request, as this operation has XSRF protection.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: Watcher.Space.addWatcher
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-space-spacekey-post
  * @param options Request options.
  */
    addSpaceWatcher<T = AddSpaceWatcherResponseOK>(options: AddSpaceWatcherRequest): Promise<AddSpaceWatcherResponseOK | T>;
    /**
  * Removes a user as a watcher from a space. Choose the user by doing one of
  the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: Watcher.Space.removeWatcher
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-space-spacekey-delete
  * @param options Request options.
  */
    removeSpaceWatcher<T = RemoveSpaceWatcherResponseOK>(options: RemoveSpaceWatcherRequest): Promise<RemoveSpaceWatcherResponseOK | T>;
    /**
  * Returns all modules registered dynamically by the calling app.
  
  **[Permissions](#permissions) required:** Only Connect apps can make this request.
  * Alternative usage: DynamicModule.getModules
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-dynamic-modules/#api-atlassian-connect-1-app-module-dynamic-get
  * @param options Request options.
  */
    getModules<T = GetModulesResponseOK>(options?: GetModulesRequest): Promise<GetModulesResponseOK | T>;
    /**
  * Registers a list of modules. For the list of modules that support dynamic registration, see [Dynamic modules](https://developer.atlassian.com/cloud/confluence/dynamic-modules/).
  
  **[Permissions](#permissions) required:** Only Connect apps can make this request.
  * Alternative usage: DynamicModule.registerModules
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-dynamic-modules/#api-atlassian-connect-1-app-module-dynamic-post
  * @param options Request options.
  */
    registerModules<T = RegisterModulesResponseOK>(options: RegisterModulesRequest): Promise<RegisterModulesResponseOK | T>;
    /**
  * Remove all or a list of modules registered by the calling app.
  
  **[Permissions](#permissions) required:** Only Connect apps can make this request.
  * Alternative usage: DynamicModule.removeModules
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-dynamic-modules/#api-atlassian-connect-1-app-module-dynamic-delete
  * @param options Request options.
  */
    removeModules<T = RemoveModulesResponseOK>(options: RemoveModulesRequest): Promise<RemoveModulesResponseOK | T>;
    /**
  * Returns all user groups. The returned groups are ordered alphabetically in
  ascending order by group name.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: UserGroup.getUserGroups
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-get
  * @param options Request options.
  */
    getUserGroups<T = GetUserGroupsResponseOK>(options?: GetUserGroupsRequest): Promise<GetUserGroupsResponseOK | T>;
    /**
  * Creates a new user group.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  User must be a site admin.
  * Alternative usage: UserGroup.createUserGroup
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-post
  * @param options Request options.
  */
    createUserGroup<T = CreateUserGroupResponseOK>(options: CreateUserGroupRequest): Promise<CreateUserGroupResponseOK | T>;
    /**
  * Delete user group.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  User must be a site admin.
  * Alternative usage: UserGroup.deleteUserGroup
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-by-id-delete
  * @param options Request options.
  */
    deleteUserGroup<T = DeleteUserGroupResponseOK>(options: DeleteUserGroupRequest): Promise<DeleteUserGroupResponseOK | T>;
    /**
  * Returns a user group for a given group id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: UserGroup.getUserGroupById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-by-id-get
  * @param options Request options.
  */
    getUserGroupById<T = GetUserGroupByIdResponseOK>(options: GetUserGroupByIdRequest): Promise<GetUserGroupByIdResponseOK | T>;
    /**
  * Adds a user as a member in a group represented by its groupId
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  User must be a site admin.
  * Alternative usage: UserGroup.Member.addMemberById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-userbygroupid-post
  * @param options Request options.
  */
    addUserGroupMembersById<T = AddUserGroupMembersByIdResponseOK>(options: AddUserGroupMembersByIdRequest): Promise<AddUserGroupMembersByIdResponseOK | T>;
    /**
  * Remove user as a member from a group.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  User must be a site admin.
  * Alternative usage: UserGroup.Member.removeMemberById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-userbygroupid-delete
  * @param options Request options.
  */
    removeUserGroupMembersById<T = RemoveUserGroupMembersByIdResponseOK>(options: RemoveUserGroupMembersByIdRequest): Promise<RemoveUserGroupMembersByIdResponseOK | T>;
    /**
  * Returns the users that are members of a group.
  
  Use updated Get group API
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: UserGroup.Member.getMembersById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-groupid-membersbygroupid-get
  * @param options Request options.
  */
    getUserGroupMembersById<T = GetUserGroupMembersByIdResponseOK>(options: GetUserGroupMembersByIdRequest): Promise<GetUserGroupMembersByIdResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns inline tasks based on the search query.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission). Only tasks
  in contents that the user has permission to view are returned.
  * Alternative usage: InlineTask.getInlineTasksBasedOnSearchParameters
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-inline-tasks/#api-wiki-rest-api-inlinetasks-search-get
  * @param options Request options.
  * @deprecated
  */
    getInlineTasksBasedOnSearchParameters<T = GetInlineTasksBasedOnSearchParametersResponseOK>(options?: GetInlineTasksBasedOnSearchParametersRequest): Promise<GetInlineTasksBasedOnSearchParametersResponseOK | T>;
    /**
  * Returns label information and a list of contents associated with the label.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission). Only contents
  that the user is permitted to view is returned.
  * Alternative usage: Label.getInfo
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-label-info/#api-wiki-rest-api-label-get
  * @param options Request options.
  */
    getLabelInfo<T = GetLabelInfoResponseOK>(options: GetLabelInfoRequest): Promise<GetLabelInfoResponseOK | T>;
    /**
  * Returns information about all active long-running tasks (e.g. space export),
  such as how long each task has been running and the percentage of each task
  that has completed.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: LongRunningTask.getLongRunningTasks
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-long-running-task/#api-wiki-rest-api-longtask-get
  * @param options Request options.
  */
    getLongRunningTasks<T = GetLongRunningTasksResponseOK>(options?: GetLongRunningTasksRequest): Promise<GetLongRunningTasksResponseOK | T>;
    /**
  * Returns information about an active long-running task (e.g. space export),
  such as how long it has been running and the percentage of the task that
  has completed.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: LongRunningTask.getLongRunningTask
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-long-running-task/#api-wiki-rest-api-longtask-id-get
  * @param options Request options.
  */
    getLongRunningTask<T = GetLongRunningTaskResponseOK>(options: GetLongRunningTaskRequest): Promise<GetLongRunningTaskResponseOK | T>;
    /**
  * Returns all target entities that have a particular relationship to the
  source entity. Note, relationships are one way.
  
  For example, the following method finds all content that the current user
  has an 'ignore' relationship with:
  `GET /wiki/rest/api/relation/ignore/from/user/current/to/content`
  Note, 'ignore' is an example custom relationship type.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view both the target entity and source entity.
  * Alternative usage: Relation.findTargetEntitiesRelatedToSourceEntity
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-get
  * @param options Request options.
  */
    findTargetEntitiesRelatedToSourceEntity<T = FindTargetEntitiesRelatedToSourceEntityResponseOK>(options: FindTargetEntitiesRelatedToSourceEntityRequest): Promise<FindTargetEntitiesRelatedToSourceEntityResponseOK | T>;
    /**
  * Find whether a particular type of relationship exists from a source
  entity to a target entity. Note, relationships are one way.
  
  For example, you can use this method to find whether the current user has
  selected a particular page as a favorite (i.e. 'save for later'):
  `GET /wiki/rest/api/relation/favourite/from/user/current/to/content/123`
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view both the target entity and source entity.
  * Alternative usage: Relation.findRelationshipFromSourceToTarget
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-targetkey-get
  * @param options Request options.
  */
    findRelationshipFromSourceToTarget<T = FindRelationshipFromSourceToTargetResponseOK>(options: FindRelationshipFromSourceToTargetRequest): Promise<FindRelationshipFromSourceToTargetResponseOK | T>;
    /**
  * Creates a relationship between two entities (user, space, content). The
  'favourite' relationship is supported by default, but you can use this method
  to create any type of relationship between two entities.
  
  For example, the following method creates a 'sibling' relationship between
  two pieces of content:
  `PUT /wiki/rest/api/relation/sibling/from/content/123/to/content/456`
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: Relation.createRelationship
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-targetkey-put
  * @param options Request options.
  */
    createRelationship<T = CreateRelationshipResponseOK>(options: CreateRelationshipRequest): Promise<CreateRelationshipResponseOK | T>;
    /**
  * Deletes a relationship between two entities (user, space, content).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  For favourite relationships, the current user can only delete their own
  favourite relationships. A space administrator can delete favourite
  relationships for any user.
  * Alternative usage: Relation.deleteRelationship
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-targetkey-delete
  * @param options Request options.
  */
    deleteRelationship<T = DeleteRelationshipResponseOK>(options: DeleteRelationshipRequest): Promise<DeleteRelationshipResponseOK | T>;
    /**
  * Returns all target entities that have a particular relationship to the
  source entity. Note, relationships are one way.
  
  For example, the following method finds all users that have a 'collaborator'
  relationship to a piece of content with an ID of '1234':
  `GET /wiki/rest/api/relation/collaborator/to/content/1234/from/user`
  Note, 'collaborator' is an example custom relationship type.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view both the target entity and source entity.
  * Alternative usage: Relation.findSourceEntitiesRelatedToTargetEntity
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-to-targettype-targetkey-from-sourcetype-get
  * @param options Request options.
  */
    findSourceEntitiesRelatedToTargetEntity<T = FindSourceEntitiesRelatedToTargetEntityResponseOK>(options: FindSourceEntitiesRelatedToTargetEntityRequest): Promise<FindSourceEntitiesRelatedToTargetEntityResponseOK | T>;
    /**
  * Searches for content using the
  [Confluence Query Language (CQL)](https://developer.atlassian.com/cloud/confluence/advanced-searching-using-cql/).
  
  **Note that CQL input queries submitted through the `/wiki/rest/api/search` endpoint no longer support user-specific fields like `user`, `user.fullname`, `user.accountid`, and `user.userkey`.**
  See this [deprecation notice](https://developer.atlassian.com/cloud/confluence/deprecation-notice-search-api/) for more details.
  
  Example initial call:
  ```
  /wiki/rest/api/search?cql=type=page&limit=25
  ```
  
  Example response:
  ```
  {
    "results": [
      { ... },
      { ... },
      ...
      { ... }
    ],
    "limit": 25,
    "size": 25,
    ...
    "_links": {
      "base": "<url>",
      "context": "<url>",
      "next": "/rest/api/search?cql=type=page&limit=25&cursor=raNDoMsTRiNg",
      "self": "<url>"
    }
  }
  ```
  
  When additional results are available, returns `next` and `prev` URLs to retrieve them in subsequent calls. The URLs each contain a cursor that points to the appropriate set of results. Use `limit` to specify the number of results returned in each call.
  
  Example subsequent call (taken from example response):
  ```
  /wiki/rest/api/search?cql=type=page&limit=25&cursor=raNDoMsTRiNg
  ```
  The response to this will have a `prev` URL similar to the `next` in the example response.
  
  If the expand query parameter is used with the `body.export_view` and/or `body.styled_view` properties, then the query limit parameter will be restricted to a maximum value of 25.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the entities. Note, only entities that the user has
  permission to view will be returned.
  * Alternative usage: Search.searchContent
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-search/#api-wiki-rest-api-search-get
  * @param options Request options.
  */
    searchContent<T = SearchContentResponseOK>(options: SearchContentRequest): Promise<SearchContentResponseOK | T>;
    /**
  * Searches for users using user-specific queries from the
  [Confluence Query Language (CQL)](https://developer.atlassian.com/cloud/confluence/advanced-searching-using-cql/).
  
  Note that CQL input queries submitted through the `/wiki/rest/api/search/user` endpoint only support user-specific fields like `user`, `user.fullname`, `user.accountid`, and `user.userkey`.
  
  Note that some user fields may be set to null depending on the user's privacy settings.
  These are: email, profilePicture, displayName, and timeZone.
  * Alternative usage: Search.searchUsers
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-search/#api-wiki-rest-api-search-user-get
  * @param options Request options.
  */
    searchUsers<T = SearchUsersResponseOK>(options: SearchUsersRequest): Promise<SearchUsersResponseOK | T>;
    /**
  * Returns the look and feel settings for the site or a single space. This
  includes attributes such as the color scheme, padding, and border radius.
  
  The look and feel settings for a space can be inherited from the global
  look and feel settings or provided by a theme.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  None
  * Alternative usage: Setting.getLookAndFeelSettings
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-lookandfeel-get
  * @param options Request options.
  */
    getLookAndFeelSettings<T = GetLookAndFeelSettingsResponseOK>(options?: GetLookAndFeelSettingsRequest): Promise<GetLookAndFeelSettingsResponseOK | T>;
    /**
  * Updates the look and feel settings for the site or for a single space.
  If custom settings exist, they are updated. If no custom settings exist,
  then a set of custom settings is created.
  
  Note, if a theme is selected for a space, the space look and feel settings
  are provided by the theme and cannot be overridden.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Alternative usage: Setting.updateLookAndFeelSettings
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-lookandfeel-custom-post
  * @param options Request options.
  */
    updateLookAndFeelSettings<T = UpdateLookAndFeelSettingsResponseOK>(options: UpdateLookAndFeelSettingsRequest): Promise<UpdateLookAndFeelSettingsResponseOK | T>;
    /**
  * Resets the custom look and feel settings for the site or a single space.
  This changes the values of the custom settings to be the same as the
  default settings. It does not change which settings (default or custom)
  are selected. Note, the default space settings are inherited from the
  current global settings.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Alternative usage: Setting.resetLookAndFeelSettings
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-lookandfeel-custom-delete
  * @param options Request options.
  */
    resetLookAndFeelSettings<T = ResetLookAndFeelSettingsResponseOK>(options?: ResetLookAndFeelSettingsRequest): Promise<ResetLookAndFeelSettingsResponseOK | T>;
    /**
  * Sets the look and feel settings to either the default settings or the
  custom settings, for the site or a single space. Note, the default
  space settings are inherited from the current global settings.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Alternative usage: Setting.setLookAndFeelSettings
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-lookandfeel-selected-put
  * @param options Request options.
  * @deprecated
  */
    setLookAndFeelSettings<T = SetLookAndFeelSettingsResponseOK>(options: SetLookAndFeelSettingsRequest): Promise<SetLookAndFeelSettingsResponseOK | T>;
    /**
  * Returns the system information for the Confluence Cloud tenant. This
  information is used by Atlassian.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: Setting.getSystemInfo
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-systeminfo-get
  * @param options Request options.
  */
    getSystemInfo<T = GetSystemInfoResponseOK>(options?: GetSystemInfoRequest): Promise<GetSystemInfoResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns all spaces. The returned spaces are ordered alphabetically in
  ascending order by space key.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Note, the returned list will only contain spaces that the current user
  has permission to view.
  * Alternative usage: Space.getSpaces
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-get
  * @param options Request options.
  * @deprecated
  */
    getSpaces<T = GetSpacesResponseOK>(options?: GetSpacesRequest): Promise<GetSpacesResponseOK | T>;
    /**
  * Creates a new space. Note, currently you cannot set space labels when
  creating a space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Create Space(s)' global permission.
  * Alternative usage: Space.createSpace
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-post
  * @param options Request options.
  */
    createSpace<T = CreateSpaceResponseOK>(options: CreateSpaceRequest): Promise<CreateSpaceResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns a space. This includes information like the name, description,
  and permissions, but not the content in the space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space.
  * Alternative usage: Space.getSpace
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-get
  * @param options Request options.
  * @deprecated
  */
    getSpace<T = GetSpaceResponseOK>(options: GetSpaceRequest): Promise<GetSpaceResponseOK | T>;
    /**
  * Updates the name, description, or homepage of a space.
  
  -   For security reasons, permissions cannot be updated via the API and
  must be changed via the user interface instead.
  -   Currently you cannot set space labels when updating a space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Alternative usage: Space.updateSpace
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-put
  * @param options Request options.
  */
    updateSpace<T = UpdateSpaceResponseOK>(options: UpdateSpaceRequest): Promise<UpdateSpaceResponseOK | T>;
    /**
  * Permanently deletes a space without sending it to the trash. Note, the space will be deleted in a long running task.
  Therefore, the space may not be deleted yet when this method has
  returned. Clients should poll the status link that is returned in the
  response until the task completes.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Alternative usage: Space.deleteSpace
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-delete
  * @param options Request options.
  */
    deleteSpace<T = DeleteSpaceResponseOK>(options: DeleteSpaceRequest): Promise<DeleteSpaceResponseOK | T>;
    /**
  * Creates a new space that is only visible to the creator. This method is
  the same as the [Create space](#api-space-post) method with permissions
  set to the current user only. Note, currently you cannot set space
  labels when creating a space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Create Space(s)' global permission.
  * Alternative usage: Space.Private.createSpace
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-private-post
  * @param options Request options.
  */
    createPrivateSpace<T = CreatePrivateSpaceResponseOK>(options: CreatePrivateSpaceRequest): Promise<CreatePrivateSpaceResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns all content in a space. The returned content is grouped by type
  (pages then blogposts), then ordered by content ID in ascending order.
  
  If the expand query parameter is used with the `body.export_view` and/or `body.styled_view` properties, then the query limit parameter will be restricted to a maximum value of 25.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space. Note, the returned list will only
  contain content that the current user has permission to view.
  * Alternative usage: Space.Content.getContent
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-content-get
  * @param options Request options.
  * @deprecated
  */
    getSpaceContent<T = GetSpaceContentResponseOK>(options: GetSpaceContentRequest): Promise<GetSpaceContentResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns all content of a given type, in a space. The returned content is
  ordered by content ID in ascending order.
  
  If the expand query parameter is used with the `body.export_view` and/or `body.styled_view` properties, then the query limit parameter will be restricted to a maximum value of 25.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space. Note, the returned list will only
  contain content that the current user has permission to view.
  * Alternative usage: Space.Content.getContentByType
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-content-type-get
  * @param options Request options.
  * @deprecated
  */
    getSpaceContentByType<T = GetSpaceContentByTypeResponseOK>(options: GetSpaceContentByTypeRequest): Promise<GetSpaceContentByTypeResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns all properties for the given space. Space properties are a key-value storage associated with a space.
  
  **[Permissions required](https://confluence.atlassian.com/x/_AozKw)**: ‘View’ permission for the space.
  * Alternative usage: Space.Property.getProperties
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-properties/#api-wiki-rest-api-space-spacekey-property-get
  * @param options Request options.
  * @deprecated
  */
    getSpaceProperties<T = GetSpacePropertiesResponseOK>(options: GetSpacePropertiesRequest): Promise<GetSpacePropertiesResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Creates a new space property.
  
  **[Permissions required](https://confluence.atlassian.com/x/_AozKw)**:
  ‘Admin’ permission for the space.
  * Alternative usage: Space.Property.createProperty
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-properties/#api-wiki-rest-api-space-spacekey-property-post
  * @param options Request options.
  * @deprecated
  */
    createSpaceProperty<T = CreateSpacePropertyResponseOK>(options: CreateSpacePropertyRequest): Promise<CreateSpacePropertyResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns a space property.
  
  **[Permissions required](https://confluence.atlassian.com/x/_AozKw)**: ‘View’ permission for the space.
  * Alternative usage: Space.Property.getProperty
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-properties/#api-wiki-rest-api-space-spacekey-property-key-get
  * @param options Request options.
  * @deprecated
  */
    getSpaceProperty<T = GetSpacePropertyResponseOK>(options: GetSpacePropertyRequest): Promise<GetSpacePropertyResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Updates a space property. Note, you cannot update the key of a space
  property, only the value.
  
  **[Permissions required](https://confluence.atlassian.com/x/_AozKw)**:
  ‘Admin’ permission for the space.
  * Alternative usage: Space.Property.updateProperty
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-properties/#api-wiki-rest-api-space-spacekey-property-key-put
  * @param options Request options.
  * @deprecated
  */
    updateSpaceProperty<T = UpdateSpacePropertyResponseOK>(options: UpdateSpacePropertyRequest): Promise<UpdateSpacePropertyResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Creates a new space property. This is the same as `POST
  /wiki/rest/api/space/{spaceKey}/property` but the key for the property is passed as a
  path parameter, rather than in the request body.
  
  **[Permissions required](https://confluence.atlassian.com/x/_AozKw)**:
  ‘Admin’ permission for the space.
  * Alternative usage: Space.Property.createPropertyForKey
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-properties/#api-wiki-rest-api-space-spacekey-property-key-post
  * @param options Request options.
  * @deprecated
  */
    createSpacePropertyForKey<T = CreateSpacePropertyForKeyResponseOK>(options: CreateSpacePropertyForKeyRequest): Promise<CreateSpacePropertyForKeyResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Deletes a space property.
  
  **[Permissions required](https://confluence.atlassian.com/x/_AozKw)**:
  ‘Admin’ permission for the space.
  * Alternative usage: Space.Property.deleteProperty
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-properties/#api-wiki-rest-api-space-spacekey-property-key-delete
  * @param options Request options.
  * @deprecated
  */
    deleteSpaceProperty<T = DeleteSpacePropertyResponseOK>(options: DeleteSpacePropertyRequest): Promise<DeleteSpacePropertyResponseOK | T>;
    /**
  * Returns the settings of a space. Currently only the
  `routeOverrideEnabled` setting can be returned.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space.
  * Alternative usage: Space.Setting.getSettings
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-settings/#api-wiki-rest-api-space-spacekey-settings-get
  * @param options Request options.
  */
    getSpaceSettings<T = GetSpaceSettingsResponseOK>(options: GetSpaceSettingsRequest): Promise<GetSpaceSettingsResponseOK | T>;
    /**
  * Updates the settings for a space. Currently only the
  `routeOverrideEnabled` setting can be updated.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Alternative usage: Space.Setting.updateSettings
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-settings/#api-wiki-rest-api-space-spacekey-settings-put
  * @param options Request options.
  */
    updateSpaceSettings<T = UpdateSpaceSettingsResponseOK>(options: UpdateSpaceSettingsRequest): Promise<UpdateSpaceSettingsResponseOK | T>;
    /**
  * Updates a content template. Note, blueprint templates cannot be updated
  via the REST API.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space to update a space template or 'Confluence Administrator'
  global permission to update a global template.
  * Alternative usage: Template.updateContentTemplate
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-put
  * @param options Request options.
  */
    updateContentTemplate<T = UpdateContentTemplateResponseOK>(options: UpdateContentTemplateRequest): Promise<UpdateContentTemplateResponseOK | T>;
    /**
  * Creates a new content template. Note, blueprint templates cannot be created via the REST API.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space to create a space template or 'Confluence Administrator'
  global permission to create a global template.
  * Alternative usage: Template.createContentTemplate
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-post
  * @param options Request options.
  */
    createContentTemplate<T = CreateContentTemplateResponseOK>(options: CreateContentTemplateRequest): Promise<CreateContentTemplateResponseOK | T>;
    /**
  * Returns all templates provided by blueprints. Use this method to retrieve
  all global blueprint templates or all blueprint templates in a space.
  
  Note, all global blueprints are inherited by each space. Space blueprints
  can be customised without affecting the global blueprints.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space to view blueprints for the space and permission
  to access the Confluence site ('Can use' global permission) to view global blueprints.
  * Alternative usage: Template.getBlueprintTemplates
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-blueprint-get
  * @param options Request options.
  */
    getBlueprintTemplates<T = GetBlueprintTemplatesResponseOK>(options?: GetBlueprintTemplatesRequest): Promise<GetBlueprintTemplatesResponseOK | T>;
    /**
  * Returns all content templates. Use this method to retrieve all global
  content templates or all content templates in a space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space to view space templates and permission to
  access the Confluence site ('Can use' global permission) to view global templates.
  * Alternative usage: Template.getContentTemplates
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-page-get
  * @param options Request options.
  */
    getContentTemplates<T = GetContentTemplatesResponseOK>(options?: GetContentTemplatesRequest): Promise<GetContentTemplatesResponseOK | T>;
    /**
  * Returns a content template. This includes information about template,
  like the name, the space or blueprint that the template is in, the body
  of the template, and more.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space to view space templates and permission to
  access the Confluence site ('Can use' global permission) to view global templates.
  * Alternative usage: Template.getContentTemplate
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-contenttemplateid-get
  * @param options Request options.
  */
    getContentTemplate<T = GetContentTemplateResponseOK>(options: GetContentTemplateRequest): Promise<GetContentTemplateResponseOK | T>;
    /**
  * Deletes a template. This results in different actions depending on the
  type of template:
  
  - If the template is a content template, it is deleted.
  - If the template is a modified space-level blueprint template, it reverts
  to the template inherited from the global-level blueprint template.
  - If the template is a modified global-level blueprint template, it reverts
  to the default global-level blueprint template.
  
   Note, unmodified blueprint templates cannot be deleted.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
          'Admin' permission for the space to delete a space template or 'Confluence Administrator'
          global permission to delete a global template.
  * Alternative usage: Template.removeTemplate
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-contenttemplateid-delete
  * @param options Request options.
  */
    removeTemplate<T = RemoveTemplateResponseOK>(options: RemoveTemplateRequest): Promise<RemoveTemplateResponseOK | T>;
    /**
  * Returns all themes, not including the default theme.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: None
  * Alternative usage: Theme.getThemes
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-settings-theme-get
  * @param options Request options.
  */
    getThemes<T = GetThemesResponseOK>(options?: GetThemesRequest): Promise<GetThemesResponseOK | T>;
    /**
  * Returns the globally assigned theme.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: None
  * Alternative usage: Theme.getGlobalTheme
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-settings-theme-selected-get
  * @param options Request options.
  */
    getGlobalTheme<T = GetGlobalThemeResponseOK>(options?: GetGlobalThemeRequest): Promise<GetGlobalThemeResponseOK | T>;
    /**
  * Returns a theme. This includes information about the theme name,
  description, and icon.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: None
  * Alternative usage: Theme.getTheme
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-settings-theme-themekey-get
  * @param options Request options.
  */
    getTheme<T = GetThemeResponseOK>(options: GetThemeRequest): Promise<GetThemeResponseOK | T>;
    /**
  * Returns the theme selected for a space, if one is set. If no space
  theme is set, this means that the space is inheriting the global look
  and feel settings.
  
  **[Permissions required](https://confluence.atlassian.com/x/_AozKw)**: ‘View’ permission for the space.
  * Alternative usage: Theme.getSpaceTheme
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-space-spacekey-theme-get
  * @param options Request options.
  */
    getSpaceTheme<T = GetSpaceThemeResponseOK>(options: GetSpaceThemeRequest): Promise<GetSpaceThemeResponseOK | T>;
    /**
  * Sets the theme for a space. Note, if you want to reset the space theme to
  the default Confluence theme, use the 'Reset space theme' method instead
  of this method.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Alternative usage: Theme.setSpaceTheme
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-space-spacekey-theme-put
  * @param options Request options.
  */
    setSpaceTheme<T = SetSpaceThemeResponseOK>(options: SetSpaceThemeRequest): Promise<SetSpaceThemeResponseOK | T>;
    /**
  * Resets the space theme. This means that the space will inherit the
  global look and feel settings
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Alternative usage: Theme.resetSpaceTheme
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-space-spacekey-theme-delete
  * @param options Request options.
  */
    resetSpaceTheme<T = ResetSpaceThemeResponseOK>(options: ResetSpaceThemeRequest): Promise<ResetSpaceThemeResponseOK | T>;
    /**
  * Returns a user. This includes information about the user, such as the
  display name, account ID, profile picture, and more. The information returned may be
  restricted by the user's profile visibility settings.
  
  **Note:** to add, edit, or delete users in your organization, see the
  [user management REST API](/cloud/admin/user-management/about/).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: User.getUser
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-get
  * @param options Request options.
  */
    getUser<T = GetUserResponseOK>(options: GetUserRequest): Promise<GetUserResponseOK | T>;
    /**
  * Returns information about how anonymous users are represented, like the
  profile picture and display name.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: User.getAnonymousUser
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-anonymous-get
  * @param options Request options.
  */
    getAnonymousUser<T = GetAnonymousUserResponseOK>(options?: GetAnonymousUserRequest): Promise<GetAnonymousUserResponseOK | T>;
    /**
  * Returns the currently logged-in user. This includes information about
  the user, like the display name, userKey, account ID, profile picture,
  and more.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: User.getCurrentUser
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-current-get
  * @param options Request options.
  */
    getCurrentUser<T = GetCurrentUserResponseOK>(options?: GetCurrentUserRequest): Promise<GetCurrentUserResponseOK | T>;
    /**
  * Returns the groups that a user is a member of.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: User.getGroupsWhereUserMember
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-memberof-get
  * @param options Request options.
  */
    getGroupsWhereUserMember<T = GetGroupsWhereUserMemberResponseOK>(options: GetGroupsWhereUserMemberRequest): Promise<GetGroupsWhereUserMemberResponseOK | T>;
    /**
  * Returns user details for the ids provided in the request.
  Currently this API returns a maximum of 100 results.
  If more than 100 account ids are passed in, then the first 100 will be returned.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: User.getUsersWithIds
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-bulk-get
  * @param options Request options.
  */
    getUsersWithIds<T = GetUsersWithIdsResponseOK>(options: GetUsersWithIdsRequest): Promise<GetUsersWithIdsResponseOK | T>;
    /**
  * Returns a user's email address regardless of the user's profile visibility settings. For Connect apps, this API is only available to apps approved by
  Atlassian, according to these [guidelines](https://community.developer.atlassian.com/t/guidelines-for-requesting-access-to-email-address/27603).
  For Forge apps, this API only supports access via asApp() requests.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: User.getUserEmail
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-email-get
  * @param options Request options.
  */
    getUserEmail<T = GetUserEmailResponseOK>(options: GetUserEmailRequest): Promise<GetUserEmailResponseOK | T>;
    /**
  * Returns a user's email address regardless of the user’s profile visibility settings. For Connect apps, this API is only available to apps approved by
  Atlassian, according to these [guidelines](https://community.developer.atlassian.com/t/guidelines-for-requesting-access-to-email-address/27603).
  For Forge apps, this API only supports access via asApp() requests.
  
  Any accounts which are not available will not be included in the result.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: User.getUserEmails
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-email-bulk-get
  * @param options Request options.
  */
    getUserEmails<T = GetUserEmailsResponseOK>(options: GetUserEmailsRequest): Promise<GetUserEmailsResponseOK | T>;
}
declare class ContentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Attachment: ContentAttachmentGroup;
    Body: ContentBodyGroup;
    Children: ContentChildrenGroup;
    Move: ContentMoveGroup;
    Descendant: ContentDescendantGroup;
    Copy: ContentCopyGroup;
    Comment: ContentCommentGroup;
    Label: ContentLabelGroup;
    Property: ContentPropertyGroup;
    Restriction: ContentRestrictionGroup;
    Version: ContentVersionGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns all content in a Confluence instance.
  
  By default, the following objects are expanded: `space`, `history`, `version`.
  
  If the expand query parameter is used with the `body.export_view` and/or `body.styled_view` properties, then the query limit parameter will be restricted to a maximum value of 25.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only content that the user has permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-get
  * @param options Request options.
  * @deprecated
  */
    getContent<T = GetContentResponseOK>(options?: GetContentRequest): Promise<GetContentResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Creates a new piece of content or publishes an existing draft.
  
  To publish a draft, add the `id` and `status` properties to the body of the request.
  Set the `id` to the ID of the draft and set the `status` to 'current'. When the
  request is sent, a new piece of content will be created and the metadata from the
  draft will be transferred into it.
  
  By default, the following objects are expanded: `space`, `history`, `version`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: 'Add' permission for the
  space that the content will be created in, and permission to view the draft if publishing a draft.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-post
  * @param options Request options.
  * @deprecated
  */
    createContent<T = CreateContentResponseOK>(options: CreateContentRequest): Promise<CreateContentResponseOK | T>;
    /**
  * Publishes a shared draft of a page created from a blueprint.
  
  By default, the following objects are expanded: `body.storage`, `history`, `space`, `version`, `ancestors`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the draft and 'Add' permission for the space that
  the content will be created in.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-blueprint-instance-draftid-put
  * @param options Request options.
  */
    publishSharedDraft<T = PublishSharedDraftResponseOK>(options: PublishSharedDraftRequest): Promise<PublishSharedDraftResponseOK | T>;
    /**
  * Publishes a legacy draft of a page created from a blueprint. Legacy drafts
  will eventually be removed in favor of shared drafts. For now, this method
  works the same as [Publish shared draft](#api-content-blueprint-instance-draftId-put).
  
  By default, the following objects are expanded: `body.storage`, `history`, `space`, `version`, `ancestors`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the draft and 'Add' permission for the space that
  the content will be created in.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-blueprint-instance-draftid-post
  * @param options Request options.
  */
    publishLegacyDraft<T = PublishLegacyDraftResponseOK>(options: PublishLegacyDraftRequest): Promise<PublishLegacyDraftResponseOK | T>;
    /**
  * Returns the list of content that matches a Confluence Query Language
  (CQL) query. For information on CQL, see:
  [Advanced searching using CQL](https://developer.atlassian.com/cloud/confluence/advanced-searching-using-cql/).
  
  Example initial call:
  ```
  /wiki/rest/api/content/search?cql=type=page&limit=25
  ```
  
  Example response:
  ```
  {
    "results": [
      { ... },
      { ... },
      ...
      { ... }
    ],
    "limit": 25,
    "size": 25,
    ...
    "_links": {
      "base": "<url>",
      "context": "<url>",
      "next": "/rest/api/content/search?cql=type=page&limit=25&cursor=raNDoMsTRiNg",
      "self": "<url>"
    }
  }
  ```
  
  When additional results are available, returns `next` and `prev` URLs to retrieve them in subsequent calls. The URLs each contain a cursor that points to the appropriate set of results. Use `limit` to specify the number of results returned in each call.
  Example subsequent call (taken from example response):
  ```
  /wiki/rest/api/content/search?cql=type=page&limit=25&cursor=raNDoMsTRiNg
  ```
  The response to this will have a `prev` URL similar to the `next` in the example response.
  
  If the expand query parameter is used with the `body.export_view` and/or `body.styled_view` properties, then the query limit parameter will be restricted to a maximum value of 25.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only content that the user has permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-search-get
  * @param options Request options.
  */
    searchContentByCql<T = SearchContentByCQLResponseOK>(options: SearchContentByCQLRequest): Promise<SearchContentByCQLResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns a single piece of content, like a page or a blog post.
  
  By default, the following objects are expanded: `space`, `history`, `version`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content. If the content is a blog post, 'View' permission
  for the space is required.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-id-get
  * @param options Request options.
  * @deprecated
  */
    getContentById<T = GetContentByIdResponseOK>(options: GetContentByIdRequest): Promise<GetContentByIdResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Updates a piece of content. Use this method to update the title or body
  of a piece of content, change the status, change the parent page, and more.
  
  Note, updating draft content is currently not supported.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-id-put
  * @param options Request options.
  * @deprecated
  */
    updateContent<T = UpdateContentResponseOK>(options: UpdateContentRequest): Promise<UpdateContentResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Moves a piece of content to the space's trash or purges it from the trash,
  depending on the content's type and status:
  
  - If the content's type is `page`,`blogpost`, or `attachment` and its status is `current`,
  it will be trashed.
  - If the content's type is `page`,`blogpost`, or `attachment` and its status is `trashed`,
  the content will be purged from the trash and deleted permanently. Note,
  you must also set the `status` query parameter to `trashed` in your request.
  - If the content's type is `comment`, it will be deleted
  permanently without being trashed.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Delete' permission for the space that the content is in.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-id-delete
  * @param options Request options.
  * @deprecated
  */
    deleteContent<T = DeleteContentResponseOK>(options: DeleteContentRequest): Promise<DeleteContentResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns the most recent update for a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: Permission to view the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-id-history-get
  * @param options Request options.
  * @deprecated
  */
    getContentHistory<T = GetContentHistoryResponseOK>(options: GetContentHistoryRequest): Promise<GetContentHistoryResponseOK | T>;
}
declare class ContentAttachmentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns the attachments for a piece of content.
  
  By default, the following objects are expanded: `metadata`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content. If the content is a blog post, 'View' permission
  for the space is required.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-get
  * @param options Request options.
  * @deprecated
  */
    getAttachments<T = GetContentAttachmentsResponseOK>(options: GetContentAttachmentsRequest): Promise<GetContentAttachmentsResponseOK | T>;
    /**
  * Adds an attachment to a piece of content. If the attachment already exists
  for the content, then the attachment is updated (i.e. a new version of the
  attachment is created).
  
  Note, you must set a `X-Atlassian-Token: nocheck` header on the request
  for this method, otherwise it will be blocked. This protects against XSRF
  attacks, which is necessary as this method accepts multipart/form-data.
  
  The media type 'multipart/form-data' is defined in [RFC 7578](https://www.ietf.org/rfc/rfc7578.txt).
  Most client libraries have classes that make it easier to implement
  multipart posts, like the [MultipartEntityBuilder](https://hc.apache.org/httpcomponents-client-5.1.x/current/httpclient5/apidocs/)
  Java class provided by Apache HTTP Components.
  
  Note, according to [RFC 7578](https://tools.ietf.org/html/rfc7578#section-4.5),
  in the case where the form data is text,
  the charset parameter for the "text/plain" Content-Type may be used to
  indicate the character encoding used in that part. In the case of this
  API endpoint, the `comment` body parameter should be sent with `type=text/plain`
  and `charset=utf-8` values. This will force the charset to be UTF-8.
  
  Example: This curl command attaches a file ('example.txt') to a piece of
  content (id='123') with a comment and `minorEdits`=true. If the 'example.txt'
  file already exists, it will update it with a new version of the attachment.
  
  ``` bash
  curl -D- \
    -u admin:admin \
    -X PUT \
    -H 'X-Atlassian-Token: nocheck' \
    -F 'file=@"example.txt"' \
    -F 'minorEdit="true"' \
    -F 'comment="Example attachment comment"; type=text/plain; charset=utf-8' \
    http://myhost/rest/api/content/123/child/attachment
  ```
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-put
  * @param options Request options.
  */
    createOrUpdateAttachment<T = CreateOrUpdateContentAttachmentResponseOK>(options: CreateOrUpdateContentAttachmentRequest): Promise<CreateOrUpdateContentAttachmentResponseOK | T>;
    /**
  * Adds an attachment to a piece of content. This method only adds a new
  attachment. If you want to update an existing attachment, use
  [Create or update attachments](#api-content-id-child-attachment-put).
  
  Note, you must set a `X-Atlassian-Token: nocheck` header on the request
  for this method, otherwise it will be blocked. This protects against XSRF
  attacks, which is necessary as this method accepts multipart/form-data.
  
  The media type 'multipart/form-data' is defined in [RFC 7578](https://www.ietf.org/rfc/rfc7578.txt).
  Most client libraries have classes that make it easier to implement
  multipart posts, like the [MultipartEntityBuilder](https://hc.apache.org/httpcomponents-client-5.1.x/current/httpclient5/apidocs/)
  Java class provided by Apache HTTP Components.
  
  Note, according to [RFC 7578](https://tools.ietf.org/html/rfc7578#section-4.5),
  in the case where the form data is text,
  the charset parameter for the "text/plain" Content-Type may be used to
  indicate the character encoding used in that part. In the case of this
  API endpoint, the `comment` body parameter should be sent with `type=text/plain`
  and `charset=utf-8` values. This will force the charset to be UTF-8.
  
  Example: This curl command attaches a file ('example.txt') to a container
  (id='123') with a comment and `minorEdits`=true.
  
  ``` bash
  curl -D- \
    -u admin:admin \
    -X POST \
    -H 'X-Atlassian-Token: nocheck' \
    -F 'file=@"example.txt"' \
    -F 'minorEdit="true"' \
    -F 'comment="Example attachment comment"; type=text/plain; charset=utf-8' \
    https://myhost/wiki/rest/api/content/123/child/attachment
  ```
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-post
  * @param options Request options.
  */
    createAttachment<T = CreateContentAttachmentResponseOK>(options: CreateContentAttachmentRequest): Promise<CreateContentAttachmentResponseOK | T>;
    /**
  * Updates the attachment properties, i.e. the non-binary data of an attachment
  like the filename, media-type, comment, and parent container.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-attachmentid-put
  * @param options Request options.
  */
    updateAttachmentProperties<T = UpdateContentAttachmentPropertiesResponseOK>(options: UpdateContentAttachmentPropertiesRequest): Promise<UpdateContentAttachmentPropertiesResponseOK | T>;
    /**
  * Updates the binary data of an attachment, given the attachment ID, and
  optionally the comment and the minor edit field.
  
  This method is essentially the same as [Create or update attachments](#api-content-id-child-attachment-put),
  except that it matches the attachment ID rather than the name.
  
  Note, you must set a `X-Atlassian-Token: nocheck` header on the request
  for this method, otherwise it will be blocked. This protects against XSRF
  attacks, which is necessary as this method accepts multipart/form-data.
  
  The media type 'multipart/form-data' is defined in [RFC 7578](https://www.ietf.org/rfc/rfc7578.txt).
  Most client libraries have classes that make it easier to implement
  multipart posts, like the [MultipartEntityBuilder](https://hc.apache.org/httpcomponents-client-5.1.x/current/httpclient5/apidocs/)
  Java class provided by Apache HTTP Components.
  
  Note, according to [RFC 7578](https://tools.ietf.org/html/rfc7578#section-4.5),
  in the case where the form data is text,
  the charset parameter for the "text/plain" Content-Type may be used to
  indicate the character encoding used in that part. In the case of this
  API endpoint, the `comment` body parameter should be sent with `type=text/plain`
  and `charset=utf-8` values. This will force the charset to be UTF-8.
  
  Example: This curl command updates an attachment (id='att456') that is attached
  to a piece of content (id='123') with a comment and `minorEdits`=true.
  
  ``` bash
  curl -D- \
    -u admin:admin \
    -X POST \
    -H 'X-Atlassian-Token: nocheck' \
    -F 'file=@"example.txt"' \
    -F 'minorEdit="true"' \
    -F 'comment="Example attachment comment"; type=text/plain; charset=utf-8' \
    http://myhost/rest/api/content/123/child/attachment/att456/data
  ```
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-attachmentid-data-post
  * @param options Request options.
  */
    updateAttachmentData<T = UpdateContentAttachmentDataResponseOK>(options: UpdateContentAttachmentDataRequest): Promise<UpdateContentAttachmentDataResponseOK | T>;
}
declare class ContentBodyGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Macro: ContentBodyMacroGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Deprecated, use the [single asynchronous endpoint](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-async-to-post)
  or the [bulk asynchronous endpoint](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-async-bulk-tasks-post) instead.
  
  Converts a content body from one format to another format.
  
  Supported conversions:
  
  - storage: view, export_view, styled_view, editor
  - editor: storage
  - view: none
  - export_view: none
  - styled_view: none
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  If request specifies 'contentIdContext', 'View' permission for the space, and permission to view the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-to-post
  * @param options Request options.
  * @deprecated
  */
    convertBody<T = ConvertContentBodyResponseOK>(options: ConvertContentBodyRequest): Promise<ConvertContentBodyResponseOK | T>;
    /**
  * Converts a content body from one format to another format asynchronously.
  Returns the asyncId for the asynchronous task.
  
  Supported conversions:
  
  - atlas_doc_format: editor, export_view, storage, styled_view, view
  - storage: atlas_doc_format, editor, export_view, styled_view, view
  - editor: storage
  
  No other conversions are supported at the moment.
  Once a conversion is completed, it will be available for 5 minutes at the result endpoint.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  If request specifies 'contentIdContext', 'View' permission for the space, and permission to view the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-async-to-post
  * @param options Request options.
  */
    asyncConvertBody<T = AsyncConvertContentBodyResponseOK>(options: AsyncConvertContentBodyRequest): Promise<AsyncConvertContentBodyResponseOK | T>;
    /**
  * Returns the asynchronous content body for the corresponding id if the task is complete
  or returns the status of the task.
  
  After the task is completed, the result can be obtained for 5 minutes, or until an identical conversion request is made again,
  with allowCache query param set to false.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  If request specifies 'contentIdContext', 'View' permission for the space, and permission to view the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-async-id-get
  * @param options Request options.
  */
    getAsyncConvertResult<T = GetAsyncConvertContentBodyResultResponseOK>(options: GetAsyncConvertContentBodyResultRequest): Promise<GetAsyncConvertContentBodyResultResponseOK | T>;
}
declare class ContentBodyMacroGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the body of a macro in storage format, for the given macro ID.
  This includes information like the name of the macro, the body of the macro,
  and any macro parameters. This method is mainly used by Cloud apps.
  
  About the macro ID: When a macro is created in a new version of content,
  Confluence will generate a random ID for it, unless an ID is specified
  (by an app). The macro ID will look similar to this: '50884bd9-0cb8-41d5-98be-f80943c14f96'.
  The ID is then persisted as new versions of content are created, and is
  only modified by Confluence if there are conflicting IDs.
  
  For Forge macros, the value for macro ID is the "local ID" of that particular ADF node.
  This value can be retrieved either client-side by calling view.getContext() and accessing "localId"
  on the resulting object, or server-side by examining the "local-id" parameter node inside the "parameters" node.
  
  Note that there are other attributes named "local-id", but only this particular one is used to store the macro ID.
  
  Example:
  <ac:adf-node type="extension">
    <ac:adf-attribute key="extension-type">com.atlassian.ecosystem</ac:adf-attribute>
    <ac:adf-attribute key="parameters">
        <ac:adf-parameter key="local-id">e9c4aa10-73fa-417c-888d-48c719ae4165</ac:adf-parameter>
    </ac:adf-parameter>
  </ac:adf-node>
  
  Note, to preserve backwards compatibility this resource will also match on
  the hash of the macro body, even if a macro ID is found. This check will
  eventually become redundant, as macro IDs are generated for pages and
  transparently propagate out to all instances.
  
  This backwards compatibility logic does not apply to Forge macros; those
  can only be retrieved by their ID.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content that the macro is in.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---macro-body/#api-wiki-rest-api-content-id-history-version-macro-id-macroid-get
  * @param options Request options.
  */
    getMacroById<T = GetMacroBodyByIdResponseOK>(options: GetMacroBodyByIdRequest): Promise<GetMacroBodyByIdResponseOK | T>;
}
declare class ContentChildrenGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns a map of the direct children of a piece of content. A piece of content
  has different types of child content, depending on its type. These are
  the default parent-child content type relationships:
  
  - `page`: child content is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `whiteboard`: child content is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `database`: child content is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `embed`: child content is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `folder`: child content is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `blogpost`: child content is `comment`, `attachment`
  - `attachment`: child content is `comment`
  - `comment`: child content is `attachment`
  
  Apps can override these default relationships. Apps can also introduce
  new content types that create new parent-child content relationships.
  
  Note, the map will always include all child content types that are valid
  for the content. However, if the content has no instances of a child content
  type, the map will contain an empty array for that child content type.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: 'View' permission for the space,
  and permission to view the content if it is a page.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-child-get
  * @param options Request options.
  * @deprecated
  */
    getChildren<T = GetContentChildrenResponseOK>(options: GetContentChildrenRequest): Promise<GetContentChildrenResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns all children of a given type, for a piece of content.
  A piece of content has different types of child content, depending on its type:
  
  - `page`: child content is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `whiteboard`: child content is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `database`: child content is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `embed`: child content is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `folder`: child content is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `blogpost`: child content is `comment`, `attachment`
  - `attachment`: child content is `comment`
  - `comment`: child content is `attachment`
  
  Custom content types that are provided by apps can also be returned.
  
  Note, this method only returns direct children. To return children at all
  levels, use [Get descendants by type](#api-content-id-descendant-type-get).
  
  If the expand query parameter is used with the `body.export_view` and/or `body.styled_view` properties, then the query limit parameter will be restricted to a maximum value of 25.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: 'View' permission for the space,
  and permission to view the content if it is a page.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-child-type-get
  * @param options Request options.
  * @deprecated
  */
    getChildrenByType<T = GetContentChildrenByTypeResponseOK>(options: GetContentChildrenByTypeRequest): Promise<GetContentChildrenByTypeResponseOK | T>;
}
declare class ContentMoveGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Move a page to a new location relative to a target page:
  
  * `before` - move the page under the same parent as the target, before the target in the list of children
  * `after` - move the page under the same parent as the target, after the target in the list of children
  * `append` - move the page to be a child of the target
  
  Caution: This API can move pages to the top level of a space. Top-level pages are difficult to find in the UI
  because they do not show up in the page tree display. To avoid this, never use `before` or `after` positions
  when the `targetId` is a top-level page.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-pageid-move-position-targetid-put
  * @param options Request options.
  */
    movePageToNewLocationRelativeToTargetPage<T = MovePageToNewLocationRelativeToTargetPageResponseOK>(options: MovePageToNewLocationRelativeToTargetPageRequest): Promise<MovePageToNewLocationRelativeToTargetPageResponseOK | T>;
}
declare class ContentDescendantGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a map of the descendants of a piece of content. This is similar
  to [Get content children](#api-content-id-child-get), except that this
  method returns child pages at all levels, rather than just the direct
  child pages.
  
  A piece of content has different types of descendants, depending on its type:
  
  - `page`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `whiteboard`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `database`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `embed`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `folder`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `blogpost`: descendant is `comment`, `attachment`
  - `attachment`: descendant is `comment`
  - `comment`: descendant is `attachment`
  
  The map will always include all descendant types that are valid for the content.
  However, if the content has no instances of a descendant type, the map will
  contain an empty array for that descendant type.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space, and permission to view the content if it
  is a page.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-descendant-get
  * @param options Request options.
  * @deprecated
  */
    getDescendants<T = GetContentDescendantsResponseOK>(options: GetContentDescendantsRequest): Promise<GetContentDescendantsResponseOK | T>;
    /**
  * Returns all descendants of a given type, for a piece of content. This is
  similar to [Get content children by type](#api-content-id-child-type-get),
  except that this method returns child pages at all levels, rather than just
  the direct child pages.
  
  A piece of content has different types of descendants, depending on its type:
  
  - `page`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `whiteboard`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `database`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `embed`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `folder`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `blogpost`: descendant is `comment`, `attachment`
  - `attachment`: descendant is `comment`
  - `comment`: descendant is `attachment`
  
  Custom content types that are provided by apps can also be returned.
  
  If the expand query parameter is used with the `body.export_view` and/or `body.styled_view` properties, then the query limit parameter will be restricted to a maximum value of 25.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space, and permission to view the content if it
  is a page.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-descendant-type-get
  * @param options Request options.
  * @deprecated
  */
    getDescendantsByType<T = GetContentDescendantsByTypeResponseOK>(options: GetContentDescendantsByTypeRequest): Promise<GetContentDescendantsByTypeResponseOK | T>;
}
declare class ContentCopyGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Copy page hierarchy allows the copying of an entire hierarchy of pages and their associated properties, permissions and attachments.
   The id path parameter refers to the content id of the page to copy, and the new parent of this copied page is defined using the destinationPageId in the request body.
   The titleOptions object defines the rules of renaming page titles during the copy;
   for example, search and replace can be used in conjunction to rewrite the copied page titles.
  
   Response example:
   <pre><code>
   {
        "id" : "1180606",
        "links" : {
             "status" : "/rest/api/longtask/1180606"
        }
   }
   </code></pre>
   Use the /longtask/<taskId> REST API to get the copy task status.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-pagehierarchy-copy-post
  * @param options Request options.
  */
    copyPageHierarchy<T = CopyPageHierarchyResponseOK>(options: CopyPageHierarchyRequest): Promise<CopyPageHierarchyResponseOK | T>;
    /**
  * Copies a single page and its associated properties, permissions, attachments, and custom contents.
   The `id` path parameter refers to the content ID of the page to copy. The target of the page to be copied
   is defined using the `destination` in the request body and can be one of the following types.
  
    - `space`: page will be copied to the specified space as a root page on the space
    - `parent_page`: page will be copied as a child of the specified parent page
    - `parent_content`: page will be copied as a child of the specified parent content
    - `existing_page`: page will be copied and replace the specified page
  
  By default, the following objects are expanded: `space`, `history`, `version`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: 'Add' permission for the space that the content will be copied in and permission to update the content if copying to an `existing_page`.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-copy-post
  * @param options Request options.
  */
    copySinglePage<T = CopySinglePageResponseOK>(options: CopySinglePageRequest): Promise<CopySinglePageResponseOK | T>;
}
declare class ContentCommentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns the comments on a piece of content.
  
  If the expand query parameter is used with the `body.export_view` and/or `body.styled_view` properties, then the query limit parameter will be restricted to a maximum value of 25.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: 'View' permission for the space,
  and permission to view the content if it is a page.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-comments/#api-wiki-rest-api-content-id-child-comment-get
  * @param options Request options.
  * @deprecated
  */
    getComments<T = GetContentCommentsResponseOK>(options: GetContentCommentsRequest): Promise<GetContentCommentsResponseOK | T>;
}
declare class ContentLabelGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns the labels on a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space and permission to view the content if it is a page.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-get
  * @param options Request options.
  * @deprecated
  */
    getLabels<T = GetContentLabelsResponseOK>(options: GetContentLabelsRequest): Promise<GetContentLabelsResponseOK | T>;
    /**
  * Adds labels to a piece of content. Does not modify the existing labels.
  
  Notes:
  
  - Labels can also be added when creating content ([Create content](#api-content-post)).
  - Labels can be updated when updating content ([Update content](#api-content-id-put)).
  This will delete the existing labels and replace them with the labels in
  the request.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-post
  * @param options Request options.
  */
    addLabel<T = AddContentLabelResponseOK>(options: AddContentLabelRequest): Promise<AddContentLabelResponseOK | T>;
    /**
  * Removes a label from a piece of content. Labels can't be deleted from archived content.
  This is similar to [Remove label from content](#api-content-id-label-label-delete)
  except that the label name is specified via a query parameter.
  
  Use this method if the label name has "/" characters, as
  [Remove label from content using query parameter](#api-content-id-label-delete)
  does not accept "/" characters for the label name.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-delete
  * @param options Request options.
  */
    removeLabelWithQueryParameter<T = RemoveContentLabelWithQueryParameterResponseOK>(options: RemoveContentLabelWithQueryParameterRequest): Promise<RemoveContentLabelWithQueryParameterResponseOK | T>;
    /**
  * Removes a label from a piece of content. Labels can't be deleted from archived content.
  This is similar to [Remove label from content using query parameter](#api-content-id-label-delete)
  except that the label name is specified via a path parameter.
  
  Use this method if the label name does not have "/" characters, as the path
  parameter does not accept "/" characters for security reasons. Otherwise,
  use [Remove label from content using query parameter](#api-content-id-label-delete).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-label-delete
  * @param options Request options.
  */
    removeLabel<T = RemoveContentLabelResponseOK>(options: RemoveContentLabelRequest): Promise<RemoveContentLabelResponseOK | T>;
}
declare class ContentPropertyGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the properties for a piece of content. For more information
  about content properties, see [Confluence entity properties](https://developer.atlassian.com/cloud/confluence/confluence-entity-properties/).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space, and permission to view the content if it is a page.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-properties/#api-wiki-rest-api-content-id-property-get
  * @param options Request options.
  * @deprecated
  */
    getProperties<T = GetContentPropertiesResponseOK>(options: GetContentPropertiesRequest): Promise<GetContentPropertiesResponseOK | T>;
    /**
  * Creates a property for an existing piece of content. For more information
  about content properties, see [Confluence entity properties](https://developer.atlassian.com/cloud/confluence/confluence-entity-properties/).
  
  This is the same as [Create content property for key](#api-content-id-property-key-post)
  except that the key is specified in the request body instead of as a
  path parameter.
  
  Content properties can also be added when creating a new piece of content
  by including them in the `metadata.properties` of the request.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-properties/#api-wiki-rest-api-content-id-property-post
  * @param options Request options.
  * @deprecated
  */
    createProperty<T = CreateContentPropertyResponseOK>(options: CreateContentPropertyRequest): Promise<CreateContentPropertyResponseOK | T>;
    /**
  * Returns a content property for a piece of content. For more information, see
  [Confluence entity properties](https://developer.atlassian.com/cloud/confluence/confluence-entity-properties/).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space, and permission to view the content if it is a page.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-properties/#api-wiki-rest-api-content-id-property-key-get
  * @param options Request options.
  * @deprecated
  */
    getProperty<T = GetContentPropertyResponseOK>(options: GetContentPropertyRequest): Promise<GetContentPropertyResponseOK | T>;
    /**
  * Updates an existing content property. This method will also create a new
  property for a piece of content, if the property key does not exist and
  the property version is 1. For more information about content properties, see
  [Confluence entity properties](https://developer.atlassian.com/cloud/confluence/confluence-entity-properties/).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-properties/#api-wiki-rest-api-content-id-property-key-put
  * @param options Request options.
  * @deprecated
  */
    updateProperty<T = UpdateContentPropertyResponseOK>(options: UpdateContentPropertyRequest): Promise<UpdateContentPropertyResponseOK | T>;
    /**
  * Creates a property for an existing piece of content. For more information
  about content properties, see [Confluence entity properties](https://developer.atlassian.com/cloud/confluence/confluence-entity-properties/).
  
  This is the same as [Create content property](#api-content-id-property-post)
  except that the key is specified as a path parameter instead of in the
  request body.
  
  Content properties can also be added when creating a new piece of content
  by including them in the `metadata.properties` of the request.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-properties/#api-wiki-rest-api-content-id-property-key-post
  * @param options Request options.
  * @deprecated
  */
    createPropertyForKey<T = CreateContentPropertyForKeyResponseOK>(options: CreateContentPropertyForKeyRequest): Promise<CreateContentPropertyForKeyResponseOK | T>;
    /**
  * Deletes a content property. For more information about content properties, see
  [Confluence entity properties](https://developer.atlassian.com/cloud/confluence/confluence-entity-properties/).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-properties/#api-wiki-rest-api-content-id-property-key-delete
  * @param options Request options.
  * @deprecated
  */
    deleteProperty<T = DeleteContentPropertyResponseOK>(options: DeleteContentPropertyRequest): Promise<DeleteContentPropertyResponseOK | T>;
}
declare class ContentRestrictionGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Group: ContentRestrictionGroupGroup;
    User: ContentRestrictionUserGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the restrictions on a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-get
  * @param options Request options.
  */
    getRestrictions<T = GetContentRestrictionsResponseOK>(options: GetContentRestrictionsRequest): Promise<GetContentRestrictionsResponseOK | T>;
    /**
  * Updates restrictions for a piece of content. This removes the existing
  restrictions and replaces them with the restrictions in the request.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-put
  * @param options Request options.
  */
    updateRestrictions<T = UpdateContentRestrictionsResponseOK>(options: UpdateContentRestrictionsRequest): Promise<UpdateContentRestrictionsResponseOK | T>;
    /**
  * Adds restrictions to a piece of content. Note, this does not change any
  existing restrictions on the content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-post
  * @param options Request options.
  */
    addRestrictions<T = AddContentRestrictionsResponseOK>(options: AddContentRestrictionsRequest): Promise<AddContentRestrictionsResponseOK | T>;
    /**
  * Removes all restrictions (read and update) on a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-delete
  * @param options Request options.
  */
    deleteRestrictions<T = DeleteContentRestrictionsResponseOK>(options: DeleteContentRestrictionsRequest): Promise<DeleteContentRestrictionsResponseOK | T>;
    /**
  * Returns restrictions on a piece of content by operation. This method is
  similar to [Get restrictions](#api-content-id-restriction-get) except that
  the operations are properties of the return object, rather than items in
  a results array.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-get
  * @param options Request options.
  */
    getRestrictionsByOperation<T = GetContentRestrictionsByOperationResponseOK>(options: GetContentRestrictionsByOperationRequest): Promise<GetContentRestrictionsByOperationResponseOK | T>;
    /**
  * Returns the restictions on a piece of content for a given operation (read
  or update).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-get
  * @param options Request options.
  */
    getRestrictionsForOperation<T = GetContentRestrictionsForOperationResponseOK>(options: GetContentRestrictionsForOperationRequest): Promise<GetContentRestrictionsForOperationResponseOK | T>;
}
declare class ContentRestrictionGroupGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns whether the specified content restriction applies to a group.
  For example, if a page with `id=123` has a `read` restriction for the `123456` group id,
  the following request will return `true`:
  
  `/wiki/rest/api/content/123/restriction/byOperation/read/byGroupId/123456`
  
  Note that a response of `true` does not guarantee that the group can view the page, as it does not account for
  account-inherited restrictions, space permissions, or even product access. For more
  information, see [Confluence permissions](https://confluence.atlassian.com/x/_AozKw).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-bygroupid-groupid-get
  * @param options Request options.
  */
    getGroupStatus<T = GetContentRestrictionGroupStatusResponseOK>(options: GetContentRestrictionGroupStatusRequest): Promise<GetContentRestrictionGroupStatusResponseOK | T>;
    /**
  * Adds a group to a content restriction by Group Id. That is, grant read or update
  permission to the group for a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-bygroupid-groupid-put
  * @param options Request options.
  */
    addGroup<T = AddContentRestrictionGroupResponseOK>(options: AddContentRestrictionGroupRequest): Promise<AddContentRestrictionGroupResponseOK | T>;
    /**
  * Removes a group from a content restriction. That is, remove read or update
  permission for the group for a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-bygroupid-groupid-delete
  * @param options Request options.
  */
    removeGroup<T = RemoveContentRestrictionGroupResponseOK>(options: RemoveContentRestrictionGroupRequest): Promise<RemoveContentRestrictionGroupResponseOK | T>;
}
declare class ContentRestrictionUserGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns whether the specified content restriction applies to a user.
  For example, if a page with `id=123` has a `read` restriction for a user with an account ID of
  `384093:32b4d9w0-f6a5-3535-11a3-9c8c88d10192`, the following request will return `true`:
  
  `/wiki/rest/api/content/123/restriction/byOperation/read/user?accountId=384093:32b4d9w0-f6a5-3535-11a3-9c8c88d10192`
  
  Note that a response of `true` does not guarantee that the user can view the page, as it does not account for
  account-inherited restrictions, space permissions, or even product access. For more
  information, see [Confluence permissions](https://confluence.atlassian.com/x/_AozKw).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-user-get
  * @param options Request options.
  */
    getUserStatus<T = GetContentRestrictionUserStatusResponseOK>(options: GetContentRestrictionUserStatusRequest): Promise<GetContentRestrictionUserStatusResponseOK | T>;
    /**
  * Adds a user to a content restriction. That is, grant read or update
  permission to the user for a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-user-put
  * @param options Request options.
  */
    addUser<T = AddContentRestrictionUserResponseOK>(options: AddContentRestrictionUserRequest): Promise<AddContentRestrictionUserResponseOK | T>;
    /**
  * Removes a group from a content restriction. That is, remove read or update
  permission for the group for a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-user-delete
  * @param options Request options.
  */
    removeUser<T = RemoveContentRestrictionUserResponseOK>(options: RemoveContentRestrictionUserRequest): Promise<RemoveContentRestrictionUserResponseOK | T>;
}
declare class ContentVersionGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns the versions for a piece of content in descending order.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content. If the content is a blog post, 'View' permission
  for the space is required.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-versions/#api-wiki-rest-api-content-id-version-get
  * @param options Request options.
  * @deprecated
  */
    getVersions<T = GetContentVersionsResponseOK>(options: GetContentVersionsRequest): Promise<GetContentVersionsResponseOK | T>;
    /**
  * Restores a historical version to be the latest version. That is, a new version
  is created with the content of the historical version.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-versions/#api-wiki-rest-api-content-id-version-post
  * @param options Request options.
  */
    restoreVersion<T = RestoreContentVersionResponseOK>(options: RestoreContentVersionRequest): Promise<RestoreContentVersionResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns a version for a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content. If the content is a blog post, 'View' permission
  for the space is required.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-versions/#api-wiki-rest-api-content-id-version-versionnumber-get
  * @param options Request options.
  * @deprecated
  */
    getVersion<T = GetContentVersionResponseOK>(options: GetContentVersionRequest): Promise<GetContentVersionResponseOK | T>;
    /**
  * Delete a historical version. This does not delete the changes made to the
  content in that version, rather the changes for the deleted version are
  rolled up into the next version. Note, you cannot delete the current version.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-versions/#api-wiki-rest-api-content-id-version-versionnumber-delete
  * @param options Request options.
  */
    deleteVersion<T = DeleteContentVersionResponseOK>(options: DeleteContentVersionRequest): Promise<DeleteContentVersionResponseOK | T>;
}
declare class WatcherGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Content: WatcherContentGroup;
    Label: WatcherLabelGroup;
    Space: WatcherSpaceGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the watches for a page. A user that watches a page will receive
  receive notifications when the page is updated.
  
  If you want to manage watches for a page, use the following `user` methods:
  
  - [Get content watch status for user](#api-user-watch-content-contentId-get)
  - [Add content watch](#api-user-watch-content-contentId-post)
  - [Remove content watch](#api-user-watch-content-contentId-delete)
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-content-id-notification-child-created-get
  * @param options Request options.
  */
    getWatchesForPage<T = GetWatchesForPageResponseOK>(options: GetWatchesForPageRequest): Promise<GetWatchesForPageResponseOK | T>;
    /**
  * Returns all space watches for the space that the content is in. A user that
  watches a space will receive receive notifications when any content in the
  space is updated.
  
  If you want to manage watches for a space, use the following `user` methods:
  
  - [Get space watch status for user](#api-user-watch-space-spaceKey-get)
  - [Add space watch](#api-user-watch-space-spaceKey-post)
  - [Remove space watch](#api-user-watch-space-spaceKey-delete)
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-content-id-notification-created-get
  * @param options Request options.
  */
    getWatchesForSpace<T = GetWatchesForSpaceResponseOK>(options: GetWatchesForSpaceRequest): Promise<GetWatchesForSpaceResponseOK | T>;
    /**
     * Returns a list of watchers of a space
     * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-space-spacekey-watch-get
     * @param options Request options.
     */
    getSpaceWatchers<T = GetSpaceWatchersResponseOK>(options: GetSpaceWatchersRequest): Promise<GetSpaceWatchersResponseOK | T>;
}
declare class WatcherContentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns whether a user is watching a piece of content. Choose the user by
  doing one of the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-content-contentid-get
  * @param options Request options.
  */
    getWatcherStatus<T = GetContentWatcherStatusResponseOK>(options: GetContentWatcherStatusRequest): Promise<GetContentWatcherStatusResponseOK | T>;
    /**
  * Adds a user as a watcher to a piece of content. Choose the user by doing
  one of the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  Note, you must add the `X-Atlassian-Token: no-check` header when making a
  request, as this operation has XSRF protection.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-content-contentid-post
  * @param options Request options.
  */
    addWatcher<T = AddContentWatcherResponseOK>(options: AddContentWatcherRequest): Promise<AddContentWatcherResponseOK | T>;
    /**
  * Removes a user as a watcher from a piece of content. Choose the user by
  doing one of the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-content-contentid-delete
  * @param options Request options.
  */
    removeWatcher<T = RemoveContentWatcherResponseOK>(options: RemoveContentWatcherRequest): Promise<RemoveContentWatcherResponseOK | T>;
}
declare class WatcherLabelGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns whether a user is watching a label. Choose the user by doing one
  of the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-label-labelname-get
  * @param options Request options.
  */
    getWatcherStatus<T = GetLabelWatcherStatusResponseOK>(options: GetLabelWatcherStatusRequest): Promise<GetLabelWatcherStatusResponseOK | T>;
    /**
  * Adds a user as a watcher to a label. Choose the user by doing one of the
  following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  Note, you must add the `X-Atlassian-Token: no-check` header when making a
  request, as this operation has XSRF protection.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-label-labelname-post
  * @param options Request options.
  */
    addWatcher<T = AddLabelWatcherResponseOK>(options: AddLabelWatcherRequest): Promise<AddLabelWatcherResponseOK | T>;
    /**
  * Removes a user as a watcher from a label. Choose the user by doing one of
  the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-label-labelname-delete
  * @param options Request options.
  */
    removeWatcher<T = RemoveLabelWatcherResponseOK>(options: RemoveLabelWatcherRequest): Promise<RemoveLabelWatcherResponseOK | T>;
}
declare class WatcherSpaceGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns whether a user is watching a space. Choose the user by
  doing one of the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-space-spacekey-get
  * @param options Request options.
  */
    getWatcherStatus<T = GetSpaceWatcherStatusResponseOK>(options: GetSpaceWatcherStatusRequest): Promise<GetSpaceWatcherStatusResponseOK | T>;
    /**
  * Adds a user as a watcher to a space. Choose the user by doing one of the
  following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  Note, you must add the `X-Atlassian-Token: no-check` header when making a
  request, as this operation has XSRF protection.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-space-spacekey-post
  * @param options Request options.
  */
    addWatcher<T = AddSpaceWatcherResponseOK>(options: AddSpaceWatcherRequest): Promise<AddSpaceWatcherResponseOK | T>;
    /**
  * Removes a user as a watcher from a space. Choose the user by doing one of
  the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-space-spacekey-delete
  * @param options Request options.
  */
    removeWatcher<T = RemoveSpaceWatcherResponseOK>(options: RemoveSpaceWatcherRequest): Promise<RemoveSpaceWatcherResponseOK | T>;
}
declare class DynamicModuleGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all modules registered dynamically by the calling app.
  
  **[Permissions](#permissions) required:** Only Connect apps can make this request.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-dynamic-modules/#api-atlassian-connect-1-app-module-dynamic-get
  * @param options Request options.
  */
    getModules<T = GetModulesResponseOK>(options?: GetModulesRequest): Promise<GetModulesResponseOK | T>;
    /**
  * Registers a list of modules. For the list of modules that support dynamic registration, see [Dynamic modules](https://developer.atlassian.com/cloud/confluence/dynamic-modules/).
  
  **[Permissions](#permissions) required:** Only Connect apps can make this request.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-dynamic-modules/#api-atlassian-connect-1-app-module-dynamic-post
  * @param options Request options.
  */
    registerModules<T = RegisterModulesResponseOK>(options: RegisterModulesRequest): Promise<RegisterModulesResponseOK | T>;
    /**
  * Remove all or a list of modules registered by the calling app.
  
  **[Permissions](#permissions) required:** Only Connect apps can make this request.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-dynamic-modules/#api-atlassian-connect-1-app-module-dynamic-delete
  * @param options Request options.
  */
    removeModules<T = RemoveModulesResponseOK>(options: RemoveModulesRequest): Promise<RemoveModulesResponseOK | T>;
}
declare class UserGroupGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Member: UserGroupMemberGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all user groups. The returned groups are ordered alphabetically in
  ascending order by group name.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-get
  * @param options Request options.
  */
    getUserGroups<T = GetUserGroupsResponseOK>(options?: GetUserGroupsRequest): Promise<GetUserGroupsResponseOK | T>;
    /**
  * Creates a new user group.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  User must be a site admin.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-post
  * @param options Request options.
  */
    createUserGroup<T = CreateUserGroupResponseOK>(options: CreateUserGroupRequest): Promise<CreateUserGroupResponseOK | T>;
    /**
  * Delete user group.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  User must be a site admin.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-by-id-delete
  * @param options Request options.
  */
    deleteUserGroup<T = DeleteUserGroupResponseOK>(options: DeleteUserGroupRequest): Promise<DeleteUserGroupResponseOK | T>;
    /**
  * Returns a user group for a given group id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-by-id-get
  * @param options Request options.
  */
    getUserGroupById<T = GetUserGroupByIdResponseOK>(options: GetUserGroupByIdRequest): Promise<GetUserGroupByIdResponseOK | T>;
}
declare class UserGroupMemberGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Adds a user as a member in a group represented by its groupId
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  User must be a site admin.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-userbygroupid-post
  * @param options Request options.
  */
    addMemberById<T = AddUserGroupMembersByIdResponseOK>(options: AddUserGroupMembersByIdRequest): Promise<AddUserGroupMembersByIdResponseOK | T>;
    /**
  * Remove user as a member from a group.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  User must be a site admin.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-userbygroupid-delete
  * @param options Request options.
  */
    removeMemberById<T = RemoveUserGroupMembersByIdResponseOK>(options: RemoveUserGroupMembersByIdRequest): Promise<RemoveUserGroupMembersByIdResponseOK | T>;
    /**
  * Returns the users that are members of a group.
  
  Use updated Get group API
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-groupid-membersbygroupid-get
  * @param options Request options.
  */
    getMembersById<T = GetUserGroupMembersByIdResponseOK>(options: GetUserGroupMembersByIdRequest): Promise<GetUserGroupMembersByIdResponseOK | T>;
}
declare class InlineTaskGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns inline tasks based on the search query.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission). Only tasks
  in contents that the user has permission to view are returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-inline-tasks/#api-wiki-rest-api-inlinetasks-search-get
  * @param options Request options.
  * @deprecated
  */
    getInlineTasksBasedOnSearchParameters<T = GetInlineTasksBasedOnSearchParametersResponseOK>(options?: GetInlineTasksBasedOnSearchParametersRequest): Promise<GetInlineTasksBasedOnSearchParametersResponseOK | T>;
}
declare class LabelGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns label information and a list of contents associated with the label.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission). Only contents
  that the user is permitted to view is returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-label-info/#api-wiki-rest-api-label-get
  * @param options Request options.
  */
    getInfo<T = GetLabelInfoResponseOK>(options: GetLabelInfoRequest): Promise<GetLabelInfoResponseOK | T>;
}
declare class LongRunningTaskGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns information about all active long-running tasks (e.g. space export),
  such as how long each task has been running and the percentage of each task
  that has completed.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-long-running-task/#api-wiki-rest-api-longtask-get
  * @param options Request options.
  */
    getLongRunningTasks<T = GetLongRunningTasksResponseOK>(options?: GetLongRunningTasksRequest): Promise<GetLongRunningTasksResponseOK | T>;
    /**
  * Returns information about an active long-running task (e.g. space export),
  such as how long it has been running and the percentage of the task that
  has completed.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-long-running-task/#api-wiki-rest-api-longtask-id-get
  * @param options Request options.
  */
    getLongRunningTask<T = GetLongRunningTaskResponseOK>(options: GetLongRunningTaskRequest): Promise<GetLongRunningTaskResponseOK | T>;
}
declare class RelationGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all target entities that have a particular relationship to the
  source entity. Note, relationships are one way.
  
  For example, the following method finds all content that the current user
  has an 'ignore' relationship with:
  `GET /wiki/rest/api/relation/ignore/from/user/current/to/content`
  Note, 'ignore' is an example custom relationship type.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view both the target entity and source entity.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-get
  * @param options Request options.
  */
    findTargetEntitiesRelatedToSourceEntity<T = FindTargetEntitiesRelatedToSourceEntityResponseOK>(options: FindTargetEntitiesRelatedToSourceEntityRequest): Promise<FindTargetEntitiesRelatedToSourceEntityResponseOK | T>;
    /**
  * Find whether a particular type of relationship exists from a source
  entity to a target entity. Note, relationships are one way.
  
  For example, you can use this method to find whether the current user has
  selected a particular page as a favorite (i.e. 'save for later'):
  `GET /wiki/rest/api/relation/favourite/from/user/current/to/content/123`
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view both the target entity and source entity.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-targetkey-get
  * @param options Request options.
  */
    findRelationshipFromSourceToTarget<T = FindRelationshipFromSourceToTargetResponseOK>(options: FindRelationshipFromSourceToTargetRequest): Promise<FindRelationshipFromSourceToTargetResponseOK | T>;
    /**
  * Creates a relationship between two entities (user, space, content). The
  'favourite' relationship is supported by default, but you can use this method
  to create any type of relationship between two entities.
  
  For example, the following method creates a 'sibling' relationship between
  two pieces of content:
  `PUT /wiki/rest/api/relation/sibling/from/content/123/to/content/456`
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-targetkey-put
  * @param options Request options.
  */
    createRelationship<T = CreateRelationshipResponseOK>(options: CreateRelationshipRequest): Promise<CreateRelationshipResponseOK | T>;
    /**
  * Deletes a relationship between two entities (user, space, content).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  For favourite relationships, the current user can only delete their own
  favourite relationships. A space administrator can delete favourite
  relationships for any user.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-targetkey-delete
  * @param options Request options.
  */
    deleteRelationship<T = DeleteRelationshipResponseOK>(options: DeleteRelationshipRequest): Promise<DeleteRelationshipResponseOK | T>;
    /**
  * Returns all target entities that have a particular relationship to the
  source entity. Note, relationships are one way.
  
  For example, the following method finds all users that have a 'collaborator'
  relationship to a piece of content with an ID of '1234':
  `GET /wiki/rest/api/relation/collaborator/to/content/1234/from/user`
  Note, 'collaborator' is an example custom relationship type.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view both the target entity and source entity.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-to-targettype-targetkey-from-sourcetype-get
  * @param options Request options.
  */
    findSourceEntitiesRelatedToTargetEntity<T = FindSourceEntitiesRelatedToTargetEntityResponseOK>(options: FindSourceEntitiesRelatedToTargetEntityRequest): Promise<FindSourceEntitiesRelatedToTargetEntityResponseOK | T>;
}
declare class SearchGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Searches for content using the
  [Confluence Query Language (CQL)](https://developer.atlassian.com/cloud/confluence/advanced-searching-using-cql/).
  
  **Note that CQL input queries submitted through the `/wiki/rest/api/search` endpoint no longer support user-specific fields like `user`, `user.fullname`, `user.accountid`, and `user.userkey`.**
  See this [deprecation notice](https://developer.atlassian.com/cloud/confluence/deprecation-notice-search-api/) for more details.
  
  Example initial call:
  ```
  /wiki/rest/api/search?cql=type=page&limit=25
  ```
  
  Example response:
  ```
  {
    "results": [
      { ... },
      { ... },
      ...
      { ... }
    ],
    "limit": 25,
    "size": 25,
    ...
    "_links": {
      "base": "<url>",
      "context": "<url>",
      "next": "/rest/api/search?cql=type=page&limit=25&cursor=raNDoMsTRiNg",
      "self": "<url>"
    }
  }
  ```
  
  When additional results are available, returns `next` and `prev` URLs to retrieve them in subsequent calls. The URLs each contain a cursor that points to the appropriate set of results. Use `limit` to specify the number of results returned in each call.
  
  Example subsequent call (taken from example response):
  ```
  /wiki/rest/api/search?cql=type=page&limit=25&cursor=raNDoMsTRiNg
  ```
  The response to this will have a `prev` URL similar to the `next` in the example response.
  
  If the expand query parameter is used with the `body.export_view` and/or `body.styled_view` properties, then the query limit parameter will be restricted to a maximum value of 25.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the entities. Note, only entities that the user has
  permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-search/#api-wiki-rest-api-search-get
  * @param options Request options.
  */
    searchContent<T = SearchContentResponseOK>(options: SearchContentRequest): Promise<SearchContentResponseOK | T>;
    /**
  * Searches for users using user-specific queries from the
  [Confluence Query Language (CQL)](https://developer.atlassian.com/cloud/confluence/advanced-searching-using-cql/).
  
  Note that CQL input queries submitted through the `/wiki/rest/api/search/user` endpoint only support user-specific fields like `user`, `user.fullname`, `user.accountid`, and `user.userkey`.
  
  Note that some user fields may be set to null depending on the user's privacy settings.
  These are: email, profilePicture, displayName, and timeZone.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-search/#api-wiki-rest-api-search-user-get
  * @param options Request options.
  */
    searchUsers<T = SearchUsersResponseOK>(options: SearchUsersRequest): Promise<SearchUsersResponseOK | T>;
}
declare class SettingGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the look and feel settings for the site or a single space. This
  includes attributes such as the color scheme, padding, and border radius.
  
  The look and feel settings for a space can be inherited from the global
  look and feel settings or provided by a theme.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  None
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-lookandfeel-get
  * @param options Request options.
  */
    getLookAndFeelSettings<T = GetLookAndFeelSettingsResponseOK>(options?: GetLookAndFeelSettingsRequest): Promise<GetLookAndFeelSettingsResponseOK | T>;
    /**
  * Updates the look and feel settings for the site or for a single space.
  If custom settings exist, they are updated. If no custom settings exist,
  then a set of custom settings is created.
  
  Note, if a theme is selected for a space, the space look and feel settings
  are provided by the theme and cannot be overridden.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-lookandfeel-custom-post
  * @param options Request options.
  */
    updateLookAndFeelSettings<T = UpdateLookAndFeelSettingsResponseOK>(options: UpdateLookAndFeelSettingsRequest): Promise<UpdateLookAndFeelSettingsResponseOK | T>;
    /**
  * Resets the custom look and feel settings for the site or a single space.
  This changes the values of the custom settings to be the same as the
  default settings. It does not change which settings (default or custom)
  are selected. Note, the default space settings are inherited from the
  current global settings.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-lookandfeel-custom-delete
  * @param options Request options.
  */
    resetLookAndFeelSettings<T = ResetLookAndFeelSettingsResponseOK>(options?: ResetLookAndFeelSettingsRequest): Promise<ResetLookAndFeelSettingsResponseOK | T>;
    /**
  * Sets the look and feel settings to either the default settings or the
  custom settings, for the site or a single space. Note, the default
  space settings are inherited from the current global settings.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-lookandfeel-selected-put
  * @param options Request options.
  * @deprecated
  */
    setLookAndFeelSettings<T = SetLookAndFeelSettingsResponseOK>(options: SetLookAndFeelSettingsRequest): Promise<SetLookAndFeelSettingsResponseOK | T>;
    /**
  * Returns the system information for the Confluence Cloud tenant. This
  information is used by Atlassian.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-systeminfo-get
  * @param options Request options.
  */
    getSystemInfo<T = GetSystemInfoResponseOK>(options?: GetSystemInfoRequest): Promise<GetSystemInfoResponseOK | T>;
}
declare class SpaceGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Private: SpacePrivateGroup;
    Content: SpaceContentGroup;
    Property: SpacePropertyGroup;
    Setting: SpaceSettingGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns all spaces. The returned spaces are ordered alphabetically in
  ascending order by space key.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Note, the returned list will only contain spaces that the current user
  has permission to view.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-get
  * @param options Request options.
  * @deprecated
  */
    getSpaces<T = GetSpacesResponseOK>(options?: GetSpacesRequest): Promise<GetSpacesResponseOK | T>;
    /**
  * Creates a new space. Note, currently you cannot set space labels when
  creating a space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Create Space(s)' global permission.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-post
  * @param options Request options.
  */
    createSpace<T = CreateSpaceResponseOK>(options: CreateSpaceRequest): Promise<CreateSpaceResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns a space. This includes information like the name, description,
  and permissions, but not the content in the space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-get
  * @param options Request options.
  * @deprecated
  */
    getSpace<T = GetSpaceResponseOK>(options: GetSpaceRequest): Promise<GetSpaceResponseOK | T>;
    /**
  * Updates the name, description, or homepage of a space.
  
  -   For security reasons, permissions cannot be updated via the API and
  must be changed via the user interface instead.
  -   Currently you cannot set space labels when updating a space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-put
  * @param options Request options.
  */
    updateSpace<T = UpdateSpaceResponseOK>(options: UpdateSpaceRequest): Promise<UpdateSpaceResponseOK | T>;
    /**
  * Permanently deletes a space without sending it to the trash. Note, the space will be deleted in a long running task.
  Therefore, the space may not be deleted yet when this method has
  returned. Clients should poll the status link that is returned in the
  response until the task completes.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-delete
  * @param options Request options.
  */
    deleteSpace<T = DeleteSpaceResponseOK>(options: DeleteSpaceRequest): Promise<DeleteSpaceResponseOK | T>;
}
declare class SpacePrivateGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Creates a new space that is only visible to the creator. This method is
  the same as the [Create space](#api-space-post) method with permissions
  set to the current user only. Note, currently you cannot set space
  labels when creating a space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Create Space(s)' global permission.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-private-post
  * @param options Request options.
  */
    createSpace<T = CreatePrivateSpaceResponseOK>(options: CreatePrivateSpaceRequest): Promise<CreatePrivateSpaceResponseOK | T>;
}
declare class SpaceContentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns all content in a space. The returned content is grouped by type
  (pages then blogposts), then ordered by content ID in ascending order.
  
  If the expand query parameter is used with the `body.export_view` and/or `body.styled_view` properties, then the query limit parameter will be restricted to a maximum value of 25.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space. Note, the returned list will only
  contain content that the current user has permission to view.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-content-get
  * @param options Request options.
  * @deprecated
  */
    getContent<T = GetSpaceContentResponseOK>(options: GetSpaceContentRequest): Promise<GetSpaceContentResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns all content of a given type, in a space. The returned content is
  ordered by content ID in ascending order.
  
  If the expand query parameter is used with the `body.export_view` and/or `body.styled_view` properties, then the query limit parameter will be restricted to a maximum value of 25.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space. Note, the returned list will only
  contain content that the current user has permission to view.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-content-type-get
  * @param options Request options.
  * @deprecated
  */
    getContentByType<T = GetSpaceContentByTypeResponseOK>(options: GetSpaceContentByTypeRequest): Promise<GetSpaceContentByTypeResponseOK | T>;
}
declare class SpacePropertyGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns all properties for the given space. Space properties are a key-value storage associated with a space.
  
  **[Permissions required](https://confluence.atlassian.com/x/_AozKw)**: ‘View’ permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-properties/#api-wiki-rest-api-space-spacekey-property-get
  * @param options Request options.
  * @deprecated
  */
    getProperties<T = GetSpacePropertiesResponseOK>(options: GetSpacePropertiesRequest): Promise<GetSpacePropertiesResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Creates a new space property.
  
  **[Permissions required](https://confluence.atlassian.com/x/_AozKw)**:
  ‘Admin’ permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-properties/#api-wiki-rest-api-space-spacekey-property-post
  * @param options Request options.
  * @deprecated
  */
    createProperty<T = CreateSpacePropertyResponseOK>(options: CreateSpacePropertyRequest): Promise<CreateSpacePropertyResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Returns a space property.
  
  **[Permissions required](https://confluence.atlassian.com/x/_AozKw)**: ‘View’ permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-properties/#api-wiki-rest-api-space-spacekey-property-key-get
  * @param options Request options.
  * @deprecated
  */
    getProperty<T = GetSpacePropertyResponseOK>(options: GetSpacePropertyRequest): Promise<GetSpacePropertyResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Updates a space property. Note, you cannot update the key of a space
  property, only the value.
  
  **[Permissions required](https://confluence.atlassian.com/x/_AozKw)**:
  ‘Admin’ permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-properties/#api-wiki-rest-api-space-spacekey-property-key-put
  * @param options Request options.
  * @deprecated
  */
    updateProperty<T = UpdateSpacePropertyResponseOK>(options: UpdateSpacePropertyRequest): Promise<UpdateSpacePropertyResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Creates a new space property. This is the same as `POST
  /wiki/rest/api/space/{spaceKey}/property` but the key for the property is passed as a
  path parameter, rather than in the request body.
  
  **[Permissions required](https://confluence.atlassian.com/x/_AozKw)**:
  ‘Admin’ permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-properties/#api-wiki-rest-api-space-spacekey-property-key-post
  * @param options Request options.
  * @deprecated
  */
    createPropertyForKey<T = CreateSpacePropertyForKeyResponseOK>(options: CreateSpacePropertyForKeyRequest): Promise<CreateSpacePropertyForKeyResponseOK | T>;
    /**
  * Deprecated, use [Confluence's v2 API](https://developer.atlassian.com/cloud/confluence/rest/v2/intro/).
  
  Deletes a space property.
  
  **[Permissions required](https://confluence.atlassian.com/x/_AozKw)**:
  ‘Admin’ permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-properties/#api-wiki-rest-api-space-spacekey-property-key-delete
  * @param options Request options.
  * @deprecated
  */
    deleteProperty<T = DeleteSpacePropertyResponseOK>(options: DeleteSpacePropertyRequest): Promise<DeleteSpacePropertyResponseOK | T>;
}
declare class SpaceSettingGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the settings of a space. Currently only the
  `routeOverrideEnabled` setting can be returned.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-settings/#api-wiki-rest-api-space-spacekey-settings-get
  * @param options Request options.
  */
    getSettings<T = GetSpaceSettingsResponseOK>(options: GetSpaceSettingsRequest): Promise<GetSpaceSettingsResponseOK | T>;
    /**
  * Updates the settings for a space. Currently only the
  `routeOverrideEnabled` setting can be updated.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-settings/#api-wiki-rest-api-space-spacekey-settings-put
  * @param options Request options.
  */
    updateSettings<T = UpdateSpaceSettingsResponseOK>(options: UpdateSpaceSettingsRequest): Promise<UpdateSpaceSettingsResponseOK | T>;
}
declare class TemplateGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Updates a content template. Note, blueprint templates cannot be updated
  via the REST API.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space to update a space template or 'Confluence Administrator'
  global permission to update a global template.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-put
  * @param options Request options.
  */
    updateContentTemplate<T = UpdateContentTemplateResponseOK>(options: UpdateContentTemplateRequest): Promise<UpdateContentTemplateResponseOK | T>;
    /**
  * Creates a new content template. Note, blueprint templates cannot be created via the REST API.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space to create a space template or 'Confluence Administrator'
  global permission to create a global template.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-post
  * @param options Request options.
  */
    createContentTemplate<T = CreateContentTemplateResponseOK>(options: CreateContentTemplateRequest): Promise<CreateContentTemplateResponseOK | T>;
    /**
  * Returns all templates provided by blueprints. Use this method to retrieve
  all global blueprint templates or all blueprint templates in a space.
  
  Note, all global blueprints are inherited by each space. Space blueprints
  can be customised without affecting the global blueprints.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space to view blueprints for the space and permission
  to access the Confluence site ('Can use' global permission) to view global blueprints.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-blueprint-get
  * @param options Request options.
  */
    getBlueprintTemplates<T = GetBlueprintTemplatesResponseOK>(options?: GetBlueprintTemplatesRequest): Promise<GetBlueprintTemplatesResponseOK | T>;
    /**
  * Returns all content templates. Use this method to retrieve all global
  content templates or all content templates in a space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space to view space templates and permission to
  access the Confluence site ('Can use' global permission) to view global templates.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-page-get
  * @param options Request options.
  */
    getContentTemplates<T = GetContentTemplatesResponseOK>(options?: GetContentTemplatesRequest): Promise<GetContentTemplatesResponseOK | T>;
    /**
  * Returns a content template. This includes information about template,
  like the name, the space or blueprint that the template is in, the body
  of the template, and more.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space to view space templates and permission to
  access the Confluence site ('Can use' global permission) to view global templates.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-contenttemplateid-get
  * @param options Request options.
  */
    getContentTemplate<T = GetContentTemplateResponseOK>(options: GetContentTemplateRequest): Promise<GetContentTemplateResponseOK | T>;
    /**
  * Deletes a template. This results in different actions depending on the
  type of template:
  
  - If the template is a content template, it is deleted.
  - If the template is a modified space-level blueprint template, it reverts
  to the template inherited from the global-level blueprint template.
  - If the template is a modified global-level blueprint template, it reverts
  to the default global-level blueprint template.
  
   Note, unmodified blueprint templates cannot be deleted.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
          'Admin' permission for the space to delete a space template or 'Confluence Administrator'
          global permission to delete a global template.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-contenttemplateid-delete
  * @param options Request options.
  */
    removeTemplate<T = RemoveTemplateResponseOK>(options: RemoveTemplateRequest): Promise<RemoveTemplateResponseOK | T>;
}
declare class ThemeGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all themes, not including the default theme.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: None
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-settings-theme-get
  * @param options Request options.
  */
    getThemes<T = GetThemesResponseOK>(options?: GetThemesRequest): Promise<GetThemesResponseOK | T>;
    /**
  * Returns the globally assigned theme.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: None
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-settings-theme-selected-get
  * @param options Request options.
  */
    getGlobalTheme<T = GetGlobalThemeResponseOK>(options?: GetGlobalThemeRequest): Promise<GetGlobalThemeResponseOK | T>;
    /**
  * Returns a theme. This includes information about the theme name,
  description, and icon.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: None
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-settings-theme-themekey-get
  * @param options Request options.
  */
    getTheme<T = GetThemeResponseOK>(options: GetThemeRequest): Promise<GetThemeResponseOK | T>;
    /**
  * Returns the theme selected for a space, if one is set. If no space
  theme is set, this means that the space is inheriting the global look
  and feel settings.
  
  **[Permissions required](https://confluence.atlassian.com/x/_AozKw)**: ‘View’ permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-space-spacekey-theme-get
  * @param options Request options.
  */
    getSpaceTheme<T = GetSpaceThemeResponseOK>(options: GetSpaceThemeRequest): Promise<GetSpaceThemeResponseOK | T>;
    /**
  * Sets the theme for a space. Note, if you want to reset the space theme to
  the default Confluence theme, use the 'Reset space theme' method instead
  of this method.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-space-spacekey-theme-put
  * @param options Request options.
  */
    setSpaceTheme<T = SetSpaceThemeResponseOK>(options: SetSpaceThemeRequest): Promise<SetSpaceThemeResponseOK | T>;
    /**
  * Resets the space theme. This means that the space will inherit the
  global look and feel settings
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-space-spacekey-theme-delete
  * @param options Request options.
  */
    resetSpaceTheme<T = ResetSpaceThemeResponseOK>(options: ResetSpaceThemeRequest): Promise<ResetSpaceThemeResponseOK | T>;
}
declare class UserGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a user. This includes information about the user, such as the
  display name, account ID, profile picture, and more. The information returned may be
  restricted by the user's profile visibility settings.
  
  **Note:** to add, edit, or delete users in your organization, see the
  [user management REST API](/cloud/admin/user-management/about/).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-get
  * @param options Request options.
  */
    getUser<T = GetUserResponseOK>(options: GetUserRequest): Promise<GetUserResponseOK | T>;
    /**
  * Returns information about how anonymous users are represented, like the
  profile picture and display name.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-anonymous-get
  * @param options Request options.
  */
    getAnonymousUser<T = GetAnonymousUserResponseOK>(options?: GetAnonymousUserRequest): Promise<GetAnonymousUserResponseOK | T>;
    /**
  * Returns the currently logged-in user. This includes information about
  the user, like the display name, userKey, account ID, profile picture,
  and more.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-current-get
  * @param options Request options.
  */
    getCurrentUser<T = GetCurrentUserResponseOK>(options?: GetCurrentUserRequest): Promise<GetCurrentUserResponseOK | T>;
    /**
  * Returns the groups that a user is a member of.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-memberof-get
  * @param options Request options.
  */
    getGroupsWhereUserMember<T = GetGroupsWhereUserMemberResponseOK>(options: GetGroupsWhereUserMemberRequest): Promise<GetGroupsWhereUserMemberResponseOK | T>;
    /**
  * Returns user details for the ids provided in the request.
  Currently this API returns a maximum of 100 results.
  If more than 100 account ids are passed in, then the first 100 will be returned.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-bulk-get
  * @param options Request options.
  */
    getUsersWithIds<T = GetUsersWithIdsResponseOK>(options: GetUsersWithIdsRequest): Promise<GetUsersWithIdsResponseOK | T>;
    /**
  * Returns a user's email address regardless of the user's profile visibility settings. For Connect apps, this API is only available to apps approved by
  Atlassian, according to these [guidelines](https://community.developer.atlassian.com/t/guidelines-for-requesting-access-to-email-address/27603).
  For Forge apps, this API only supports access via asApp() requests.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-email-get
  * @param options Request options.
  */
    getUserEmail<T = GetUserEmailResponseOK>(options: GetUserEmailRequest): Promise<GetUserEmailResponseOK | T>;
    /**
  * Returns a user's email address regardless of the user’s profile visibility settings. For Connect apps, this API is only available to apps approved by
  Atlassian, according to these [guidelines](https://community.developer.atlassian.com/t/guidelines-for-requesting-access-to-email-address/27603).
  For Forge apps, this API only supports access via asApp() requests.
  
  Any accounts which are not available will not be included in the result.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-email-bulk-get
  * @param options Request options.
  */
    getUserEmails<T = GetUserEmailsResponseOK>(options: GetUserEmailsRequest): Promise<GetUserEmailsResponseOK | T>;
}
export {};
//# sourceMappingURL=index.d.ts.map